import{S as EC,i as RC,s as XC,e as s,k as p,w as y,t as o,M as zC,c as a,d as t,m as h,a as r,x as w,h as n,b as c,N as FC,G as e,g,y as T,q as M,o as $,B as L,v as CC,L as Ie}from"../../chunks/vendor-hf-doc-builder.js";import{T as Ae}from"../../chunks/Tip-hf-doc-builder.js";import{D as I}from"../../chunks/Docstring-hf-doc-builder.js";import{C as De}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ne}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Oe}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as bg}from"../../chunks/PipelineTag-hf-doc-builder.js";function qC(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import XLMRobertaConfig, XLMRobertaModel

# Initializing a XLM-RoBERTa xlm-roberta-base style configuration
configuration = XLMRobertaConfig()

# Initializing a model (with random weights) from the xlm-roberta-base style configuration
model = XLMRobertaModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> XLMRobertaConfig, XLMRobertaModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a XLM-RoBERTa xlm-roberta-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = XLMRobertaConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the xlm-roberta-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=s("p"),k=o("Examples:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Examples:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function jC(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function AC(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, XLMRobertaModel
import torch

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = XLMRobertaModel.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaModel.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function PC(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function NC(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, XLMRobertaForCausalLM, AutoConfig
import torch

tokenizer = AutoTokenizer.from_pretrained("roberta-base")
config = AutoConfig.from_pretrained("roberta-base")
config.is_decoder = True
model = XLMRobertaForCausalLM.from_pretrained("roberta-base", config=config)

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

prediction_logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForCausalLM, AutoConfig
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config = AutoConfig.from_pretrained(<span class="hljs-string">&quot;roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config.is_decoder = <span class="hljs-literal">True</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForCausalLM.from_pretrained(<span class="hljs-string">&quot;roberta-base&quot;</span>, config=config)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function OC(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function IC(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, XLMRobertaForMaskedLM
import torch

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = XLMRobertaForMaskedLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("The capital of France is <mask>.", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# retrieve index of <mask>
mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[0].nonzero(as_tuple=True)[0]

predicted_token_id = logits[0, mask_token_index].argmax(axis=-1)
tokenizer.decode(predicted_token_id)

labels = tokenizer("The capital of France is Paris.", return_tensors="pt")["input_ids"]
# mask labels of non-<mask> tokens
labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)

outputs = model(**inputs, labels=labels)
round(outputs.loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForMaskedLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is &lt;mask&gt;.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of &lt;mask&gt;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>].nonzero(as_tuple=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = logits[<span class="hljs-number">0</span>, mask_token_index].argmax(axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27; Paris&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># mask labels of non-&lt;mask&gt; tokens</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(outputs.loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.1</span>`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function DC(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function SC(E){let d,k,m,f,b;return f=new De({props:{code:`import torch
from transformers import AutoTokenizer, XLMRobertaForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = XLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()
model.config.id2label[predicted_class_id]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = XLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;optimism&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.08</span>`}}),{c(){d=s("p"),k=o("Example of single-label classification:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example of single-label classification:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function WC(E){let d,k,m,f,b;return f=new De({props:{code:`import torch
from transformers import AutoTokenizer, XLMRobertaForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = XLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = XLMRobertaForSequenceClassification.from_pretrained(
    "cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=s("p"),k=o("Example of multi-label classification:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example of multi-label classification:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function BC(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function UC(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, XLMRobertaForMultipleChoice
import torch

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = XLMRobertaForMultipleChoice.from_pretrained("xlm-roberta-base")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."
labels = torch.tensor(0).unsqueeze(0)  # choice0 is correct (according to Wikipedia ;)), batch size 1

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="pt", padding=True)
outputs = model(**{k: v.unsqueeze(0) for k, v in encoding.items()}, labels=labels)  # batch size is 1

# the linear classifier still needs to be trained
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor(<span class="hljs-number">0</span>).unsqueeze(<span class="hljs-number">0</span>)  <span class="hljs-comment"># choice0 is correct (according to Wikipedia ;)), batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v.unsqueeze(<span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}, labels=labels)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function HC(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function QC(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, XLMRobertaForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("Jean-Baptiste/roberta-large-ner-english")
model = XLMRobertaForTokenClassification.from_pretrained("Jean-Baptiste/roberta-large-ner-english")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="pt"
)

with torch.no_grad():
    logits = model(**inputs).logits

predicted_token_class_ids = logits.argmax(-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t.item()] for t in predicted_token_class_ids[0]]
predicted_tokens_classes

labels = predicted_token_class_ids
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;Jean-Baptiste/roberta-large-ner-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForTokenClassification.from_pretrained(<span class="hljs-string">&quot;Jean-Baptiste/roberta-large-ner-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = logits.argmax(-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t.item()] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>]]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes
[<span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.01</span>`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function KC(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function VC(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, XLMRobertaForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("deepset/roberta-base-squad2")
model = XLMRobertaForQuestionAnswering.from_pretrained("deepset/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens, skip_special_tokens=True)

# target is "nice puppet"
target_start_index = torch.tensor([14])
target_end_index = torch.tensor([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = outputs.loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;deepset/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;deepset/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-string">&#x27; puppet&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = torch.tensor([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = torch.tensor([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.86</span>`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function JC(E){let d,k,m,f,b,l,u,R,ke,fe,O,ce,te,x,ve,W,pe,Ce,K,ae,re,B,ie,ye,U,we,ge,D,Te,le,oe,z,j,he,J,_e,ue,H,Me,be,q,$e,V,ne,de,G,me,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),m=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),u=s("ul"),R=s("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),ce=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),ve=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=s("code"),pe=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=s("code"),ae=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),B=s("code"),ie=o("fit()"),ye=o(" and "),U=s("code"),we=o("predict()"),ge=o(`, such as when creating your own layers or models with
the Keras `),D=s("code"),Te=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),z=s("ul"),j=s("li"),he=o("a single Tensor with "),J=s("code"),_e=o("input_ids"),ue=o(" only and nothing else: "),H=s("code"),Me=o("model(input_ids)"),be=p(),q=s("li"),$e=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=s("code"),ne=o("model([input_ids, attention_mask])"),de=o(" or "),G=s("code"),me=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),N=s("li"),xe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=s("code"),Fe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),se=p(),C=s("p"),Ee=o(`Note that when creating models and layers with
`),A=s("a"),Re=o("subclassing"),Xe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var F=r(d);k=n(F,"TensorFlow models and layers in "),m=a(F,"CODE",{});var Qe=r(m);f=n(Qe,"transformers"),Qe.forEach(t),b=n(F," accept two formats as input:"),F.forEach(t),l=h(v),u=a(v,"UL",{});var Z=r(u);R=a(Z,"LI",{});var Ke=r(R);ke=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(Z),O=a(Z,"LI",{});var Ve=r(O);ce=n(Ve,"having all inputs as a list, tuple or dict in the first positional argument."),Ve.forEach(t),Z.forEach(t),te=h(v),x=a(v,"P",{});var X=r(x);ve=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a(X,"CODE",{});var Je=r(W);pe=n(Je,"model.fit()"),Je.forEach(t),Ce=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a(X,"CODE",{});var Ge=r(K);ae=n(Ge,"model.fit()"),Ge.forEach(t),re=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),B=a(X,"CODE",{});var We=r(B);ie=n(We,"fit()"),We.forEach(t),ye=n(X," and "),U=a(X,"CODE",{});var qe=r(U);we=n(qe,"predict()"),qe.forEach(t),ge=n(X,`, such as when creating your own layers or models with
the Keras `),D=a(X,"CODE",{});var je=r(D);Te=n(je,"Functional"),je.forEach(t),le=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),oe=h(v),z=a(v,"UL",{});var P=r(z);j=a(P,"LI",{});var S=r(j);he=n(S,"a single Tensor with "),J=a(S,"CODE",{});var Ye=r(J);_e=n(Ye,"input_ids"),Ye.forEach(t),ue=n(S," only and nothing else: "),H=a(S,"CODE",{});var Se=r(H);Me=n(Se,"model(input_ids)"),Se.forEach(t),S.forEach(t),be=h(P),q=a(P,"LI",{});var Y=r(q);$e=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a(Y,"CODE",{});var Be=r(V);ne=n(Be,"model([input_ids, attention_mask])"),Be.forEach(t),de=n(Y," or "),G=a(Y,"CODE",{});var Pe=r(G);me=n(Pe,"model([input_ids, attention_mask, token_type_ids])"),Pe.forEach(t),Y.forEach(t),Le=h(P),N=a(P,"LI",{});var ze=r(N);xe=n(ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=a(ze,"CODE",{});var Ue=r(Q);Fe=n(Ue,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue.forEach(t),ze.forEach(t),P.forEach(t),se=h(v),C=a(v,"P",{});var ee=r(C);Ee=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var He=r(A);Re=n(He,"subclassing"),He.forEach(t),Xe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(v,F){g(v,d,F),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,F),g(v,u,F),e(u,R),e(R,ke),e(u,fe),e(u,O),e(O,ce),g(v,te,F),g(v,x,F),e(x,ve),e(x,W),e(W,pe),e(x,Ce),e(x,K),e(K,ae),e(x,re),e(x,B),e(B,ie),e(x,ye),e(x,U),e(U,we),e(x,ge),e(x,D),e(D,Te),e(x,le),g(v,oe,F),g(v,z,F),e(z,j),e(j,he),e(j,J),e(J,_e),e(j,ue),e(j,H),e(H,Me),e(z,be),e(z,q),e(q,$e),e(q,V),e(V,ne),e(q,de),e(q,G),e(G,me),e(z,Le),e(z,N),e(N,xe),e(N,Q),e(Q,Fe),g(v,se,F),g(v,C,F),e(C,Ee),e(C,A),e(A,Re),e(C,Xe)},d(v){v&&t(d),v&&t(l),v&&t(u),v&&t(te),v&&t(x),v&&t(oe),v&&t(z),v&&t(se),v&&t(C)}}}function GC(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function YC(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaModel.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaModel.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function ZC(E){let d,k,m,f,b,l,u,R,ke,fe,O,ce,te,x,ve,W,pe,Ce,K,ae,re,B,ie,ye,U,we,ge,D,Te,le,oe,z,j,he,J,_e,ue,H,Me,be,q,$e,V,ne,de,G,me,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),m=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),u=s("ul"),R=s("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),ce=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),ve=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=s("code"),pe=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=s("code"),ae=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),B=s("code"),ie=o("fit()"),ye=o(" and "),U=s("code"),we=o("predict()"),ge=o(`, such as when creating your own layers or models with
the Keras `),D=s("code"),Te=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),z=s("ul"),j=s("li"),he=o("a single Tensor with "),J=s("code"),_e=o("input_ids"),ue=o(" only and nothing else: "),H=s("code"),Me=o("model(input_ids)"),be=p(),q=s("li"),$e=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=s("code"),ne=o("model([input_ids, attention_mask])"),de=o(" or "),G=s("code"),me=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),N=s("li"),xe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=s("code"),Fe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),se=p(),C=s("p"),Ee=o(`Note that when creating models and layers with
`),A=s("a"),Re=o("subclassing"),Xe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var F=r(d);k=n(F,"TensorFlow models and layers in "),m=a(F,"CODE",{});var Qe=r(m);f=n(Qe,"transformers"),Qe.forEach(t),b=n(F," accept two formats as input:"),F.forEach(t),l=h(v),u=a(v,"UL",{});var Z=r(u);R=a(Z,"LI",{});var Ke=r(R);ke=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(Z),O=a(Z,"LI",{});var Ve=r(O);ce=n(Ve,"having all inputs as a list, tuple or dict in the first positional argument."),Ve.forEach(t),Z.forEach(t),te=h(v),x=a(v,"P",{});var X=r(x);ve=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a(X,"CODE",{});var Je=r(W);pe=n(Je,"model.fit()"),Je.forEach(t),Ce=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a(X,"CODE",{});var Ge=r(K);ae=n(Ge,"model.fit()"),Ge.forEach(t),re=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),B=a(X,"CODE",{});var We=r(B);ie=n(We,"fit()"),We.forEach(t),ye=n(X," and "),U=a(X,"CODE",{});var qe=r(U);we=n(qe,"predict()"),qe.forEach(t),ge=n(X,`, such as when creating your own layers or models with
the Keras `),D=a(X,"CODE",{});var je=r(D);Te=n(je,"Functional"),je.forEach(t),le=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),oe=h(v),z=a(v,"UL",{});var P=r(z);j=a(P,"LI",{});var S=r(j);he=n(S,"a single Tensor with "),J=a(S,"CODE",{});var Ye=r(J);_e=n(Ye,"input_ids"),Ye.forEach(t),ue=n(S," only and nothing else: "),H=a(S,"CODE",{});var Se=r(H);Me=n(Se,"model(input_ids)"),Se.forEach(t),S.forEach(t),be=h(P),q=a(P,"LI",{});var Y=r(q);$e=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a(Y,"CODE",{});var Be=r(V);ne=n(Be,"model([input_ids, attention_mask])"),Be.forEach(t),de=n(Y," or "),G=a(Y,"CODE",{});var Pe=r(G);me=n(Pe,"model([input_ids, attention_mask, token_type_ids])"),Pe.forEach(t),Y.forEach(t),Le=h(P),N=a(P,"LI",{});var ze=r(N);xe=n(ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=a(ze,"CODE",{});var Ue=r(Q);Fe=n(Ue,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue.forEach(t),ze.forEach(t),P.forEach(t),se=h(v),C=a(v,"P",{});var ee=r(C);Ee=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var He=r(A);Re=n(He,"subclassing"),He.forEach(t),Xe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(v,F){g(v,d,F),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,F),g(v,u,F),e(u,R),e(R,ke),e(u,fe),e(u,O),e(O,ce),g(v,te,F),g(v,x,F),e(x,ve),e(x,W),e(W,pe),e(x,Ce),e(x,K),e(K,ae),e(x,re),e(x,B),e(B,ie),e(x,ye),e(x,U),e(U,we),e(x,ge),e(x,D),e(D,Te),e(x,le),g(v,oe,F),g(v,z,F),e(z,j),e(j,he),e(j,J),e(J,_e),e(j,ue),e(j,H),e(H,Me),e(z,be),e(z,q),e(q,$e),e(q,V),e(V,ne),e(q,de),e(q,G),e(G,me),e(z,Le),e(z,N),e(N,xe),e(N,Q),e(Q,Fe),g(v,se,F),g(v,C,F),e(C,Ee),e(C,A),e(A,Re),e(C,Xe)},d(v){v&&t(d),v&&t(l),v&&t(u),v&&t(te),v&&t(x),v&&t(oe),v&&t(z),v&&t(se),v&&t(C)}}}function eq(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function tq(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForCausalLM
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaForCausalLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForCausalLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function oq(E){let d,k,m,f,b,l,u,R,ke,fe,O,ce,te,x,ve,W,pe,Ce,K,ae,re,B,ie,ye,U,we,ge,D,Te,le,oe,z,j,he,J,_e,ue,H,Me,be,q,$e,V,ne,de,G,me,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),m=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),u=s("ul"),R=s("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),ce=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),ve=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=s("code"),pe=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=s("code"),ae=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),B=s("code"),ie=o("fit()"),ye=o(" and "),U=s("code"),we=o("predict()"),ge=o(`, such as when creating your own layers or models with
the Keras `),D=s("code"),Te=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),z=s("ul"),j=s("li"),he=o("a single Tensor with "),J=s("code"),_e=o("input_ids"),ue=o(" only and nothing else: "),H=s("code"),Me=o("model(input_ids)"),be=p(),q=s("li"),$e=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=s("code"),ne=o("model([input_ids, attention_mask])"),de=o(" or "),G=s("code"),me=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),N=s("li"),xe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=s("code"),Fe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),se=p(),C=s("p"),Ee=o(`Note that when creating models and layers with
`),A=s("a"),Re=o("subclassing"),Xe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var F=r(d);k=n(F,"TensorFlow models and layers in "),m=a(F,"CODE",{});var Qe=r(m);f=n(Qe,"transformers"),Qe.forEach(t),b=n(F," accept two formats as input:"),F.forEach(t),l=h(v),u=a(v,"UL",{});var Z=r(u);R=a(Z,"LI",{});var Ke=r(R);ke=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(Z),O=a(Z,"LI",{});var Ve=r(O);ce=n(Ve,"having all inputs as a list, tuple or dict in the first positional argument."),Ve.forEach(t),Z.forEach(t),te=h(v),x=a(v,"P",{});var X=r(x);ve=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a(X,"CODE",{});var Je=r(W);pe=n(Je,"model.fit()"),Je.forEach(t),Ce=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a(X,"CODE",{});var Ge=r(K);ae=n(Ge,"model.fit()"),Ge.forEach(t),re=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),B=a(X,"CODE",{});var We=r(B);ie=n(We,"fit()"),We.forEach(t),ye=n(X," and "),U=a(X,"CODE",{});var qe=r(U);we=n(qe,"predict()"),qe.forEach(t),ge=n(X,`, such as when creating your own layers or models with
the Keras `),D=a(X,"CODE",{});var je=r(D);Te=n(je,"Functional"),je.forEach(t),le=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),oe=h(v),z=a(v,"UL",{});var P=r(z);j=a(P,"LI",{});var S=r(j);he=n(S,"a single Tensor with "),J=a(S,"CODE",{});var Ye=r(J);_e=n(Ye,"input_ids"),Ye.forEach(t),ue=n(S," only and nothing else: "),H=a(S,"CODE",{});var Se=r(H);Me=n(Se,"model(input_ids)"),Se.forEach(t),S.forEach(t),be=h(P),q=a(P,"LI",{});var Y=r(q);$e=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a(Y,"CODE",{});var Be=r(V);ne=n(Be,"model([input_ids, attention_mask])"),Be.forEach(t),de=n(Y," or "),G=a(Y,"CODE",{});var Pe=r(G);me=n(Pe,"model([input_ids, attention_mask, token_type_ids])"),Pe.forEach(t),Y.forEach(t),Le=h(P),N=a(P,"LI",{});var ze=r(N);xe=n(ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=a(ze,"CODE",{});var Ue=r(Q);Fe=n(Ue,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue.forEach(t),ze.forEach(t),P.forEach(t),se=h(v),C=a(v,"P",{});var ee=r(C);Ee=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var He=r(A);Re=n(He,"subclassing"),He.forEach(t),Xe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(v,F){g(v,d,F),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,F),g(v,u,F),e(u,R),e(R,ke),e(u,fe),e(u,O),e(O,ce),g(v,te,F),g(v,x,F),e(x,ve),e(x,W),e(W,pe),e(x,Ce),e(x,K),e(K,ae),e(x,re),e(x,B),e(B,ie),e(x,ye),e(x,U),e(U,we),e(x,ge),e(x,D),e(D,Te),e(x,le),g(v,oe,F),g(v,z,F),e(z,j),e(j,he),e(j,J),e(J,_e),e(j,ue),e(j,H),e(H,Me),e(z,be),e(z,q),e(q,$e),e(q,V),e(V,ne),e(q,de),e(q,G),e(G,me),e(z,Le),e(z,N),e(N,xe),e(N,Q),e(Q,Fe),g(v,se,F),g(v,C,F),e(C,Ee),e(C,A),e(A,Re),e(C,Xe)},d(v){v&&t(d),v&&t(l),v&&t(u),v&&t(te),v&&t(x),v&&t(oe),v&&t(z),v&&t(se),v&&t(C)}}}function nq(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function sq(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForMaskedLM
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaForMaskedLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("The capital of France is <mask>.", return_tensors="tf")
logits = model(**inputs).logits

# retrieve index of <mask>
mask_token_index = tf.where((inputs.input_ids == tokenizer.mask_token_id)[0])
selected_logits = tf.gather_nd(logits[0], indices=mask_token_index)

predicted_token_id = tf.math.argmax(selected_logits, axis=-1)
tokenizer.decode(predicted_token_id)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForMaskedLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is &lt;mask&gt;.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of &lt;mask&gt;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = tf.where((inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>selected_logits = tf.gather_nd(logits[<span class="hljs-number">0</span>], indices=mask_token_index)

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = tf.math.argmax(selected_logits, axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27; Paris&#x27;</span>`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function aq(E){let d,k;return d=new De({props:{code:`labels = tokenizer("The capital of France is Paris.", return_tensors="tf")["input_ids"]
# mask labels of non-<mask> tokens
labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)

outputs = model(**inputs, labels=labels)
round(float(outputs.loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># mask labels of non-&lt;mask&gt; tokens</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(outputs.loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.1</span>`}}),{c(){y(d.$$.fragment)},l(m){w(d.$$.fragment,m)},m(m,f){T(d,m,f),k=!0},p:Ie,i(m){k||(M(d.$$.fragment,m),k=!0)},o(m){$(d.$$.fragment,m),k=!1},d(m){L(d,m)}}}function rq(E){let d,k,m,f,b,l,u,R,ke,fe,O,ce,te,x,ve,W,pe,Ce,K,ae,re,B,ie,ye,U,we,ge,D,Te,le,oe,z,j,he,J,_e,ue,H,Me,be,q,$e,V,ne,de,G,me,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),m=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),u=s("ul"),R=s("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),ce=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),ve=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=s("code"),pe=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=s("code"),ae=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),B=s("code"),ie=o("fit()"),ye=o(" and "),U=s("code"),we=o("predict()"),ge=o(`, such as when creating your own layers or models with
the Keras `),D=s("code"),Te=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),z=s("ul"),j=s("li"),he=o("a single Tensor with "),J=s("code"),_e=o("input_ids"),ue=o(" only and nothing else: "),H=s("code"),Me=o("model(input_ids)"),be=p(),q=s("li"),$e=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=s("code"),ne=o("model([input_ids, attention_mask])"),de=o(" or "),G=s("code"),me=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),N=s("li"),xe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=s("code"),Fe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),se=p(),C=s("p"),Ee=o(`Note that when creating models and layers with
`),A=s("a"),Re=o("subclassing"),Xe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var F=r(d);k=n(F,"TensorFlow models and layers in "),m=a(F,"CODE",{});var Qe=r(m);f=n(Qe,"transformers"),Qe.forEach(t),b=n(F," accept two formats as input:"),F.forEach(t),l=h(v),u=a(v,"UL",{});var Z=r(u);R=a(Z,"LI",{});var Ke=r(R);ke=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(Z),O=a(Z,"LI",{});var Ve=r(O);ce=n(Ve,"having all inputs as a list, tuple or dict in the first positional argument."),Ve.forEach(t),Z.forEach(t),te=h(v),x=a(v,"P",{});var X=r(x);ve=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a(X,"CODE",{});var Je=r(W);pe=n(Je,"model.fit()"),Je.forEach(t),Ce=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a(X,"CODE",{});var Ge=r(K);ae=n(Ge,"model.fit()"),Ge.forEach(t),re=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),B=a(X,"CODE",{});var We=r(B);ie=n(We,"fit()"),We.forEach(t),ye=n(X," and "),U=a(X,"CODE",{});var qe=r(U);we=n(qe,"predict()"),qe.forEach(t),ge=n(X,`, such as when creating your own layers or models with
the Keras `),D=a(X,"CODE",{});var je=r(D);Te=n(je,"Functional"),je.forEach(t),le=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),oe=h(v),z=a(v,"UL",{});var P=r(z);j=a(P,"LI",{});var S=r(j);he=n(S,"a single Tensor with "),J=a(S,"CODE",{});var Ye=r(J);_e=n(Ye,"input_ids"),Ye.forEach(t),ue=n(S," only and nothing else: "),H=a(S,"CODE",{});var Se=r(H);Me=n(Se,"model(input_ids)"),Se.forEach(t),S.forEach(t),be=h(P),q=a(P,"LI",{});var Y=r(q);$e=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a(Y,"CODE",{});var Be=r(V);ne=n(Be,"model([input_ids, attention_mask])"),Be.forEach(t),de=n(Y," or "),G=a(Y,"CODE",{});var Pe=r(G);me=n(Pe,"model([input_ids, attention_mask, token_type_ids])"),Pe.forEach(t),Y.forEach(t),Le=h(P),N=a(P,"LI",{});var ze=r(N);xe=n(ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=a(ze,"CODE",{});var Ue=r(Q);Fe=n(Ue,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue.forEach(t),ze.forEach(t),P.forEach(t),se=h(v),C=a(v,"P",{});var ee=r(C);Ee=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var He=r(A);Re=n(He,"subclassing"),He.forEach(t),Xe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(v,F){g(v,d,F),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,F),g(v,u,F),e(u,R),e(R,ke),e(u,fe),e(u,O),e(O,ce),g(v,te,F),g(v,x,F),e(x,ve),e(x,W),e(W,pe),e(x,Ce),e(x,K),e(K,ae),e(x,re),e(x,B),e(B,ie),e(x,ye),e(x,U),e(U,we),e(x,ge),e(x,D),e(D,Te),e(x,le),g(v,oe,F),g(v,z,F),e(z,j),e(j,he),e(j,J),e(J,_e),e(j,ue),e(j,H),e(H,Me),e(z,be),e(z,q),e(q,$e),e(q,V),e(V,ne),e(q,de),e(q,G),e(G,me),e(z,Le),e(z,N),e(N,xe),e(N,Q),e(Q,Fe),g(v,se,F),g(v,C,F),e(C,Ee),e(C,A),e(A,Re),e(C,Xe)},d(v){v&&t(d),v&&t(l),v&&t(u),v&&t(te),v&&t(x),v&&t(oe),v&&t(z),v&&t(se),v&&t(C)}}}function iq(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function lq(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForSequenceClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = TFXLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")

logits = model(**inputs).logits

predicted_class_id = int(tf.math.argmax(logits, axis=-1)[0])
model.config.id2label[predicted_class_id]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;optimism&#x27;</span>`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function dq(E){let d,k;return d=new De({props:{code:'# To train a model on `num_labels` classes, you can pass `num_labels=num_labels` to `.from_pretrained(...)`\nnum_labels = len(model.config.id2label)\nmodel = TFXLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels)\n\nlabels = tf.constant(1)\nloss = model(**inputs, labels=labels).loss\nround(float(loss), 2)',highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.constant(<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.08</span>`}}),{c(){y(d.$$.fragment)},l(m){w(d.$$.fragment,m)},m(m,f){T(d,m,f),k=!0},p:Ie,i(m){k||(M(d.$$.fragment,m),k=!0)},o(m){$(d.$$.fragment,m),k=!1},d(m){L(d,m)}}}function cq(E){let d,k,m,f,b,l,u,R,ke,fe,O,ce,te,x,ve,W,pe,Ce,K,ae,re,B,ie,ye,U,we,ge,D,Te,le,oe,z,j,he,J,_e,ue,H,Me,be,q,$e,V,ne,de,G,me,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),m=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),u=s("ul"),R=s("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),ce=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),ve=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=s("code"),pe=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=s("code"),ae=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),B=s("code"),ie=o("fit()"),ye=o(" and "),U=s("code"),we=o("predict()"),ge=o(`, such as when creating your own layers or models with
the Keras `),D=s("code"),Te=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),z=s("ul"),j=s("li"),he=o("a single Tensor with "),J=s("code"),_e=o("input_ids"),ue=o(" only and nothing else: "),H=s("code"),Me=o("model(input_ids)"),be=p(),q=s("li"),$e=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=s("code"),ne=o("model([input_ids, attention_mask])"),de=o(" or "),G=s("code"),me=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),N=s("li"),xe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=s("code"),Fe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),se=p(),C=s("p"),Ee=o(`Note that when creating models and layers with
`),A=s("a"),Re=o("subclassing"),Xe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var F=r(d);k=n(F,"TensorFlow models and layers in "),m=a(F,"CODE",{});var Qe=r(m);f=n(Qe,"transformers"),Qe.forEach(t),b=n(F," accept two formats as input:"),F.forEach(t),l=h(v),u=a(v,"UL",{});var Z=r(u);R=a(Z,"LI",{});var Ke=r(R);ke=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(Z),O=a(Z,"LI",{});var Ve=r(O);ce=n(Ve,"having all inputs as a list, tuple or dict in the first positional argument."),Ve.forEach(t),Z.forEach(t),te=h(v),x=a(v,"P",{});var X=r(x);ve=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a(X,"CODE",{});var Je=r(W);pe=n(Je,"model.fit()"),Je.forEach(t),Ce=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a(X,"CODE",{});var Ge=r(K);ae=n(Ge,"model.fit()"),Ge.forEach(t),re=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),B=a(X,"CODE",{});var We=r(B);ie=n(We,"fit()"),We.forEach(t),ye=n(X," and "),U=a(X,"CODE",{});var qe=r(U);we=n(qe,"predict()"),qe.forEach(t),ge=n(X,`, such as when creating your own layers or models with
the Keras `),D=a(X,"CODE",{});var je=r(D);Te=n(je,"Functional"),je.forEach(t),le=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),oe=h(v),z=a(v,"UL",{});var P=r(z);j=a(P,"LI",{});var S=r(j);he=n(S,"a single Tensor with "),J=a(S,"CODE",{});var Ye=r(J);_e=n(Ye,"input_ids"),Ye.forEach(t),ue=n(S," only and nothing else: "),H=a(S,"CODE",{});var Se=r(H);Me=n(Se,"model(input_ids)"),Se.forEach(t),S.forEach(t),be=h(P),q=a(P,"LI",{});var Y=r(q);$e=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a(Y,"CODE",{});var Be=r(V);ne=n(Be,"model([input_ids, attention_mask])"),Be.forEach(t),de=n(Y," or "),G=a(Y,"CODE",{});var Pe=r(G);me=n(Pe,"model([input_ids, attention_mask, token_type_ids])"),Pe.forEach(t),Y.forEach(t),Le=h(P),N=a(P,"LI",{});var ze=r(N);xe=n(ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=a(ze,"CODE",{});var Ue=r(Q);Fe=n(Ue,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue.forEach(t),ze.forEach(t),P.forEach(t),se=h(v),C=a(v,"P",{});var ee=r(C);Ee=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var He=r(A);Re=n(He,"subclassing"),He.forEach(t),Xe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(v,F){g(v,d,F),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,F),g(v,u,F),e(u,R),e(R,ke),e(u,fe),e(u,O),e(O,ce),g(v,te,F),g(v,x,F),e(x,ve),e(x,W),e(W,pe),e(x,Ce),e(x,K),e(K,ae),e(x,re),e(x,B),e(B,ie),e(x,ye),e(x,U),e(U,we),e(x,ge),e(x,D),e(D,Te),e(x,le),g(v,oe,F),g(v,z,F),e(z,j),e(j,he),e(j,J),e(J,_e),e(j,ue),e(j,H),e(H,Me),e(z,be),e(z,q),e(q,$e),e(q,V),e(V,ne),e(q,de),e(q,G),e(G,me),e(z,Le),e(z,N),e(N,xe),e(N,Q),e(Q,Fe),g(v,se,F),g(v,C,F),e(C,Ee),e(C,A),e(A,Re),e(C,Xe)},d(v){v&&t(d),v&&t(l),v&&t(u),v&&t(te),v&&t(x),v&&t(oe),v&&t(z),v&&t(se),v&&t(C)}}}function pq(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function hq(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForMultipleChoice
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaForMultipleChoice.from_pretrained("xlm-roberta-base")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="tf", padding=True)
inputs = {k: tf.expand_dims(v, 0) for k, v in encoding.items()}
outputs = model(inputs)  # batch size is 1

# the linear classifier still needs to be trained
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = {k: tf.expand_dims(v, <span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function uq(E){let d,k,m,f,b,l,u,R,ke,fe,O,ce,te,x,ve,W,pe,Ce,K,ae,re,B,ie,ye,U,we,ge,D,Te,le,oe,z,j,he,J,_e,ue,H,Me,be,q,$e,V,ne,de,G,me,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),m=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),u=s("ul"),R=s("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),ce=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),ve=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=s("code"),pe=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=s("code"),ae=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),B=s("code"),ie=o("fit()"),ye=o(" and "),U=s("code"),we=o("predict()"),ge=o(`, such as when creating your own layers or models with
the Keras `),D=s("code"),Te=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),z=s("ul"),j=s("li"),he=o("a single Tensor with "),J=s("code"),_e=o("input_ids"),ue=o(" only and nothing else: "),H=s("code"),Me=o("model(input_ids)"),be=p(),q=s("li"),$e=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=s("code"),ne=o("model([input_ids, attention_mask])"),de=o(" or "),G=s("code"),me=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),N=s("li"),xe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=s("code"),Fe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),se=p(),C=s("p"),Ee=o(`Note that when creating models and layers with
`),A=s("a"),Re=o("subclassing"),Xe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var F=r(d);k=n(F,"TensorFlow models and layers in "),m=a(F,"CODE",{});var Qe=r(m);f=n(Qe,"transformers"),Qe.forEach(t),b=n(F," accept two formats as input:"),F.forEach(t),l=h(v),u=a(v,"UL",{});var Z=r(u);R=a(Z,"LI",{});var Ke=r(R);ke=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(Z),O=a(Z,"LI",{});var Ve=r(O);ce=n(Ve,"having all inputs as a list, tuple or dict in the first positional argument."),Ve.forEach(t),Z.forEach(t),te=h(v),x=a(v,"P",{});var X=r(x);ve=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a(X,"CODE",{});var Je=r(W);pe=n(Je,"model.fit()"),Je.forEach(t),Ce=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a(X,"CODE",{});var Ge=r(K);ae=n(Ge,"model.fit()"),Ge.forEach(t),re=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),B=a(X,"CODE",{});var We=r(B);ie=n(We,"fit()"),We.forEach(t),ye=n(X," and "),U=a(X,"CODE",{});var qe=r(U);we=n(qe,"predict()"),qe.forEach(t),ge=n(X,`, such as when creating your own layers or models with
the Keras `),D=a(X,"CODE",{});var je=r(D);Te=n(je,"Functional"),je.forEach(t),le=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),oe=h(v),z=a(v,"UL",{});var P=r(z);j=a(P,"LI",{});var S=r(j);he=n(S,"a single Tensor with "),J=a(S,"CODE",{});var Ye=r(J);_e=n(Ye,"input_ids"),Ye.forEach(t),ue=n(S," only and nothing else: "),H=a(S,"CODE",{});var Se=r(H);Me=n(Se,"model(input_ids)"),Se.forEach(t),S.forEach(t),be=h(P),q=a(P,"LI",{});var Y=r(q);$e=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a(Y,"CODE",{});var Be=r(V);ne=n(Be,"model([input_ids, attention_mask])"),Be.forEach(t),de=n(Y," or "),G=a(Y,"CODE",{});var Pe=r(G);me=n(Pe,"model([input_ids, attention_mask, token_type_ids])"),Pe.forEach(t),Y.forEach(t),Le=h(P),N=a(P,"LI",{});var ze=r(N);xe=n(ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=a(ze,"CODE",{});var Ue=r(Q);Fe=n(Ue,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue.forEach(t),ze.forEach(t),P.forEach(t),se=h(v),C=a(v,"P",{});var ee=r(C);Ee=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var He=r(A);Re=n(He,"subclassing"),He.forEach(t),Xe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(v,F){g(v,d,F),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,F),g(v,u,F),e(u,R),e(R,ke),e(u,fe),e(u,O),e(O,ce),g(v,te,F),g(v,x,F),e(x,ve),e(x,W),e(W,pe),e(x,Ce),e(x,K),e(K,ae),e(x,re),e(x,B),e(B,ie),e(x,ye),e(x,U),e(U,we),e(x,ge),e(x,D),e(D,Te),e(x,le),g(v,oe,F),g(v,z,F),e(z,j),e(j,he),e(j,J),e(J,_e),e(j,ue),e(j,H),e(H,Me),e(z,be),e(z,q),e(q,$e),e(q,V),e(V,ne),e(q,de),e(q,G),e(G,me),e(z,Le),e(z,N),e(N,xe),e(N,Q),e(Q,Fe),g(v,se,F),g(v,C,F),e(C,Ee),e(C,A),e(A,Re),e(C,Xe)},d(v){v&&t(d),v&&t(l),v&&t(u),v&&t(te),v&&t(x),v&&t(oe),v&&t(z),v&&t(se),v&&t(C)}}}function mq(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function fq(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForTokenClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("ydshieh/roberta-large-ner-english")
model = TFXLMRobertaForTokenClassification.from_pretrained("ydshieh/roberta-large-ner-english")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="tf"
)

logits = model(**inputs).logits
predicted_token_class_ids = tf.math.argmax(logits, axis=-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t] for t in predicted_token_class_ids[0].numpy().tolist()]
predicted_tokens_classes`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-large-ner-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForTokenClassification.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-large-ner-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>].numpy().tolist()]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes
[<span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>]`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function gq(E){let d,k;return d=new De({props:{code:`labels = predicted_token_class_ids
loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.01</span>`}}),{c(){y(d.$$.fragment)},l(m){w(d.$$.fragment,m)},m(m,f){T(d,m,f),k=!0},p:Ie,i(m){k||(M(d.$$.fragment,m),k=!0)},o(m){$(d.$$.fragment,m),k=!1},d(m){L(d,m)}}}function _q(E){let d,k,m,f,b,l,u,R,ke,fe,O,ce,te,x,ve,W,pe,Ce,K,ae,re,B,ie,ye,U,we,ge,D,Te,le,oe,z,j,he,J,_e,ue,H,Me,be,q,$e,V,ne,de,G,me,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),m=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),u=s("ul"),R=s("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),ce=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),ve=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=s("code"),pe=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=s("code"),ae=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),B=s("code"),ie=o("fit()"),ye=o(" and "),U=s("code"),we=o("predict()"),ge=o(`, such as when creating your own layers or models with
the Keras `),D=s("code"),Te=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),z=s("ul"),j=s("li"),he=o("a single Tensor with "),J=s("code"),_e=o("input_ids"),ue=o(" only and nothing else: "),H=s("code"),Me=o("model(input_ids)"),be=p(),q=s("li"),$e=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=s("code"),ne=o("model([input_ids, attention_mask])"),de=o(" or "),G=s("code"),me=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),N=s("li"),xe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=s("code"),Fe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),se=p(),C=s("p"),Ee=o(`Note that when creating models and layers with
`),A=s("a"),Re=o("subclassing"),Xe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var F=r(d);k=n(F,"TensorFlow models and layers in "),m=a(F,"CODE",{});var Qe=r(m);f=n(Qe,"transformers"),Qe.forEach(t),b=n(F," accept two formats as input:"),F.forEach(t),l=h(v),u=a(v,"UL",{});var Z=r(u);R=a(Z,"LI",{});var Ke=r(R);ke=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(Z),O=a(Z,"LI",{});var Ve=r(O);ce=n(Ve,"having all inputs as a list, tuple or dict in the first positional argument."),Ve.forEach(t),Z.forEach(t),te=h(v),x=a(v,"P",{});var X=r(x);ve=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a(X,"CODE",{});var Je=r(W);pe=n(Je,"model.fit()"),Je.forEach(t),Ce=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a(X,"CODE",{});var Ge=r(K);ae=n(Ge,"model.fit()"),Ge.forEach(t),re=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),B=a(X,"CODE",{});var We=r(B);ie=n(We,"fit()"),We.forEach(t),ye=n(X," and "),U=a(X,"CODE",{});var qe=r(U);we=n(qe,"predict()"),qe.forEach(t),ge=n(X,`, such as when creating your own layers or models with
the Keras `),D=a(X,"CODE",{});var je=r(D);Te=n(je,"Functional"),je.forEach(t),le=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),oe=h(v),z=a(v,"UL",{});var P=r(z);j=a(P,"LI",{});var S=r(j);he=n(S,"a single Tensor with "),J=a(S,"CODE",{});var Ye=r(J);_e=n(Ye,"input_ids"),Ye.forEach(t),ue=n(S," only and nothing else: "),H=a(S,"CODE",{});var Se=r(H);Me=n(Se,"model(input_ids)"),Se.forEach(t),S.forEach(t),be=h(P),q=a(P,"LI",{});var Y=r(q);$e=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a(Y,"CODE",{});var Be=r(V);ne=n(Be,"model([input_ids, attention_mask])"),Be.forEach(t),de=n(Y," or "),G=a(Y,"CODE",{});var Pe=r(G);me=n(Pe,"model([input_ids, attention_mask, token_type_ids])"),Pe.forEach(t),Y.forEach(t),Le=h(P),N=a(P,"LI",{});var ze=r(N);xe=n(ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=a(ze,"CODE",{});var Ue=r(Q);Fe=n(Ue,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue.forEach(t),ze.forEach(t),P.forEach(t),se=h(v),C=a(v,"P",{});var ee=r(C);Ee=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var He=r(A);Re=n(He,"subclassing"),He.forEach(t),Xe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(v,F){g(v,d,F),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,F),g(v,u,F),e(u,R),e(R,ke),e(u,fe),e(u,O),e(O,ce),g(v,te,F),g(v,x,F),e(x,ve),e(x,W),e(W,pe),e(x,Ce),e(x,K),e(K,ae),e(x,re),e(x,B),e(B,ie),e(x,ye),e(x,U),e(U,we),e(x,ge),e(x,D),e(D,Te),e(x,le),g(v,oe,F),g(v,z,F),e(z,j),e(j,he),e(j,J),e(J,_e),e(j,ue),e(j,H),e(H,Me),e(z,be),e(z,q),e(q,$e),e(q,V),e(V,ne),e(q,de),e(q,G),e(G,me),e(z,Le),e(z,N),e(N,xe),e(N,Q),e(Q,Fe),g(v,se,F),g(v,C,F),e(C,Ee),e(C,A),e(A,Re),e(C,Xe)},d(v){v&&t(d),v&&t(l),v&&t(u),v&&t(te),v&&t(x),v&&t(oe),v&&t(z),v&&t(se),v&&t(C)}}}function bq(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function kq(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForQuestionAnswering
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("ydshieh/roberta-base-squad2")
model = TFXLMRobertaForQuestionAnswering.from_pretrained("ydshieh/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="tf")
outputs = model(**inputs)

answer_start_index = int(tf.math.argmax(outputs.start_logits, axis=-1)[0])
answer_end_index = int(tf.math.argmax(outputs.end_logits, axis=-1)[0])

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.start_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.end_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens)
<span class="hljs-string">&#x27; puppet&#x27;</span>`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function vq(E){let d,k;return d=new De({props:{code:`# target is "nice puppet"
target_start_index = tf.constant([14])
target_end_index = tf.constant([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = tf.math.reduce_mean(outputs.loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = tf.constant([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = tf.constant([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(outputs.loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.86</span>`}}),{c(){y(d.$$.fragment)},l(m){w(d.$$.fragment,m)},m(m,f){T(d,m,f),k=!0},p:Ie,i(m){k||(M(d.$$.fragment,m),k=!0)},o(m){$(d.$$.fragment,m),k=!1},d(m){L(d,m)}}}function yq(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function wq(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaModel

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaModel.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaModel.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function Tq(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function Mq(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForCausalLM

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForCausalLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="np")
outputs = model(**inputs)

# retrieve logts for next token
next_token_logits = outputs.logits[:, -1]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForCausalLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve logts for next token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>next_token_logits = outputs.logits[:, -<span class="hljs-number">1</span>]`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function $q(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function Lq(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForMaskedLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("The capital of France is [MASK].", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForMaskedLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function xq(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function Fq(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForSequenceClassification.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function Eq(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function Rq(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForMultipleChoice.from_pretrained("xlm-roberta-base")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="jax", padding=True)
outputs = model(**{k: v[None, :] for k, v in encoding.items()})

logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;jax&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v[<span class="hljs-literal">None</span>, :] <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()})

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function Xq(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function zq(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForTokenClassification.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForTokenClassification.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function Cq(E){let d,k,m,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(u,"CODE",{});var R=r(m);f=n(R,"Module"),R.forEach(t),b=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){g(l,d,u),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function qq(E){let d,k,m,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForQuestionAnswering.from_pretrained("xlm-roberta-base")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="jax")

outputs = model(**inputs)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){d=s("p"),k=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var u=r(d);k=n(u,"Example:"),u.forEach(t),m=h(l),w(f.$$.fragment,l)},m(l,u){g(l,d,u),e(d,k),g(l,m,u),T(f,l,u),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),L(f,l)}}}function jq(E){let d,k,m,f,b,l,u,R,ke,fe,O,ce,te,x,ve,W,pe,Ce,K,ae,re,B,ie,ye,U,we,ge,D,Te,le,oe,z,j,he,J,_e,ue,H,Me,be,q,$e,V,ne,de,G,me,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe,v,F,Qe,Z,Ke,Ve,X,Je,Ge,We,qe,je,P,S,Ye,Se,Y,Be,Pe,ze,Ue,ee,He,gt,Ec,Zb,lr,ek,tk,$o,Rc,ok,nk,dr,sk,ak,cr,rk,ik,lk,Lo,Xc,dk,ck,pr,pk,hk,hr,uk,mk,fk,xo,zc,gk,_k,ur,bk,kk,mr,vk,yk,wk,Cc,fr,Tk,Mk,$k,zh,qc,Lk,kg,gr,vg,Lt,Fo,jc,xk,Fk,_r,Ek,Rk,br,Xk,zk,Ck,Eo,Ac,qk,jk,kr,Ak,Pk,vr,Nk,Ok,Ik,as,Pc,Dk,Sk,yr,Wk,Bk,Uk,Nc,wr,Hk,Qk,Kk,Ch,Oc,Vk,yg,Tr,wg,Ro,Xo,Ic,Jk,Gk,Mr,Yk,Zk,$r,ev,tv,ov,Dc,Lr,nv,sv,av,qh,Sc,rv,Tg,xr,Mg,xt,zo,Wc,iv,lv,Fr,dv,cv,Er,pv,hv,uv,Co,Bc,mv,fv,Rr,gv,_v,Xr,bv,kv,vv,qo,Uc,yv,wv,zr,Tv,Mv,Cr,$v,Lv,xv,Hc,qr,Fv,Ev,Rv,jh,Qc,Xv,$g,jr,Lg,Ft,jo,Kc,zv,Cv,Ar,qv,jv,Pr,Av,Pv,Nv,Ao,Vc,Ov,Iv,Nr,Dv,Sv,Or,Wv,Bv,Uv,rs,Jc,Hv,Qv,Ir,Kv,Vv,Jv,Gc,Dr,Gv,Yv,Zv,Ah,Yc,ey,xg,Zc,Ph,ty,Fg,Po,No,ep,oy,ny,Sr,sy,ay,Wr,ry,iy,ly,Oo,tp,dy,cy,Br,py,hy,Ur,uy,my,fy,Nh,op,gy,Eg,np,_y,Rg,sp,Hr,by,Qr,ky,vy,Xg,ln,is,Oh,Kr,yy,Ih,wy,zg,Wt,Vr,Ty,go,My,ap,$y,Ly,rp,xy,Fy,Jr,Ey,Ry,Xy,dn,zy,ip,Cy,qy,lp,jy,Ay,Py,ls,Cg,cn,ds,Dh,Gr,Ny,Sh,Oy,qg,et,Yr,Iy,_o,Dy,dp,Sy,Wy,cp,By,Uy,Zr,Hy,Qy,Ky,ei,Vy,pp,Jy,Gy,Yy,Io,ti,Zy,Wh,e1,t1,oi,hp,o1,Bh,n1,s1,up,a1,Uh,r1,i1,cs,ni,l1,si,d1,Hh,c1,p1,h1,ps,ai,u1,Qh,m1,f1,mp,ri,jg,pn,hs,Kh,ii,g1,Vh,_1,Ag,bt,li,b1,Bt,k1,Jh,v1,y1,fp,w1,T1,gp,M1,$1,di,L1,x1,F1,ci,E1,_p,R1,X1,z1,Do,pi,C1,Gh,q1,j1,hi,bp,A1,Yh,P1,N1,kp,O1,Zh,I1,D1,us,ui,S1,eu,W1,Pg,hn,ms,tu,mi,B1,ou,U1,Ng,Ze,fi,H1,nu,Q1,K1,gi,V1,vp,J1,G1,Y1,_i,Z1,bi,e2,t2,o2,ki,n2,su,s2,a2,r2,lt,i2,au,l2,d2,ru,c2,p2,iu,h2,u2,lu,m2,f2,du,g2,_2,cu,b2,k2,v2,fs,y2,pu,w2,T2,vi,M2,$2,Ht,yi,L2,un,x2,yp,F2,E2,hu,R2,X2,z2,gs,C2,_s,Og,mn,bs,uu,wi,q2,mu,j2,Ig,kt,Ti,A2,Mi,P2,fu,N2,O2,I2,$i,D2,wp,S2,W2,B2,Li,U2,xi,H2,Q2,K2,Qt,Fi,V2,fn,J2,Tp,G2,Y2,gu,Z2,ew,tw,ks,ow,vs,Dg,gn,ys,_u,Ei,nw,bu,sw,Sg,vt,Ri,aw,Xi,rw,ku,iw,lw,dw,zi,cw,Mp,pw,hw,uw,Ci,mw,qi,fw,gw,_w,Kt,ji,bw,_n,kw,$p,vw,yw,vu,ww,Tw,Mw,ws,$w,Ts,Wg,bn,Ms,yu,Ai,Lw,wu,xw,Bg,yt,Pi,Fw,Tu,Ew,Rw,Ni,Xw,Lp,zw,Cw,qw,Oi,jw,Ii,Aw,Pw,Nw,Et,Di,Ow,kn,Iw,xp,Dw,Sw,Mu,Ww,Bw,Uw,$s,Hw,Ls,Qw,xs,Ug,vn,Fs,$u,Si,Kw,Lu,Vw,Hg,wt,Wi,Jw,xu,Gw,Yw,Bi,Zw,Fp,eT,tT,oT,Ui,nT,Hi,sT,aT,rT,Vt,Qi,iT,yn,lT,Ep,dT,cT,Fu,pT,hT,uT,Es,mT,Rs,Qg,wn,Xs,Eu,Ki,fT,Ru,gT,Kg,Tt,Vi,_T,Xu,bT,kT,Ji,vT,Rp,yT,wT,TT,Gi,MT,Yi,$T,LT,xT,Jt,Zi,FT,Tn,ET,Xp,RT,XT,zu,zT,CT,qT,zs,jT,Cs,Vg,Mn,qs,Cu,el,AT,qu,PT,Jg,Mt,tl,NT,$n,OT,ju,IT,DT,Au,ST,WT,BT,ol,UT,zp,HT,QT,KT,nl,VT,sl,JT,GT,YT,Gt,al,ZT,Ln,eM,Cp,tM,oM,Pu,nM,sM,aM,js,rM,As,Gg,xn,Ps,Nu,rl,iM,Ou,lM,Yg,dt,il,dM,Iu,cM,pM,ll,hM,qp,uM,mM,fM,dl,gM,cl,_M,bM,kM,Ns,vM,Yt,pl,yM,Fn,wM,jp,TM,MM,Du,$M,LM,xM,Os,FM,Is,Zg,En,Ds,Su,hl,EM,Wu,RM,e_,ct,ul,XM,ml,zM,Bu,CM,qM,jM,fl,AM,Ap,PM,NM,OM,gl,IM,_l,DM,SM,WM,Ss,BM,Zt,bl,UM,Rn,HM,Pp,QM,KM,Uu,VM,JM,GM,Ws,YM,Bs,t_,Xn,Us,Hu,kl,ZM,Qu,e$,o_,pt,vl,t$,yl,o$,Ku,n$,s$,a$,wl,r$,Np,i$,l$,d$,Tl,c$,Ml,p$,h$,u$,Hs,m$,Rt,$l,f$,zn,g$,Op,_$,b$,Vu,k$,v$,y$,Qs,w$,Ks,T$,Vs,n_,Cn,Js,Ju,Ll,M$,Gu,$$,s_,ht,xl,L$,Yu,x$,F$,Fl,E$,Ip,R$,X$,z$,El,C$,Rl,q$,j$,A$,Gs,P$,Xt,Xl,N$,qn,O$,Dp,I$,D$,Zu,S$,W$,B$,Ys,U$,Zs,H$,ea,a_,jn,ta,em,zl,Q$,tm,K$,r_,ut,Cl,V$,om,J$,G$,ql,Y$,Sp,Z$,eL,tL,jl,oL,Al,nL,sL,aL,oa,rL,eo,Pl,iL,An,lL,Wp,dL,cL,nm,pL,hL,uL,na,mL,sa,i_,Pn,aa,sm,Nl,fL,am,gL,l_,mt,Ol,_L,rm,bL,kL,Il,vL,Bp,yL,wL,TL,Dl,ML,Sl,$L,LL,xL,ra,FL,zt,Wl,EL,Nn,RL,Up,XL,zL,im,CL,qL,jL,ia,AL,la,PL,da,d_,On,ca,lm,Bl,NL,dm,OL,c_,ft,Ul,IL,In,DL,cm,SL,WL,pm,BL,UL,HL,Hl,QL,Hp,KL,VL,JL,Ql,GL,Kl,YL,ZL,ex,pa,tx,Ct,Vl,ox,Dn,nx,Qp,sx,ax,hm,rx,ix,lx,ha,dx,ua,cx,ma,p_,Sn,fa,um,Jl,px,mm,hx,h_,tt,Gl,ux,fm,mx,fx,Yl,gx,Kp,_x,bx,kx,Zl,vx,ed,yx,wx,Tx,gm,Mx,$x,bo,_m,td,Lx,xx,bm,od,Fx,Ex,km,nd,Rx,Xx,vm,sd,zx,Cx,to,ad,qx,Wn,jx,ym,Ax,Px,wm,Nx,Ox,Ix,ga,Dx,_a,u_,Bn,ba,Tm,rd,Sx,Mm,Wx,m_,ot,id,Bx,$m,Ux,Hx,ld,Qx,Vp,Kx,Vx,Jx,dd,Gx,cd,Yx,Zx,eF,Lm,tF,oF,ko,xm,pd,nF,sF,Fm,hd,aF,rF,Em,ud,iF,lF,Rm,md,dF,cF,oo,fd,pF,Un,hF,Xm,uF,mF,zm,fF,gF,_F,ka,bF,va,f_,Hn,ya,Cm,gd,kF,qm,vF,g_,nt,_d,yF,bd,wF,jm,TF,MF,$F,kd,LF,Jp,xF,FF,EF,vd,RF,yd,XF,zF,CF,Am,qF,jF,vo,Pm,wd,AF,PF,Nm,Td,NF,OF,Om,Md,IF,DF,Im,$d,SF,WF,no,Ld,BF,Qn,UF,Dm,HF,QF,Sm,KF,VF,JF,wa,GF,Ta,__,Kn,Ma,Wm,xd,YF,Bm,ZF,b_,st,Fd,e0,Um,t0,o0,Ed,n0,Gp,s0,a0,r0,Rd,i0,Xd,l0,d0,c0,Hm,p0,h0,yo,Qm,zd,u0,m0,Km,Cd,f0,g0,Vm,qd,_0,b0,Jm,jd,k0,v0,so,Ad,y0,Vn,w0,Gm,T0,M0,Ym,$0,L0,x0,$a,F0,La,k_,Jn,xa,Zm,Pd,E0,ef,R0,v_,at,Nd,X0,tf,z0,C0,Od,q0,Yp,j0,A0,P0,Id,N0,Dd,O0,I0,D0,of,S0,W0,wo,nf,Sd,B0,U0,sf,Wd,H0,Q0,af,Bd,K0,V0,rf,Ud,J0,G0,ao,Hd,Y0,Gn,Z0,lf,eE,tE,df,oE,nE,sE,Fa,aE,Ea,y_,Yn,Ra,cf,Qd,rE,pf,iE,w_,rt,Kd,lE,hf,dE,cE,Vd,pE,Zp,hE,uE,mE,Jd,fE,Gd,gE,_E,bE,uf,kE,vE,To,mf,Yd,yE,wE,ff,Zd,TE,ME,gf,ec,$E,LE,_f,tc,xE,FE,ro,oc,EE,Zn,RE,bf,XE,zE,kf,CE,qE,jE,Xa,AE,za,T_,es,Ca,vf,nc,PE,yf,NE,M_,it,sc,OE,ts,IE,wf,DE,SE,Tf,WE,BE,UE,ac,HE,eh,QE,KE,VE,rc,JE,ic,GE,YE,ZE,Mf,e3,t3,Mo,$f,lc,o3,n3,Lf,dc,s3,a3,xf,cc,r3,i3,Ff,pc,l3,d3,io,hc,c3,os,p3,Ef,h3,u3,Rf,m3,f3,g3,qa,_3,ja,$_;return l=new Ne({}),ie=new Ne({}),S=new Ne({}),ee=new bg({props:{pipeline:"text-classification"}}),gr=new bg({props:{pipeline:"token-classification"}}),Tr=new bg({props:{pipeline:"text-generation"}}),xr=new bg({props:{pipeline:"fill-mask"}}),jr=new bg({props:{pipeline:"question-answering"}}),Kr=new Ne({}),Vr=new I({props:{name:"class transformers.XLMRobertaConfig",anchor:"transformers.XLMRobertaConfig",parameters:[{name:"vocab_size",val:" = 30522"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 512"},{name:"type_vocab_size",val:" = 2"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"position_embedding_type",val:" = 'absolute'"},{name:"use_cache",val:" = True"},{name:"classifier_dropout",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30522) &#x2014;
Vocabulary size of the XLM-RoBERTa model. Defines the number of different tokens that can be represented by
the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaModel">XLMRobertaModel</a> or <a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel">TFXLMRobertaModel</a>.`,name:"vocab_size"},{anchor:"transformers.XLMRobertaConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.XLMRobertaConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.XLMRobertaConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.XLMRobertaConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.XLMRobertaConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.XLMRobertaConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.XLMRobertaConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.XLMRobertaConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.XLMRobertaConfig.type_vocab_size",description:`<strong>type_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The vocabulary size of the <code>token_type_ids</code> passed when calling <a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaModel">XLMRobertaModel</a> or
<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel">TFXLMRobertaModel</a>.`,name:"type_vocab_size"},{anchor:"transformers.XLMRobertaConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.XLMRobertaConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.XLMRobertaConfig.position_embedding_type",description:`<strong>position_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;absolute&quot;</code>) &#x2014;
Type of position embedding. Choose one of <code>&quot;absolute&quot;</code>, <code>&quot;relative_key&quot;</code>, <code>&quot;relative_key_query&quot;</code>. For
positional embeddings use <code>&quot;absolute&quot;</code>. For more information on <code>&quot;relative_key&quot;</code>, please refer to
<a href="https://arxiv.org/abs/1803.02155" rel="nofollow">Self-Attention with Relative Position Representations (Shaw et al.)</a>.
For more information on <code>&quot;relative_key_query&quot;</code>, please refer to <em>Method 4</em> in <a href="https://arxiv.org/abs/2009.13658" rel="nofollow">Improve Transformer Models
with Better Relative Position Embeddings (Huang et al.)</a>.`,name:"position_embedding_type"},{anchor:"transformers.XLMRobertaConfig.is_decoder",description:`<strong>is_decoder</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the model is used as a decoder or not. If <code>False</code>, the model is used as an encoder.`,name:"is_decoder"},{anchor:"transformers.XLMRobertaConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.XLMRobertaConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>) &#x2014;
The dropout ratio for the classification head.`,name:"classifier_dropout"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/configuration_xlm_roberta.py#L45"}}),ls=new Oe({props:{anchor:"transformers.XLMRobertaConfig.example",$$slots:{default:[qC]},$$scope:{ctx:E}}}),Gr=new Ne({}),Yr=new I({props:{name:"class transformers.XLMRobertaTokenizer",anchor:"transformers.XLMRobertaTokenizer",parameters:[{name:"vocab_file",val:""},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.XLMRobertaTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.XLMRobertaTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.XLMRobertaTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.XLMRobertaTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.XLMRobertaTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.XLMRobertaTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.XLMRobertaTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.XLMRobertaTokenizer.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;s&gt;NOTUSED&quot;, &quot;&lt;/s&gt;NOTUSED&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"},{anchor:"transformers.XLMRobertaTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.XLMRobertaTokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L63"}}),ti=new I({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.XLMRobertaTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L202",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ni=new I({props:{name:"get_special_tokens_mask",anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L228",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ai=new I({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.XLMRobertaTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L256",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ri=new I({props:{name:"save_vocabulary",anchor:"transformers.XLMRobertaTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L313"}}),ii=new Ne({}),li=new I({props:{name:"class transformers.XLMRobertaTokenizerFast",anchor:"transformers.XLMRobertaTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.XLMRobertaTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.XLMRobertaTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.XLMRobertaTokenizerFast.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.XLMRobertaTokenizerFast.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.XLMRobertaTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.XLMRobertaTokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.XLMRobertaTokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.XLMRobertaTokenizerFast.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;s&gt;NOTUSED&quot;, &quot;&lt;/s&gt;NOTUSED&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/tokenization_xlm_roberta_fast.py#L82"}}),pi=new I({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.XLMRobertaTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/tokenization_xlm_roberta_fast.py#L171",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ui=new I({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.XLMRobertaTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/tokenization_xlm_roberta_fast.py#L197",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),mi=new Ne({}),fi=new I({props:{name:"class transformers.XLMRobertaModel",anchor:"transformers.XLMRobertaModel",parameters:[{name:"config",val:""},{name:"add_pooling_layer",val:" = True"}],parametersDescription:[{anchor:"transformers.XLMRobertaModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L700"}}),yi=new I({props:{name:"forward",anchor:"transformers.XLMRobertaModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.XLMRobertaModel.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.XLMRobertaModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.XLMRobertaModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L745",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),gs=new Ae({props:{$$slots:{default:[jC]},$$scope:{ctx:E}}}),_s=new Oe({props:{anchor:"transformers.XLMRobertaModel.forward.example",$$slots:{default:[AC]},$$scope:{ctx:E}}}),wi=new Ne({}),Ti=new I({props:{name:"class transformers.XLMRobertaForCausalLM",anchor:"transformers.XLMRobertaForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L887"}}),Fi=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"past_key_values",val:": typing.Tuple[typing.Tuple[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForCausalLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForCausalLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.XLMRobertaForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.XLMRobertaForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the left-to-right language modeling loss (next word prediction). Indices should be in
<code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are
ignored (masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.XLMRobertaForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.XLMRobertaForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L913",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ks=new Ae({props:{$$slots:{default:[PC]},$$scope:{ctx:E}}}),vs=new Oe({props:{anchor:"transformers.XLMRobertaForCausalLM.forward.example",$$slots:{default:[NC]},$$scope:{ctx:E}}}),Ei=new Ne({}),Ri=new I({props:{name:"class transformers.XLMRobertaForMaskedLM",anchor:"transformers.XLMRobertaForMaskedLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1043"}}),ji=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, any]</code>, optional, defaults to <em>{}</em>) &#x2014;
Used to hide legacy arguments that have been deprecated.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1072",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ws=new Ae({props:{$$slots:{default:[OC]},$$scope:{ctx:E}}}),Ts=new Oe({props:{anchor:"transformers.XLMRobertaForMaskedLM.forward.example",$$slots:{default:[IC]},$$scope:{ctx:E}}}),Ai=new Ne({}),Pi=new I({props:{name:"class transformers.XLMRobertaForSequenceClassification",anchor:"transformers.XLMRobertaForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1179"}}),Di=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1193",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),$s=new Ae({props:{$$slots:{default:[DC]},$$scope:{ctx:E}}}),Ls=new Oe({props:{anchor:"transformers.XLMRobertaForSequenceClassification.forward.example",$$slots:{default:[SC]},$$scope:{ctx:E}}}),xs=new Oe({props:{anchor:"transformers.XLMRobertaForSequenceClassification.forward.example-2",$$slots:{default:[WC]},$$scope:{ctx:E}}}),Si=new Ne({}),Wi=new I({props:{name:"class transformers.XLMRobertaForMultipleChoice",anchor:"transformers.XLMRobertaForMultipleChoice",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1279"}}),Qi=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices-1]</code> where <code>num_choices</code> is the size of the second dimension of the input tensors. (See
<code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1292",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <em>(1,)</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Es=new Ae({props:{$$slots:{default:[BC]},$$scope:{ctx:E}}}),Rs=new Oe({props:{anchor:"transformers.XLMRobertaForMultipleChoice.forward.example",$$slots:{default:[UC]},$$scope:{ctx:E}}}),Ki=new Ne({}),Vi=new I({props:{name:"class transformers.XLMRobertaForTokenClassification",anchor:"transformers.XLMRobertaForTokenClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1374"}}),Zi=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1392",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),zs=new Ae({props:{$$slots:{default:[HC]},$$scope:{ctx:E}}}),Cs=new Oe({props:{anchor:"transformers.XLMRobertaForTokenClassification.forward.example",$$slots:{default:[QC]},$$scope:{ctx:E}}}),el=new Ne({}),tl=new I({props:{name:"class transformers.XLMRobertaForQuestionAnswering",anchor:"transformers.XLMRobertaForQuestionAnswering",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1484"}}),al=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"start_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"end_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1498",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),js=new Ae({props:{$$slots:{default:[KC]},$$scope:{ctx:E}}}),As=new Oe({props:{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.example",$$slots:{default:[VC]},$$scope:{ctx:E}}}),rl=new Ne({}),il=new I({props:{name:"class transformers.TFXLMRobertaModel",anchor:"transformers.TFXLMRobertaModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L915"}}),Ns=new Ae({props:{$$slots:{default:[JC]},$$scope:{ctx:E}}}),pl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_hidden_states",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaModel.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaModel.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaModel.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaModel.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaModel.call.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.TFXLMRobertaModel.call.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.TFXLMRobertaModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFXLMRobertaModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L920",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
<p>This output is usually <em>not</em> a good summary of the semantic content of the input, you\u2019re often better with
averaging or pooling the sequence of hidden-states for the whole input sequence.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Os=new Ae({props:{$$slots:{default:[GC]},$$scope:{ctx:E}}}),Is=new Oe({props:{anchor:"transformers.TFXLMRobertaModel.call.example",$$slots:{default:[YC]},$$scope:{ctx:E}}}),hl=new Ne({}),ul=new I({props:{name:"class transformers.TFXLMRobertaForCausalLM",anchor:"transformers.TFXLMRobertaForCausalLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1149"}}),Ss=new Ae({props:{$$slots:{default:[ZC]},$$scope:{ctx:E}}}),bl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForCausalLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_hidden_states",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForCausalLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> or <code>np.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the cross entropy classification loss. Indices should be in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1182",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ws=new Ae({props:{$$slots:{default:[eq]},$$scope:{ctx:E}}}),Bs=new Oe({props:{anchor:"transformers.TFXLMRobertaForCausalLM.call.example",$$slots:{default:[tq]},$$scope:{ctx:E}}}),kl=new Ne({}),vl=new I({props:{name:"class transformers.TFXLMRobertaForMaskedLM",anchor:"transformers.TFXLMRobertaForMaskedLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1060"}}),Hs=new Ae({props:{$$slots:{default:[oq]},$$scope:{ctx:E}}}),$l=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForMaskedLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMaskedLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1077",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Qs=new Ae({props:{$$slots:{default:[nq]},$$scope:{ctx:E}}}),Ks=new Oe({props:{anchor:"transformers.TFXLMRobertaForMaskedLM.call.example",$$slots:{default:[sq]},$$scope:{ctx:E}}}),Vs=new Oe({props:{anchor:"transformers.TFXLMRobertaForMaskedLM.call.example-2",$$slots:{default:[aq]},$$scope:{ctx:E}}}),Ll=new Ne({}),xl=new I({props:{name:"class transformers.TFXLMRobertaForSequenceClassification",anchor:"transformers.TFXLMRobertaForSequenceClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1322"}}),Gs=new Ae({props:{$$slots:{default:[rq]},$$scope:{ctx:E}}}),Xl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForSequenceClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1333",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ys=new Ae({props:{$$slots:{default:[iq]},$$scope:{ctx:E}}}),Zs=new Oe({props:{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.example",$$slots:{default:[lq]},$$scope:{ctx:E}}}),ea=new Oe({props:{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.example-2",$$slots:{default:[dq]},$$scope:{ctx:E}}}),zl=new Ne({}),Cl=new I({props:{name:"class transformers.TFXLMRobertaForMultipleChoice",anchor:"transformers.TFXLMRobertaForMultipleChoice",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1406"}}),oa=new Ae({props:{$$slots:{default:[cq]},$$scope:{ctx:E}}}),Pl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForMultipleChoice.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices]</code>
where <code>num_choices</code> is the size of the second dimension of the input tensors. (See <code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1430",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <em>(batch_size, )</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),na=new Ae({props:{$$slots:{default:[pq]},$$scope:{ctx:E}}}),sa=new Oe({props:{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.example",$$slots:{default:[hq]},$$scope:{ctx:E}}}),Nl=new Ne({}),Ol=new I({props:{name:"class transformers.TFXLMRobertaForTokenClassification",anchor:"transformers.TFXLMRobertaForTokenClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1529"}}),ra=new Ae({props:{$$slots:{default:[uq]},$$scope:{ctx:E}}}),Wl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForTokenClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForTokenClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1547",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of unmasked labels, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),ia=new Ae({props:{$$slots:{default:[mq]},$$scope:{ctx:E}}}),la=new Oe({props:{anchor:"transformers.TFXLMRobertaForTokenClassification.call.example",$$slots:{default:[fq]},$$scope:{ctx:E}}}),da=new Oe({props:{anchor:"transformers.TFXLMRobertaForTokenClassification.call.example-2",$$slots:{default:[gq]},$$scope:{ctx:E}}}),Bl=new Ne({}),Ul=new I({props:{name:"class transformers.TFXLMRobertaForQuestionAnswering",anchor:"transformers.TFXLMRobertaForQuestionAnswering",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1620"}}),pa=new Ae({props:{$$slots:{default:[_q]},$$scope:{ctx:E}}}),Vl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForQuestionAnswering.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"start_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"end_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.start_positions",description:`<strong>start_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.end_positions",description:`<strong>end_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1633",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>start_positions</code> and <code>end_positions</code> are provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),ha=new Ae({props:{$$slots:{default:[bq]},$$scope:{ctx:E}}}),ua=new Oe({props:{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.example",$$slots:{default:[kq]},$$scope:{ctx:E}}}),ma=new Oe({props:{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.example-2",$$slots:{default:[vq]},$$scope:{ctx:E}}}),Jl=new Ne({}),Gl=new I({props:{name:"class transformers.FlaxXLMRobertaModel",anchor:"transformers.FlaxXLMRobertaModel",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1003"}}),ad=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaModel.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L829",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ga=new Ae({props:{$$slots:{default:[yq]},$$scope:{ctx:E}}}),_a=new Oe({props:{anchor:"transformers.FlaxXLMRobertaModel.__call__.example",$$slots:{default:[wq]},$$scope:{ctx:E}}}),rd=new Ne({}),id=new I({props:{name:"class transformers.FlaxXLMRobertaForCausalLM",anchor:"transformers.FlaxXLMRobertaForCausalLM",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1469"}}),fd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L829",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key, value
states of the self-attention and the cross-attention layers if model is used in encoder-decoder setting.
Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ka=new Ae({props:{$$slots:{default:[Tq]},$$scope:{ctx:E}}}),va=new Oe({props:{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.example",$$slots:{default:[Mq]},$$scope:{ctx:E}}}),gd=new Ne({}),_d=new I({props:{name:"class transformers.FlaxXLMRobertaForMaskedLM",anchor:"transformers.FlaxXLMRobertaForMaskedLM",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1070"}}),Ld=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L829",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),wa=new Ae({props:{$$slots:{default:[$q]},$$scope:{ctx:E}}}),Ta=new Oe({props:{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.example",$$slots:{default:[Lq]},$$scope:{ctx:E}}}),xd=new Ne({}),Fd=new I({props:{name:"class transformers.FlaxXLMRobertaForSequenceClassification",anchor:"transformers.FlaxXLMRobertaForSequenceClassification",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1143"}}),Ad=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L829",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),$a=new Ae({props:{$$slots:{default:[xq]},$$scope:{ctx:E}}}),La=new Oe({props:{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.example",$$slots:{default:[Fq]},$$scope:{ctx:E}}}),Pd=new Ne({}),Nd=new I({props:{name:"class transformers.FlaxXLMRobertaForMultipleChoice",anchor:"transformers.FlaxXLMRobertaForMultipleChoice",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1224"}}),Hd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L829",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Fa=new Ae({props:{$$slots:{default:[Eq]},$$scope:{ctx:E}}}),Ea=new Oe({props:{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.example",$$slots:{default:[Rq]},$$scope:{ctx:E}}}),Qd=new Ne({}),Kd=new I({props:{name:"class transformers.FlaxXLMRobertaForTokenClassification",anchor:"transformers.FlaxXLMRobertaForTokenClassification",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1306"}}),oc=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L829",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Xa=new Ae({props:{$$slots:{default:[Xq]},$$scope:{ctx:E}}}),za=new Oe({props:{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.example",$$slots:{default:[zq]},$$scope:{ctx:E}}}),nc=new Ne({}),sc=new I({props:{name:"class transformers.FlaxXLMRobertaForQuestionAnswering",anchor:"transformers.FlaxXLMRobertaForQuestionAnswering",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22317/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1383"}}),hc=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22317/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22317/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22317/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22317/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L829",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>start_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22317/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),qa=new Ae({props:{$$slots:{default:[Cq]},$$scope:{ctx:E}}}),ja=new Oe({props:{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.example",$$slots:{default:[qq]},$$scope:{ctx:E}}}),{c(){d=s("meta"),k=p(),m=s("h1"),f=s("a"),b=s("span"),y(l.$$.fragment),u=p(),R=s("span"),ke=o("XLM-RoBERTa"),fe=p(),O=s("div"),ce=s("a"),te=s("img"),ve=p(),W=s("a"),pe=s("img"),K=p(),ae=s("h2"),re=s("a"),B=s("span"),y(ie.$$.fragment),ye=p(),U=s("span"),we=o("Overview"),ge=p(),D=s("p"),Te=o("The XLM-RoBERTa model was proposed in "),le=s("a"),oe=o("Unsupervised Cross-lingual Representation Learning at Scale"),z=o(` by Alexis Conneau, Kartikay Khandelwal, Naman Goyal, Vishrav Chaudhary, Guillaume
Wenzek, Francisco Guzm\xE1n, Edouard Grave, Myle Ott, Luke Zettlemoyer and Veselin Stoyanov. It is based on Facebook\u2019s
RoBERTa model released in 2019. It is a large multi-lingual language model, trained on 2.5TB of filtered CommonCrawl
data.`),j=p(),he=s("p"),J=o("The abstract from the paper is the following:"),_e=p(),ue=s("p"),H=s("em"),Me=o(`This paper shows that pretraining multilingual language models at scale leads to significant performance gains for a
wide range of cross-lingual transfer tasks. We train a Transformer-based masked language model on one hundred
languages, using more than two terabytes of filtered CommonCrawl data. Our model, dubbed XLM-R, significantly
outperforms multilingual BERT (mBERT) on a variety of cross-lingual benchmarks, including +13.8% average accuracy on
XNLI, +12.3% average F1 score on MLQA, and +2.1% average F1 score on NER. XLM-R performs particularly well on
low-resource languages, improving 11.8% in XNLI accuracy for Swahili and 9.2% for Urdu over the previous XLM model. We
also present a detailed empirical evaluation of the key factors that are required to achieve these gains, including the
trade-offs between (1) positive transfer and capacity dilution and (2) the performance of high and low resource
languages at scale. Finally, we show, for the first time, the possibility of multilingual modeling without sacrificing
per-language performance; XLM-Ris very competitive with strong monolingual models on the GLUE and XNLI benchmarks. We
will make XLM-R code, data, and models publicly available.`),be=p(),q=s("p"),$e=o("Tips:"),V=p(),ne=s("ul"),de=s("li"),G=o(`XLM-RoBERTa is a multilingual model trained on 100 different languages. Unlike some XLM multilingual models, it does
not require `),me=s("code"),Le=o("lang"),N=o(` tensors to understand which language is used, and should be able to determine the correct
language from the input ids.`),xe=p(),Q=s("li"),Fe=o("Uses RoBERTa tricks on the XLM approach, but does not use the translation language modeling objective. It only uses masked language modeling on sentences coming from one language."),se=p(),C=s("li"),Ee=o("This implementation is the same as RoBERTa. Refer to the "),A=s("a"),Re=o("documentation of RoBERTa"),Xe=o(` for usage examples
as well as the information relative to the inputs and outputs.`),v=p(),F=s("p"),Qe=o("This model was contributed by "),Z=s("a"),Ke=o("stefan-it"),Ve=o(". The original code can be found "),X=s("a"),Je=o("here"),Ge=o("."),We=p(),qe=s("h2"),je=s("a"),P=s("span"),y(S.$$.fragment),Ye=p(),Se=s("span"),Y=o("Resources"),Be=p(),Pe=s("p"),ze=o("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with XLM-RoBERTa. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Ue=p(),y(ee.$$.fragment),He=p(),gt=s("ul"),Ec=s("li"),Zb=o("A blog post on how to "),lr=s("a"),ek=o("finetune XLM RoBERTa for multiclass classification with Habana Gaudi on AWS"),tk=p(),$o=s("li"),Rc=s("a"),ok=o("XLMRobertaForSequenceClassification"),nk=o(" is supported by this "),dr=s("a"),sk=o("example script"),ak=o(" and "),cr=s("a"),rk=o("notebook"),ik=o("."),lk=p(),Lo=s("li"),Xc=s("a"),dk=o("TFXLMRobertaForSequenceClassification"),ck=o(" is supported by this "),pr=s("a"),pk=o("example script"),hk=o(" and "),hr=s("a"),uk=o("notebook"),mk=o("."),fk=p(),xo=s("li"),zc=s("a"),gk=o("FlaxXLMRobertaForSequenceClassification"),_k=o(" is supported by this "),ur=s("a"),bk=o("example script"),kk=o(" and "),mr=s("a"),vk=o("notebook"),yk=o("."),wk=p(),Cc=s("li"),fr=s("a"),Tk=o("Text classification"),Mk=o(" chapter of the \u{1F917} Hugging Face Task Guides."),$k=p(),zh=s("li"),qc=s("a"),Lk=o("Text classification task guide"),kg=p(),y(gr.$$.fragment),vg=p(),Lt=s("ul"),Fo=s("li"),jc=s("a"),xk=o("XLMRobertaForTokenClassification"),Fk=o(" is supported by this "),_r=s("a"),Ek=o("example script"),Rk=o(" and "),br=s("a"),Xk=o("notebook"),zk=o("."),Ck=p(),Eo=s("li"),Ac=s("a"),qk=o("TFXLMRobertaForTokenClassification"),jk=o(" is supported by this "),kr=s("a"),Ak=o("example script"),Pk=o(" and "),vr=s("a"),Nk=o("notebook"),Ok=o("."),Ik=p(),as=s("li"),Pc=s("a"),Dk=o("FlaxXLMRobertaForTokenClassification"),Sk=o(" is supported by this "),yr=s("a"),Wk=o("example script"),Bk=o("."),Uk=p(),Nc=s("li"),wr=s("a"),Hk=o("Token classification"),Qk=o(" chapter of the \u{1F917} Hugging Face Course."),Kk=p(),Ch=s("li"),Oc=s("a"),Vk=o("Token classification task guide"),yg=p(),y(Tr.$$.fragment),wg=p(),Ro=s("ul"),Xo=s("li"),Ic=s("a"),Jk=o("XLMRobertaForCausalLM"),Gk=o(" is supported by this "),Mr=s("a"),Yk=o("example script"),Zk=o(" and "),$r=s("a"),ev=o("notebook"),tv=o("."),ov=p(),Dc=s("li"),Lr=s("a"),nv=o("Causal language modeling"),sv=o(" chapter of the \u{1F917} Hugging Face Task Guides."),av=p(),qh=s("li"),Sc=s("a"),rv=o("Causal language modeling task guide"),Tg=p(),y(xr.$$.fragment),Mg=p(),xt=s("ul"),zo=s("li"),Wc=s("a"),iv=o("XLMRobertaForMaskedLM"),lv=o(" is supported by this "),Fr=s("a"),dv=o("example script"),cv=o(" and "),Er=s("a"),pv=o("notebook"),hv=o("."),uv=p(),Co=s("li"),Bc=s("a"),mv=o("TFXLMRobertaForMaskedLM"),fv=o(" is supported by this "),Rr=s("a"),gv=o("example script"),_v=o(" and "),Xr=s("a"),bv=o("notebook"),kv=o("."),vv=p(),qo=s("li"),Uc=s("a"),yv=o("FlaxXLMRobertaForMaskedLM"),wv=o(" is supported by this "),zr=s("a"),Tv=o("example script"),Mv=o(" and "),Cr=s("a"),$v=o("notebook"),Lv=o("."),xv=p(),Hc=s("li"),qr=s("a"),Fv=o("Masked language modeling"),Ev=o(" chapter of the \u{1F917} Hugging Face Course."),Rv=p(),jh=s("li"),Qc=s("a"),Xv=o("Masked language modeling"),$g=p(),y(jr.$$.fragment),Lg=p(),Ft=s("ul"),jo=s("li"),Kc=s("a"),zv=o("XLMRobertaForQuestionAnswering"),Cv=o(" is supported by this "),Ar=s("a"),qv=o("example script"),jv=o(" and "),Pr=s("a"),Av=o("notebook"),Pv=o("."),Nv=p(),Ao=s("li"),Vc=s("a"),Ov=o("TFXLMRobertaForQuestionAnswering"),Iv=o(" is supported by this "),Nr=s("a"),Dv=o("example script"),Sv=o(" and "),Or=s("a"),Wv=o("notebook"),Bv=o("."),Uv=p(),rs=s("li"),Jc=s("a"),Hv=o("FlaxXLMRobertaForQuestionAnswering"),Qv=o(" is supported by this "),Ir=s("a"),Kv=o("example script"),Vv=o("."),Jv=p(),Gc=s("li"),Dr=s("a"),Gv=o("Question answering"),Yv=o(" chapter of the \u{1F917} Hugging Face Course."),Zv=p(),Ah=s("li"),Yc=s("a"),ey=o("Question answering task guide"),xg=p(),Zc=s("p"),Ph=s("strong"),ty=o("Multiple choice"),Fg=p(),Po=s("ul"),No=s("li"),ep=s("a"),oy=o("XLMRobertaForMultipleChoice"),ny=o(" is supported by this "),Sr=s("a"),sy=o("example script"),ay=o(" and "),Wr=s("a"),ry=o("notebook"),iy=o("."),ly=p(),Oo=s("li"),tp=s("a"),dy=o("TFXLMRobertaForMultipleChoice"),cy=o(" is supported by this "),Br=s("a"),py=o("example script"),hy=o(" and "),Ur=s("a"),uy=o("notebook"),my=o("."),fy=p(),Nh=s("li"),op=s("a"),gy=o("Multiple choice task guide"),Eg=p(),np=s("p"),_y=o("\u{1F680} Deploy"),Rg=p(),sp=s("ul"),Hr=s("li"),by=o("A blog post on how to "),Qr=s("a"),ky=o("Deploy Serverless XLM RoBERTa on AWS Lambda"),vy=o("."),Xg=p(),ln=s("h2"),is=s("a"),Oh=s("span"),y(Kr.$$.fragment),yy=p(),Ih=s("span"),wy=o("XLMRobertaConfig"),zg=p(),Wt=s("div"),y(Vr.$$.fragment),Ty=p(),go=s("p"),My=o("This is the configuration class to store the configuration of a "),ap=s("a"),$y=o("XLMRobertaModel"),Ly=o(" or a "),rp=s("a"),xy=o("TFXLMRobertaModel"),Fy=o(`. It
is used to instantiate a XLM-RoBERTa model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the XLMRoBERTa
`),Jr=s("a"),Ey=o("xlm-roberta-base"),Ry=o(" architecture."),Xy=p(),dn=s("p"),zy=o("Configuration objects inherit from "),ip=s("a"),Cy=o("PretrainedConfig"),qy=o(` and can be used to control the model outputs. Read the
documentation from `),lp=s("a"),jy=o("PretrainedConfig"),Ay=o(" for more information."),Py=p(),y(ls.$$.fragment),Cg=p(),cn=s("h2"),ds=s("a"),Dh=s("span"),y(Gr.$$.fragment),Ny=p(),Sh=s("span"),Oy=o("XLMRobertaTokenizer"),qg=p(),et=s("div"),y(Yr.$$.fragment),Iy=p(),_o=s("p"),Dy=o("Adapted from "),dp=s("a"),Sy=o("RobertaTokenizer"),Wy=o(" and "),cp=s("a"),By=o("XLNetTokenizer"),Uy=o(`. Based on
`),Zr=s("a"),Hy=o("SentencePiece"),Qy=o("."),Ky=p(),ei=s("p"),Vy=o("This tokenizer inherits from "),pp=s("a"),Jy=o("PreTrainedTokenizer"),Gy=o(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),Yy=p(),Io=s("div"),y(ti.$$.fragment),Zy=p(),Wh=s("p"),e1=o(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),t1=p(),oi=s("ul"),hp=s("li"),o1=o("single sequence: "),Bh=s("code"),n1=o("<s> X </s>"),s1=p(),up=s("li"),a1=o("pair of sequences: "),Uh=s("code"),r1=o("<s> A </s></s> B </s>"),i1=p(),cs=s("div"),y(ni.$$.fragment),l1=p(),si=s("p"),d1=o(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Hh=s("code"),c1=o("prepare_for_model"),p1=o(" method."),h1=p(),ps=s("div"),y(ai.$$.fragment),u1=p(),Qh=s("p"),m1=o(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),f1=p(),mp=s("div"),y(ri.$$.fragment),jg=p(),pn=s("h2"),hs=s("a"),Kh=s("span"),y(ii.$$.fragment),g1=p(),Vh=s("span"),_1=o("XLMRobertaTokenizerFast"),Ag=p(),bt=s("div"),y(li.$$.fragment),b1=p(),Bt=s("p"),k1=o("Construct a \u201Cfast\u201D XLM-RoBERTa tokenizer (backed by HuggingFace\u2019s "),Jh=s("em"),v1=o("tokenizers"),y1=o(` library). Adapted from
`),fp=s("a"),w1=o("RobertaTokenizer"),T1=o(" and "),gp=s("a"),M1=o("XLNetTokenizer"),$1=o(`. Based on
`),di=s("a"),L1=o("BPE"),x1=o("."),F1=p(),ci=s("p"),E1=o("This tokenizer inherits from "),_p=s("a"),R1=o("PreTrainedTokenizerFast"),X1=o(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),z1=p(),Do=s("div"),y(pi.$$.fragment),C1=p(),Gh=s("p"),q1=o(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),j1=p(),hi=s("ul"),bp=s("li"),A1=o("single sequence: "),Yh=s("code"),P1=o("<s> X </s>"),N1=p(),kp=s("li"),O1=o("pair of sequences: "),Zh=s("code"),I1=o("<s> A </s></s> B </s>"),D1=p(),us=s("div"),y(ui.$$.fragment),S1=p(),eu=s("p"),W1=o(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),Pg=p(),hn=s("h2"),ms=s("a"),tu=s("span"),y(mi.$$.fragment),B1=p(),ou=s("span"),U1=o("XLMRobertaModel"),Ng=p(),Ze=s("div"),y(fi.$$.fragment),H1=p(),nu=s("p"),Q1=o("The bare XLM-RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),K1=p(),gi=s("p"),V1=o("This model inherits from "),vp=s("a"),J1=o("PreTrainedModel"),G1=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Y1=p(),_i=s("p"),Z1=o("This model is also a PyTorch "),bi=s("a"),e2=o("torch.nn.Module"),t2=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),o2=p(),ki=s("p"),n2=o(`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),su=s("em"),s2=o(`Attention is
all you need`),a2=o(`_ by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit, Llion Jones, Aidan N. Gomez, Lukasz
Kaiser and Illia Polosukhin.`),r2=p(),lt=s("p"),i2=o("To behave as an decoder the model needs to be initialized with the "),au=s("code"),l2=o("is_decoder"),d2=o(` argument of the configuration set
to `),ru=s("code"),c2=o("True"),p2=o(". To be used in a Seq2Seq model, the model needs to initialized with both "),iu=s("code"),h2=o("is_decoder"),u2=o(` argument and
`),lu=s("code"),m2=o("add_cross_attention"),f2=o(" set to "),du=s("code"),g2=o("True"),_2=o("; an "),cu=s("code"),b2=o("encoder_hidden_states"),k2=o(" is then expected as an input to the forward pass."),v2=p(),fs=s("p"),y2=o(".. _"),pu=s("em"),w2=o("Attention is all you need"),T2=o(": "),vi=s("a"),M2=o("https://arxiv.org/abs/1706.03762"),$2=p(),Ht=s("div"),y(yi.$$.fragment),L2=p(),un=s("p"),x2=o("The "),yp=s("a"),F2=o("XLMRobertaModel"),E2=o(" forward method, overrides the "),hu=s("code"),R2=o("__call__"),X2=o(" special method."),z2=p(),y(gs.$$.fragment),C2=p(),y(_s.$$.fragment),Og=p(),mn=s("h2"),bs=s("a"),uu=s("span"),y(wi.$$.fragment),q2=p(),mu=s("span"),j2=o("XLMRobertaForCausalLM"),Ig=p(),kt=s("div"),y(Ti.$$.fragment),A2=p(),Mi=s("p"),P2=o("XLM-RoBERTa Model with a "),fu=s("code"),N2=o("language modeling"),O2=o(" head on top for CLM fine-tuning."),I2=p(),$i=s("p"),D2=o("This model inherits from "),wp=s("a"),S2=o("PreTrainedModel"),W2=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),B2=p(),Li=s("p"),U2=o("This model is also a PyTorch "),xi=s("a"),H2=o("torch.nn.Module"),Q2=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),K2=p(),Qt=s("div"),y(Fi.$$.fragment),V2=p(),fn=s("p"),J2=o("The "),Tp=s("a"),G2=o("XLMRobertaForCausalLM"),Y2=o(" forward method, overrides the "),gu=s("code"),Z2=o("__call__"),ew=o(" special method."),tw=p(),y(ks.$$.fragment),ow=p(),y(vs.$$.fragment),Dg=p(),gn=s("h2"),ys=s("a"),_u=s("span"),y(Ei.$$.fragment),nw=p(),bu=s("span"),sw=o("XLMRobertaForMaskedLM"),Sg=p(),vt=s("div"),y(Ri.$$.fragment),aw=p(),Xi=s("p"),rw=o("XLM-RoBERTa Model with a "),ku=s("code"),iw=o("language modeling"),lw=o(" head on top."),dw=p(),zi=s("p"),cw=o("This model inherits from "),Mp=s("a"),pw=o("PreTrainedModel"),hw=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),uw=p(),Ci=s("p"),mw=o("This model is also a PyTorch "),qi=s("a"),fw=o("torch.nn.Module"),gw=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),_w=p(),Kt=s("div"),y(ji.$$.fragment),bw=p(),_n=s("p"),kw=o("The "),$p=s("a"),vw=o("XLMRobertaForMaskedLM"),yw=o(" forward method, overrides the "),vu=s("code"),ww=o("__call__"),Tw=o(" special method."),Mw=p(),y(ws.$$.fragment),$w=p(),y(Ts.$$.fragment),Wg=p(),bn=s("h2"),Ms=s("a"),yu=s("span"),y(Ai.$$.fragment),Lw=p(),wu=s("span"),xw=o("XLMRobertaForSequenceClassification"),Bg=p(),yt=s("div"),y(Pi.$$.fragment),Fw=p(),Tu=s("p"),Ew=o(`XLM-RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Rw=p(),Ni=s("p"),Xw=o("This model inherits from "),Lp=s("a"),zw=o("PreTrainedModel"),Cw=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),qw=p(),Oi=s("p"),jw=o("This model is also a PyTorch "),Ii=s("a"),Aw=o("torch.nn.Module"),Pw=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Nw=p(),Et=s("div"),y(Di.$$.fragment),Ow=p(),kn=s("p"),Iw=o("The "),xp=s("a"),Dw=o("XLMRobertaForSequenceClassification"),Sw=o(" forward method, overrides the "),Mu=s("code"),Ww=o("__call__"),Bw=o(" special method."),Uw=p(),y($s.$$.fragment),Hw=p(),y(Ls.$$.fragment),Qw=p(),y(xs.$$.fragment),Ug=p(),vn=s("h2"),Fs=s("a"),$u=s("span"),y(Si.$$.fragment),Kw=p(),Lu=s("span"),Vw=o("XLMRobertaForMultipleChoice"),Hg=p(),wt=s("div"),y(Wi.$$.fragment),Jw=p(),xu=s("p"),Gw=o(`XLM-RoBERTa Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),Yw=p(),Bi=s("p"),Zw=o("This model inherits from "),Fp=s("a"),eT=o("PreTrainedModel"),tT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),oT=p(),Ui=s("p"),nT=o("This model is also a PyTorch "),Hi=s("a"),sT=o("torch.nn.Module"),aT=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),rT=p(),Vt=s("div"),y(Qi.$$.fragment),iT=p(),yn=s("p"),lT=o("The "),Ep=s("a"),dT=o("XLMRobertaForMultipleChoice"),cT=o(" forward method, overrides the "),Fu=s("code"),pT=o("__call__"),hT=o(" special method."),uT=p(),y(Es.$$.fragment),mT=p(),y(Rs.$$.fragment),Qg=p(),wn=s("h2"),Xs=s("a"),Eu=s("span"),y(Ki.$$.fragment),fT=p(),Ru=s("span"),gT=o("XLMRobertaForTokenClassification"),Kg=p(),Tt=s("div"),y(Vi.$$.fragment),_T=p(),Xu=s("p"),bT=o(`XLM-RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),kT=p(),Ji=s("p"),vT=o("This model inherits from "),Rp=s("a"),yT=o("PreTrainedModel"),wT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),TT=p(),Gi=s("p"),MT=o("This model is also a PyTorch "),Yi=s("a"),$T=o("torch.nn.Module"),LT=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),xT=p(),Jt=s("div"),y(Zi.$$.fragment),FT=p(),Tn=s("p"),ET=o("The "),Xp=s("a"),RT=o("XLMRobertaForTokenClassification"),XT=o(" forward method, overrides the "),zu=s("code"),zT=o("__call__"),CT=o(" special method."),qT=p(),y(zs.$$.fragment),jT=p(),y(Cs.$$.fragment),Vg=p(),Mn=s("h2"),qs=s("a"),Cu=s("span"),y(el.$$.fragment),AT=p(),qu=s("span"),PT=o("XLMRobertaForQuestionAnswering"),Jg=p(),Mt=s("div"),y(tl.$$.fragment),NT=p(),$n=s("p"),OT=o(`XLM-RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),ju=s("code"),IT=o("span start logits"),DT=o(" and "),Au=s("code"),ST=o("span end logits"),WT=o(")."),BT=p(),ol=s("p"),UT=o("This model inherits from "),zp=s("a"),HT=o("PreTrainedModel"),QT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),KT=p(),nl=s("p"),VT=o("This model is also a PyTorch "),sl=s("a"),JT=o("torch.nn.Module"),GT=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),YT=p(),Gt=s("div"),y(al.$$.fragment),ZT=p(),Ln=s("p"),eM=o("The "),Cp=s("a"),tM=o("XLMRobertaForQuestionAnswering"),oM=o(" forward method, overrides the "),Pu=s("code"),nM=o("__call__"),sM=o(" special method."),aM=p(),y(js.$$.fragment),rM=p(),y(As.$$.fragment),Gg=p(),xn=s("h2"),Ps=s("a"),Nu=s("span"),y(rl.$$.fragment),iM=p(),Ou=s("span"),lM=o("TFXLMRobertaModel"),Yg=p(),dt=s("div"),y(il.$$.fragment),dM=p(),Iu=s("p"),cM=o("The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),pM=p(),ll=s("p"),hM=o("This model inherits from "),qp=s("a"),uM=o("TFPreTrainedModel"),mM=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),fM=p(),dl=s("p"),gM=o("This model is also a "),cl=s("a"),_M=o("tf.keras.Model"),bM=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),kM=p(),y(Ns.$$.fragment),vM=p(),Yt=s("div"),y(pl.$$.fragment),yM=p(),Fn=s("p"),wM=o("The "),jp=s("a"),TM=o("TFXLMRobertaModel"),MM=o(" forward method, overrides the "),Du=s("code"),$M=o("__call__"),LM=o(" special method."),xM=p(),y(Os.$$.fragment),FM=p(),y(Is.$$.fragment),Zg=p(),En=s("h2"),Ds=s("a"),Su=s("span"),y(hl.$$.fragment),EM=p(),Wu=s("span"),RM=o("TFXLMRobertaForCausalLM"),e_=p(),ct=s("div"),y(ul.$$.fragment),XM=p(),ml=s("p"),zM=o("XLM-RoBERTa Model with a "),Bu=s("code"),CM=o("language modeling"),qM=o(" head on top for CLM fine-tuning."),jM=p(),fl=s("p"),AM=o("This model inherits from "),Ap=s("a"),PM=o("TFPreTrainedModel"),NM=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),OM=p(),gl=s("p"),IM=o("This model is also a "),_l=s("a"),DM=o("tf.keras.Model"),SM=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),WM=p(),y(Ss.$$.fragment),BM=p(),Zt=s("div"),y(bl.$$.fragment),UM=p(),Rn=s("p"),HM=o("The "),Pp=s("a"),QM=o("TFXLMRobertaForCausalLM"),KM=o(" forward method, overrides the "),Uu=s("code"),VM=o("__call__"),JM=o(" special method."),GM=p(),y(Ws.$$.fragment),YM=p(),y(Bs.$$.fragment),t_=p(),Xn=s("h2"),Us=s("a"),Hu=s("span"),y(kl.$$.fragment),ZM=p(),Qu=s("span"),e$=o("TFXLMRobertaForMaskedLM"),o_=p(),pt=s("div"),y(vl.$$.fragment),t$=p(),yl=s("p"),o$=o("XLM RoBERTa Model with a "),Ku=s("code"),n$=o("language modeling"),s$=o(" head on top."),a$=p(),wl=s("p"),r$=o("This model inherits from "),Np=s("a"),i$=o("TFPreTrainedModel"),l$=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),d$=p(),Tl=s("p"),c$=o("This model is also a "),Ml=s("a"),p$=o("tf.keras.Model"),h$=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),u$=p(),y(Hs.$$.fragment),m$=p(),Rt=s("div"),y($l.$$.fragment),f$=p(),zn=s("p"),g$=o("The "),Op=s("a"),_$=o("TFXLMRobertaForMaskedLM"),b$=o(" forward method, overrides the "),Vu=s("code"),k$=o("__call__"),v$=o(" special method."),y$=p(),y(Qs.$$.fragment),w$=p(),y(Ks.$$.fragment),T$=p(),y(Vs.$$.fragment),n_=p(),Cn=s("h2"),Js=s("a"),Ju=s("span"),y(Ll.$$.fragment),M$=p(),Gu=s("span"),$$=o("TFXLMRobertaForSequenceClassification"),s_=p(),ht=s("div"),y(xl.$$.fragment),L$=p(),Yu=s("p"),x$=o(`XLM RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),F$=p(),Fl=s("p"),E$=o("This model inherits from "),Ip=s("a"),R$=o("TFPreTrainedModel"),X$=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),z$=p(),El=s("p"),C$=o("This model is also a "),Rl=s("a"),q$=o("tf.keras.Model"),j$=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),A$=p(),y(Gs.$$.fragment),P$=p(),Xt=s("div"),y(Xl.$$.fragment),N$=p(),qn=s("p"),O$=o("The "),Dp=s("a"),I$=o("TFXLMRobertaForSequenceClassification"),D$=o(" forward method, overrides the "),Zu=s("code"),S$=o("__call__"),W$=o(" special method."),B$=p(),y(Ys.$$.fragment),U$=p(),y(Zs.$$.fragment),H$=p(),y(ea.$$.fragment),a_=p(),jn=s("h2"),ta=s("a"),em=s("span"),y(zl.$$.fragment),Q$=p(),tm=s("span"),K$=o("TFXLMRobertaForMultipleChoice"),r_=p(),ut=s("div"),y(Cl.$$.fragment),V$=p(),om=s("p"),J$=o(`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),G$=p(),ql=s("p"),Y$=o("This model inherits from "),Sp=s("a"),Z$=o("TFPreTrainedModel"),eL=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),tL=p(),jl=s("p"),oL=o("This model is also a "),Al=s("a"),nL=o("tf.keras.Model"),sL=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),aL=p(),y(oa.$$.fragment),rL=p(),eo=s("div"),y(Pl.$$.fragment),iL=p(),An=s("p"),lL=o("The "),Wp=s("a"),dL=o("TFXLMRobertaForMultipleChoice"),cL=o(" forward method, overrides the "),nm=s("code"),pL=o("__call__"),hL=o(" special method."),uL=p(),y(na.$$.fragment),mL=p(),y(sa.$$.fragment),i_=p(),Pn=s("h2"),aa=s("a"),sm=s("span"),y(Nl.$$.fragment),fL=p(),am=s("span"),gL=o("TFXLMRobertaForTokenClassification"),l_=p(),mt=s("div"),y(Ol.$$.fragment),_L=p(),rm=s("p"),bL=o(`XLM RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),kL=p(),Il=s("p"),vL=o("This model inherits from "),Bp=s("a"),yL=o("TFPreTrainedModel"),wL=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),TL=p(),Dl=s("p"),ML=o("This model is also a "),Sl=s("a"),$L=o("tf.keras.Model"),LL=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),xL=p(),y(ra.$$.fragment),FL=p(),zt=s("div"),y(Wl.$$.fragment),EL=p(),Nn=s("p"),RL=o("The "),Up=s("a"),XL=o("TFXLMRobertaForTokenClassification"),zL=o(" forward method, overrides the "),im=s("code"),CL=o("__call__"),qL=o(" special method."),jL=p(),y(ia.$$.fragment),AL=p(),y(la.$$.fragment),PL=p(),y(da.$$.fragment),d_=p(),On=s("h2"),ca=s("a"),lm=s("span"),y(Bl.$$.fragment),NL=p(),dm=s("span"),OL=o("TFXLMRobertaForQuestionAnswering"),c_=p(),ft=s("div"),y(Ul.$$.fragment),IL=p(),In=s("p"),DL=o(`XLM RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),cm=s("code"),SL=o("span start logits"),WL=o(" and "),pm=s("code"),BL=o("span end logits"),UL=o(")."),HL=p(),Hl=s("p"),QL=o("This model inherits from "),Hp=s("a"),KL=o("TFPreTrainedModel"),VL=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),JL=p(),Ql=s("p"),GL=o("This model is also a "),Kl=s("a"),YL=o("tf.keras.Model"),ZL=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ex=p(),y(pa.$$.fragment),tx=p(),Ct=s("div"),y(Vl.$$.fragment),ox=p(),Dn=s("p"),nx=o("The "),Qp=s("a"),sx=o("TFXLMRobertaForQuestionAnswering"),ax=o(" forward method, overrides the "),hm=s("code"),rx=o("__call__"),ix=o(" special method."),lx=p(),y(ha.$$.fragment),dx=p(),y(ua.$$.fragment),cx=p(),y(ma.$$.fragment),p_=p(),Sn=s("h2"),fa=s("a"),um=s("span"),y(Jl.$$.fragment),px=p(),mm=s("span"),hx=o("FlaxXLMRobertaModel"),h_=p(),tt=s("div"),y(Gl.$$.fragment),ux=p(),fm=s("p"),mx=o("The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),fx=p(),Yl=s("p"),gx=o("This model inherits from "),Kp=s("a"),_x=o("FlaxPreTrainedModel"),bx=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),kx=p(),Zl=s("p"),vx=o("This model is also a Flax Linen "),ed=s("a"),yx=o("flax.linen.Module"),wx=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Tx=p(),gm=s("p"),Mx=o("Finally, this model supports inherent JAX features such as:"),$x=p(),bo=s("ul"),_m=s("li"),td=s("a"),Lx=o("Just-In-Time (JIT) compilation"),xx=p(),bm=s("li"),od=s("a"),Fx=o("Automatic Differentiation"),Ex=p(),km=s("li"),nd=s("a"),Rx=o("Vectorization"),Xx=p(),vm=s("li"),sd=s("a"),zx=o("Parallelization"),Cx=p(),to=s("div"),y(ad.$$.fragment),qx=p(),Wn=s("p"),jx=o("The "),ym=s("code"),Ax=o("FlaxXLMRobertaPreTrainedModel"),Px=o(" forward method, overrides the "),wm=s("code"),Nx=o("__call__"),Ox=o(" special method."),Ix=p(),y(ga.$$.fragment),Dx=p(),y(_a.$$.fragment),u_=p(),Bn=s("h2"),ba=s("a"),Tm=s("span"),y(rd.$$.fragment),Sx=p(),Mm=s("span"),Wx=o("FlaxXLMRobertaForCausalLM"),m_=p(),ot=s("div"),y(id.$$.fragment),Bx=p(),$m=s("p"),Ux=o(`XLM Roberta Model with a language modeling head on top (a linear layer on top of the hidden-states output) e.g for
autoregressive tasks.`),Hx=p(),ld=s("p"),Qx=o("This model inherits from "),Vp=s("a"),Kx=o("FlaxPreTrainedModel"),Vx=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Jx=p(),dd=s("p"),Gx=o("This model is also a Flax Linen "),cd=s("a"),Yx=o("flax.linen.Module"),Zx=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),eF=p(),Lm=s("p"),tF=o("Finally, this model supports inherent JAX features such as:"),oF=p(),ko=s("ul"),xm=s("li"),pd=s("a"),nF=o("Just-In-Time (JIT) compilation"),sF=p(),Fm=s("li"),hd=s("a"),aF=o("Automatic Differentiation"),rF=p(),Em=s("li"),ud=s("a"),iF=o("Vectorization"),lF=p(),Rm=s("li"),md=s("a"),dF=o("Parallelization"),cF=p(),oo=s("div"),y(fd.$$.fragment),pF=p(),Un=s("p"),hF=o("The "),Xm=s("code"),uF=o("FlaxXLMRobertaPreTrainedModel"),mF=o(" forward method, overrides the "),zm=s("code"),fF=o("__call__"),gF=o(" special method."),_F=p(),y(ka.$$.fragment),bF=p(),y(va.$$.fragment),f_=p(),Hn=s("h2"),ya=s("a"),Cm=s("span"),y(gd.$$.fragment),kF=p(),qm=s("span"),vF=o("FlaxXLMRobertaForMaskedLM"),g_=p(),nt=s("div"),y(_d.$$.fragment),yF=p(),bd=s("p"),wF=o("XLM RoBERTa Model with a "),jm=s("code"),TF=o("language modeling"),MF=o(" head on top."),$F=p(),kd=s("p"),LF=o("This model inherits from "),Jp=s("a"),xF=o("FlaxPreTrainedModel"),FF=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),EF=p(),vd=s("p"),RF=o("This model is also a Flax Linen "),yd=s("a"),XF=o("flax.linen.Module"),zF=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),CF=p(),Am=s("p"),qF=o("Finally, this model supports inherent JAX features such as:"),jF=p(),vo=s("ul"),Pm=s("li"),wd=s("a"),AF=o("Just-In-Time (JIT) compilation"),PF=p(),Nm=s("li"),Td=s("a"),NF=o("Automatic Differentiation"),OF=p(),Om=s("li"),Md=s("a"),IF=o("Vectorization"),DF=p(),Im=s("li"),$d=s("a"),SF=o("Parallelization"),WF=p(),no=s("div"),y(Ld.$$.fragment),BF=p(),Qn=s("p"),UF=o("The "),Dm=s("code"),HF=o("FlaxXLMRobertaPreTrainedModel"),QF=o(" forward method, overrides the "),Sm=s("code"),KF=o("__call__"),VF=o(" special method."),JF=p(),y(wa.$$.fragment),GF=p(),y(Ta.$$.fragment),__=p(),Kn=s("h2"),Ma=s("a"),Wm=s("span"),y(xd.$$.fragment),YF=p(),Bm=s("span"),ZF=o("FlaxXLMRobertaForSequenceClassification"),b_=p(),st=s("div"),y(Fd.$$.fragment),e0=p(),Um=s("p"),t0=o(`XLM Roberta Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),o0=p(),Ed=s("p"),n0=o("This model inherits from "),Gp=s("a"),s0=o("FlaxPreTrainedModel"),a0=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),r0=p(),Rd=s("p"),i0=o("This model is also a Flax Linen "),Xd=s("a"),l0=o("flax.linen.Module"),d0=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),c0=p(),Hm=s("p"),p0=o("Finally, this model supports inherent JAX features such as:"),h0=p(),yo=s("ul"),Qm=s("li"),zd=s("a"),u0=o("Just-In-Time (JIT) compilation"),m0=p(),Km=s("li"),Cd=s("a"),f0=o("Automatic Differentiation"),g0=p(),Vm=s("li"),qd=s("a"),_0=o("Vectorization"),b0=p(),Jm=s("li"),jd=s("a"),k0=o("Parallelization"),v0=p(),so=s("div"),y(Ad.$$.fragment),y0=p(),Vn=s("p"),w0=o("The "),Gm=s("code"),T0=o("FlaxXLMRobertaPreTrainedModel"),M0=o(" forward method, overrides the "),Ym=s("code"),$0=o("__call__"),L0=o(" special method."),x0=p(),y($a.$$.fragment),F0=p(),y(La.$$.fragment),k_=p(),Jn=s("h2"),xa=s("a"),Zm=s("span"),y(Pd.$$.fragment),E0=p(),ef=s("span"),R0=o("FlaxXLMRobertaForMultipleChoice"),v_=p(),at=s("div"),y(Nd.$$.fragment),X0=p(),tf=s("p"),z0=o(`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),C0=p(),Od=s("p"),q0=o("This model inherits from "),Yp=s("a"),j0=o("FlaxPreTrainedModel"),A0=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),P0=p(),Id=s("p"),N0=o("This model is also a Flax Linen "),Dd=s("a"),O0=o("flax.linen.Module"),I0=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),D0=p(),of=s("p"),S0=o("Finally, this model supports inherent JAX features such as:"),W0=p(),wo=s("ul"),nf=s("li"),Sd=s("a"),B0=o("Just-In-Time (JIT) compilation"),U0=p(),sf=s("li"),Wd=s("a"),H0=o("Automatic Differentiation"),Q0=p(),af=s("li"),Bd=s("a"),K0=o("Vectorization"),V0=p(),rf=s("li"),Ud=s("a"),J0=o("Parallelization"),G0=p(),ao=s("div"),y(Hd.$$.fragment),Y0=p(),Gn=s("p"),Z0=o("The "),lf=s("code"),eE=o("FlaxXLMRobertaPreTrainedModel"),tE=o(" forward method, overrides the "),df=s("code"),oE=o("__call__"),nE=o(" special method."),sE=p(),y(Fa.$$.fragment),aE=p(),y(Ea.$$.fragment),y_=p(),Yn=s("h2"),Ra=s("a"),cf=s("span"),y(Qd.$$.fragment),rE=p(),pf=s("span"),iE=o("FlaxXLMRobertaForTokenClassification"),w_=p(),rt=s("div"),y(Kd.$$.fragment),lE=p(),hf=s("p"),dE=o(`XLM Roberta Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),cE=p(),Vd=s("p"),pE=o("This model inherits from "),Zp=s("a"),hE=o("FlaxPreTrainedModel"),uE=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),mE=p(),Jd=s("p"),fE=o("This model is also a Flax Linen "),Gd=s("a"),gE=o("flax.linen.Module"),_E=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),bE=p(),uf=s("p"),kE=o("Finally, this model supports inherent JAX features such as:"),vE=p(),To=s("ul"),mf=s("li"),Yd=s("a"),yE=o("Just-In-Time (JIT) compilation"),wE=p(),ff=s("li"),Zd=s("a"),TE=o("Automatic Differentiation"),ME=p(),gf=s("li"),ec=s("a"),$E=o("Vectorization"),LE=p(),_f=s("li"),tc=s("a"),xE=o("Parallelization"),FE=p(),ro=s("div"),y(oc.$$.fragment),EE=p(),Zn=s("p"),RE=o("The "),bf=s("code"),XE=o("FlaxXLMRobertaPreTrainedModel"),zE=o(" forward method, overrides the "),kf=s("code"),CE=o("__call__"),qE=o(" special method."),jE=p(),y(Xa.$$.fragment),AE=p(),y(za.$$.fragment),T_=p(),es=s("h2"),Ca=s("a"),vf=s("span"),y(nc.$$.fragment),PE=p(),yf=s("span"),NE=o("FlaxXLMRobertaForQuestionAnswering"),M_=p(),it=s("div"),y(sc.$$.fragment),OE=p(),ts=s("p"),IE=o(`XLM Roberta Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),wf=s("code"),DE=o("span start logits"),SE=o(" and "),Tf=s("code"),WE=o("span end logits"),BE=o(")."),UE=p(),ac=s("p"),HE=o("This model inherits from "),eh=s("a"),QE=o("FlaxPreTrainedModel"),KE=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),VE=p(),rc=s("p"),JE=o("This model is also a Flax Linen "),ic=s("a"),GE=o("flax.linen.Module"),YE=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),ZE=p(),Mf=s("p"),e3=o("Finally, this model supports inherent JAX features such as:"),t3=p(),Mo=s("ul"),$f=s("li"),lc=s("a"),o3=o("Just-In-Time (JIT) compilation"),n3=p(),Lf=s("li"),dc=s("a"),s3=o("Automatic Differentiation"),a3=p(),xf=s("li"),cc=s("a"),r3=o("Vectorization"),i3=p(),Ff=s("li"),pc=s("a"),l3=o("Parallelization"),d3=p(),io=s("div"),y(hc.$$.fragment),c3=p(),os=s("p"),p3=o("The "),Ef=s("code"),h3=o("FlaxXLMRobertaPreTrainedModel"),u3=o(" forward method, overrides the "),Rf=s("code"),m3=o("__call__"),f3=o(" special method."),g3=p(),y(qa.$$.fragment),_3=p(),y(ja.$$.fragment),this.h()},l(i){const _=zC('[data-svelte="svelte-1phssyn"]',document.head);d=a(_,"META",{name:!0,content:!0}),_.forEach(t),k=h(i),m=a(i,"H1",{class:!0});var uc=r(m);f=a(uc,"A",{id:!0,class:!0,href:!0});var Xf=r(f);b=a(Xf,"SPAN",{});var zf=r(b);w(l.$$.fragment,zf),zf.forEach(t),Xf.forEach(t),u=h(uc),R=a(uc,"SPAN",{});var Cf=r(R);ke=n(Cf,"XLM-RoBERTa"),Cf.forEach(t),uc.forEach(t),fe=h(i),O=a(i,"DIV",{class:!0});var mc=r(O);ce=a(mc,"A",{href:!0});var qf=r(ce);te=a(qf,"IMG",{alt:!0,src:!0}),qf.forEach(t),ve=h(mc),W=a(mc,"A",{href:!0});var jf=r(W);pe=a(jf,"IMG",{alt:!0,src:!0}),jf.forEach(t),mc.forEach(t),K=h(i),ae=a(i,"H2",{class:!0});var fc=r(ae);re=a(fc,"A",{id:!0,class:!0,href:!0});var Af=r(re);B=a(Af,"SPAN",{});var Pf=r(B);w(ie.$$.fragment,Pf),Pf.forEach(t),Af.forEach(t),ye=h(fc),U=a(fc,"SPAN",{});var Nf=r(U);we=n(Nf,"Overview"),Nf.forEach(t),fc.forEach(t),ge=h(i),D=a(i,"P",{});var gc=r(D);Te=n(gc,"The XLM-RoBERTa model was proposed in "),le=a(gc,"A",{href:!0,rel:!0});var Of=r(le);oe=n(Of,"Unsupervised Cross-lingual Representation Learning at Scale"),Of.forEach(t),z=n(gc,` by Alexis Conneau, Kartikay Khandelwal, Naman Goyal, Vishrav Chaudhary, Guillaume
Wenzek, Francisco Guzm\xE1n, Edouard Grave, Myle Ott, Luke Zettlemoyer and Veselin Stoyanov. It is based on Facebook\u2019s
RoBERTa model released in 2019. It is a large multi-lingual language model, trained on 2.5TB of filtered CommonCrawl
data.`),gc.forEach(t),j=h(i),he=a(i,"P",{});var If=r(he);J=n(If,"The abstract from the paper is the following:"),If.forEach(t),_e=h(i),ue=a(i,"P",{});var Df=r(ue);H=a(Df,"EM",{});var Sf=r(H);Me=n(Sf,`This paper shows that pretraining multilingual language models at scale leads to significant performance gains for a
wide range of cross-lingual transfer tasks. We train a Transformer-based masked language model on one hundred
languages, using more than two terabytes of filtered CommonCrawl data. Our model, dubbed XLM-R, significantly
outperforms multilingual BERT (mBERT) on a variety of cross-lingual benchmarks, including +13.8% average accuracy on
XNLI, +12.3% average F1 score on MLQA, and +2.1% average F1 score on NER. XLM-R performs particularly well on
low-resource languages, improving 11.8% in XNLI accuracy for Swahili and 9.2% for Urdu over the previous XLM model. We
also present a detailed empirical evaluation of the key factors that are required to achieve these gains, including the
trade-offs between (1) positive transfer and capacity dilution and (2) the performance of high and low resource
languages at scale. Finally, we show, for the first time, the possibility of multilingual modeling without sacrificing
per-language performance; XLM-Ris very competitive with strong monolingual models on the GLUE and XNLI benchmarks. We
will make XLM-R code, data, and models publicly available.`),Sf.forEach(t),Df.forEach(t),be=h(i),q=a(i,"P",{});var Wf=r(q);$e=n(Wf,"Tips:"),Wf.forEach(t),V=h(i),ne=a(i,"UL",{});var ns=r(ne);de=a(ns,"LI",{});var _c=r(de);G=n(_c,`XLM-RoBERTa is a multilingual model trained on 100 different languages. Unlike some XLM multilingual models, it does
not require `),me=a(_c,"CODE",{});var Bf=r(me);Le=n(Bf,"lang"),Bf.forEach(t),N=n(_c,` tensors to understand which language is used, and should be able to determine the correct
language from the input ids.`),_c.forEach(t),xe=h(ns),Q=a(ns,"LI",{});var Uf=r(Q);Fe=n(Uf,"Uses RoBERTa tricks on the XLM approach, but does not use the translation language modeling objective. It only uses masked language modeling on sentences coming from one language."),Uf.forEach(t),se=h(ns),C=a(ns,"LI",{});var bc=r(C);Ee=n(bc,"This implementation is the same as RoBERTa. Refer to the "),A=a(bc,"A",{href:!0});var Hf=r(A);Re=n(Hf,"documentation of RoBERTa"),Hf.forEach(t),Xe=n(bc,` for usage examples
as well as the information relative to the inputs and outputs.`),bc.forEach(t),ns.forEach(t),v=h(i),F=a(i,"P",{});var ss=r(F);Qe=n(ss,"This model was contributed by "),Z=a(ss,"A",{href:!0,rel:!0});var Qf=r(Z);Ke=n(Qf,"stefan-it"),Qf.forEach(t),Ve=n(ss,". The original code can be found "),X=a(ss,"A",{href:!0,rel:!0});var Kf=r(X);Je=n(Kf,"here"),Kf.forEach(t),Ge=n(ss,"."),ss.forEach(t),We=h(i),qe=a(i,"H2",{class:!0});var kc=r(qe);je=a(kc,"A",{id:!0,class:!0,href:!0});var Vf=r(je);P=a(Vf,"SPAN",{});var Jf=r(P);w(S.$$.fragment,Jf),Jf.forEach(t),Vf.forEach(t),Ye=h(kc),Se=a(kc,"SPAN",{});var Gf=r(Se);Y=n(Gf,"Resources"),Gf.forEach(t),kc.forEach(t),Be=h(i),Pe=a(i,"P",{});var Yf=r(Pe);ze=n(Yf,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with XLM-RoBERTa. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Yf.forEach(t),Ue=h(i),w(ee.$$.fragment,i),He=h(i),gt=a(i,"UL",{});var $t=r(gt);Ec=a($t,"LI",{});var th=r(Ec);Zb=n(th,"A blog post on how to "),lr=a(th,"A",{href:!0,rel:!0});var Zf=r(lr);ek=n(Zf,"finetune XLM RoBERTa for multiclass classification with Habana Gaudi on AWS"),Zf.forEach(t),th.forEach(t),tk=h($t),$o=a($t,"LI",{});var So=r($o);Rc=a(So,"A",{href:!0});var eg=r(Rc);ok=n(eg,"XLMRobertaForSequenceClassification"),eg.forEach(t),nk=n(So," is supported by this "),dr=a(So,"A",{href:!0,rel:!0});var tg=r(dr);sk=n(tg,"example script"),tg.forEach(t),ak=n(So," and "),cr=a(So,"A",{href:!0,rel:!0});var og=r(cr);rk=n(og,"notebook"),og.forEach(t),ik=n(So,"."),So.forEach(t),lk=h($t),Lo=a($t,"LI",{});var Wo=r(Lo);Xc=a(Wo,"A",{href:!0});var ng=r(Xc);dk=n(ng,"TFXLMRobertaForSequenceClassification"),ng.forEach(t),ck=n(Wo," is supported by this "),pr=a(Wo,"A",{href:!0,rel:!0});var sg=r(pr);pk=n(sg,"example script"),sg.forEach(t),hk=n(Wo," and "),hr=a(Wo,"A",{href:!0,rel:!0});var ag=r(hr);uk=n(ag,"notebook"),ag.forEach(t),mk=n(Wo,"."),Wo.forEach(t),fk=h($t),xo=a($t,"LI",{});var Bo=r(xo);zc=a(Bo,"A",{href:!0});var rg=r(zc);gk=n(rg,"FlaxXLMRobertaForSequenceClassification"),rg.forEach(t),_k=n(Bo," is supported by this "),ur=a(Bo,"A",{href:!0,rel:!0});var ig=r(ur);bk=n(ig,"example script"),ig.forEach(t),kk=n(Bo," and "),mr=a(Bo,"A",{href:!0,rel:!0});var lg=r(mr);vk=n(lg,"notebook"),lg.forEach(t),yk=n(Bo,"."),Bo.forEach(t),wk=h($t),Cc=a($t,"LI",{});var oh=r(Cc);fr=a(oh,"A",{href:!0,rel:!0});var dg=r(fr);Tk=n(dg,"Text classification"),dg.forEach(t),Mk=n(oh," chapter of the \u{1F917} Hugging Face Task Guides."),oh.forEach(t),$k=h($t),zh=a($t,"LI",{});var cg=r(zh);qc=a(cg,"A",{href:!0});var pg=r(qc);Lk=n(pg,"Text classification task guide"),pg.forEach(t),cg.forEach(t),$t.forEach(t),kg=h(i),w(gr.$$.fragment,i),vg=h(i),Lt=a(i,"UL",{});var Ut=r(Lt);Fo=a(Ut,"LI",{});var Uo=r(Fo);jc=a(Uo,"A",{href:!0});var hg=r(jc);xk=n(hg,"XLMRobertaForTokenClassification"),hg.forEach(t),Fk=n(Uo," is supported by this "),_r=a(Uo,"A",{href:!0,rel:!0});var ug=r(_r);Ek=n(ug,"example script"),ug.forEach(t),Rk=n(Uo," and "),br=a(Uo,"A",{href:!0,rel:!0});var mg=r(br);Xk=n(mg,"notebook"),mg.forEach(t),zk=n(Uo,"."),Uo.forEach(t),Ck=h(Ut),Eo=a(Ut,"LI",{});var vc=r(Eo);Ac=a(vc,"A",{href:!0});var L3=r(Ac);qk=n(L3,"TFXLMRobertaForTokenClassification"),L3.forEach(t),jk=n(vc," is supported by this "),kr=a(vc,"A",{href:!0,rel:!0});var x3=r(kr);Ak=n(x3,"example script"),x3.forEach(t),Pk=n(vc," and "),vr=a(vc,"A",{href:!0,rel:!0});var F3=r(vr);Nk=n(F3,"notebook"),F3.forEach(t),Ok=n(vc,"."),vc.forEach(t),Ik=h(Ut),as=a(Ut,"LI",{});var fg=r(as);Pc=a(fg,"A",{href:!0});var E3=r(Pc);Dk=n(E3,"FlaxXLMRobertaForTokenClassification"),E3.forEach(t),Sk=n(fg," is supported by this "),yr=a(fg,"A",{href:!0,rel:!0});var R3=r(yr);Wk=n(R3,"example script"),R3.forEach(t),Bk=n(fg,"."),fg.forEach(t),Uk=h(Ut),Nc=a(Ut,"LI",{});var b3=r(Nc);wr=a(b3,"A",{href:!0,rel:!0});var X3=r(wr);Hk=n(X3,"Token classification"),X3.forEach(t),Qk=n(b3," chapter of the \u{1F917} Hugging Face Course."),b3.forEach(t),Kk=h(Ut),Ch=a(Ut,"LI",{});var z3=r(Ch);Oc=a(z3,"A",{href:!0});var C3=r(Oc);Vk=n(C3,"Token classification task guide"),C3.forEach(t),z3.forEach(t),Ut.forEach(t),yg=h(i),w(Tr.$$.fragment,i),wg=h(i),Ro=a(i,"UL",{});var nh=r(Ro);Xo=a(nh,"LI",{});var yc=r(Xo);Ic=a(yc,"A",{href:!0});var q3=r(Ic);Jk=n(q3,"XLMRobertaForCausalLM"),q3.forEach(t),Gk=n(yc," is supported by this "),Mr=a(yc,"A",{href:!0,rel:!0});var j3=r(Mr);Yk=n(j3,"example script"),j3.forEach(t),Zk=n(yc," and "),$r=a(yc,"A",{href:!0,rel:!0});var A3=r($r);ev=n(A3,"notebook"),A3.forEach(t),tv=n(yc,"."),yc.forEach(t),ov=h(nh),Dc=a(nh,"LI",{});var k3=r(Dc);Lr=a(k3,"A",{href:!0,rel:!0});var P3=r(Lr);nv=n(P3,"Causal language modeling"),P3.forEach(t),sv=n(k3," chapter of the \u{1F917} Hugging Face Task Guides."),k3.forEach(t),av=h(nh),qh=a(nh,"LI",{});var N3=r(qh);Sc=a(N3,"A",{href:!0});var O3=r(Sc);rv=n(O3,"Causal language modeling task guide"),O3.forEach(t),N3.forEach(t),nh.forEach(t),Tg=h(i),w(xr.$$.fragment,i),Mg=h(i),xt=a(i,"UL",{});var Ho=r(xt);zo=a(Ho,"LI",{});var wc=r(zo);Wc=a(wc,"A",{href:!0});var I3=r(Wc);iv=n(I3,"XLMRobertaForMaskedLM"),I3.forEach(t),lv=n(wc," is supported by this "),Fr=a(wc,"A",{href:!0,rel:!0});var D3=r(Fr);dv=n(D3,"example script"),D3.forEach(t),cv=n(wc," and "),Er=a(wc,"A",{href:!0,rel:!0});var S3=r(Er);pv=n(S3,"notebook"),S3.forEach(t),hv=n(wc,"."),wc.forEach(t),uv=h(Ho),Co=a(Ho,"LI",{});var Tc=r(Co);Bc=a(Tc,"A",{href:!0});var W3=r(Bc);mv=n(W3,"TFXLMRobertaForMaskedLM"),W3.forEach(t),fv=n(Tc," is supported by this "),Rr=a(Tc,"A",{href:!0,rel:!0});var B3=r(Rr);gv=n(B3,"example script"),B3.forEach(t),_v=n(Tc," and "),Xr=a(Tc,"A",{href:!0,rel:!0});var U3=r(Xr);bv=n(U3,"notebook"),U3.forEach(t),kv=n(Tc,"."),Tc.forEach(t),vv=h(Ho),qo=a(Ho,"LI",{});var Mc=r(qo);Uc=a(Mc,"A",{href:!0});var H3=r(Uc);yv=n(H3,"FlaxXLMRobertaForMaskedLM"),H3.forEach(t),wv=n(Mc," is supported by this "),zr=a(Mc,"A",{href:!0,rel:!0});var Q3=r(zr);Tv=n(Q3,"example script"),Q3.forEach(t),Mv=n(Mc," and "),Cr=a(Mc,"A",{href:!0,rel:!0});var K3=r(Cr);$v=n(K3,"notebook"),K3.forEach(t),Lv=n(Mc,"."),Mc.forEach(t),xv=h(Ho),Hc=a(Ho,"LI",{});var v3=r(Hc);qr=a(v3,"A",{href:!0,rel:!0});var V3=r(qr);Fv=n(V3,"Masked language modeling"),V3.forEach(t),Ev=n(v3," chapter of the \u{1F917} Hugging Face Course."),v3.forEach(t),Rv=h(Ho),jh=a(Ho,"LI",{});var J3=r(jh);Qc=a(J3,"A",{href:!0});var G3=r(Qc);Xv=n(G3,"Masked language modeling"),G3.forEach(t),J3.forEach(t),Ho.forEach(t),$g=h(i),w(jr.$$.fragment,i),Lg=h(i),Ft=a(i,"UL",{});var Qo=r(Ft);jo=a(Qo,"LI",{});var $c=r(jo);Kc=a($c,"A",{href:!0});var Y3=r(Kc);zv=n(Y3,"XLMRobertaForQuestionAnswering"),Y3.forEach(t),Cv=n($c," is supported by this "),Ar=a($c,"A",{href:!0,rel:!0});var Z3=r(Ar);qv=n(Z3,"example script"),Z3.forEach(t),jv=n($c," and "),Pr=a($c,"A",{href:!0,rel:!0});var eR=r(Pr);Av=n(eR,"notebook"),eR.forEach(t),Pv=n($c,"."),$c.forEach(t),Nv=h(Qo),Ao=a(Qo,"LI",{});var Lc=r(Ao);Vc=a(Lc,"A",{href:!0});var tR=r(Vc);Ov=n(tR,"TFXLMRobertaForQuestionAnswering"),tR.forEach(t),Iv=n(Lc," is supported by this "),Nr=a(Lc,"A",{href:!0,rel:!0});var oR=r(Nr);Dv=n(oR,"example script"),oR.forEach(t),Sv=n(Lc," and "),Or=a(Lc,"A",{href:!0,rel:!0});var nR=r(Or);Wv=n(nR,"notebook"),nR.forEach(t),Bv=n(Lc,"."),Lc.forEach(t),Uv=h(Qo),rs=a(Qo,"LI",{});var gg=r(rs);Jc=a(gg,"A",{href:!0});var sR=r(Jc);Hv=n(sR,"FlaxXLMRobertaForQuestionAnswering"),sR.forEach(t),Qv=n(gg," is supported by this "),Ir=a(gg,"A",{href:!0,rel:!0});var aR=r(Ir);Kv=n(aR,"example script"),aR.forEach(t),Vv=n(gg,"."),gg.forEach(t),Jv=h(Qo),Gc=a(Qo,"LI",{});var y3=r(Gc);Dr=a(y3,"A",{href:!0,rel:!0});var rR=r(Dr);Gv=n(rR,"Question answering"),rR.forEach(t),Yv=n(y3," chapter of the \u{1F917} Hugging Face Course."),y3.forEach(t),Zv=h(Qo),Ah=a(Qo,"LI",{});var iR=r(Ah);Yc=a(iR,"A",{href:!0});var lR=r(Yc);ey=n(lR,"Question answering task guide"),lR.forEach(t),iR.forEach(t),Qo.forEach(t),xg=h(i),Zc=a(i,"P",{});var dR=r(Zc);Ph=a(dR,"STRONG",{});var cR=r(Ph);ty=n(cR,"Multiple choice"),cR.forEach(t),dR.forEach(t),Fg=h(i),Po=a(i,"UL",{});var sh=r(Po);No=a(sh,"LI",{});var xc=r(No);ep=a(xc,"A",{href:!0});var pR=r(ep);oy=n(pR,"XLMRobertaForMultipleChoice"),pR.forEach(t),ny=n(xc," is supported by this "),Sr=a(xc,"A",{href:!0,rel:!0});var hR=r(Sr);sy=n(hR,"example script"),hR.forEach(t),ay=n(xc," and "),Wr=a(xc,"A",{href:!0,rel:!0});var uR=r(Wr);ry=n(uR,"notebook"),uR.forEach(t),iy=n(xc,"."),xc.forEach(t),ly=h(sh),Oo=a(sh,"LI",{});var Fc=r(Oo);tp=a(Fc,"A",{href:!0});var mR=r(tp);dy=n(mR,"TFXLMRobertaForMultipleChoice"),mR.forEach(t),cy=n(Fc," is supported by this "),Br=a(Fc,"A",{href:!0,rel:!0});var fR=r(Br);py=n(fR,"example script"),fR.forEach(t),hy=n(Fc," and "),Ur=a(Fc,"A",{href:!0,rel:!0});var gR=r(Ur);uy=n(gR,"notebook"),gR.forEach(t),my=n(Fc,"."),Fc.forEach(t),fy=h(sh),Nh=a(sh,"LI",{});var _R=r(Nh);op=a(_R,"A",{href:!0});var bR=r(op);gy=n(bR,"Multiple choice task guide"),bR.forEach(t),_R.forEach(t),sh.forEach(t),Eg=h(i),np=a(i,"P",{});var kR=r(np);_y=n(kR,"\u{1F680} Deploy"),kR.forEach(t),Rg=h(i),sp=a(i,"UL",{});var vR=r(sp);Hr=a(vR,"LI",{});var L_=r(Hr);by=n(L_,"A blog post on how to "),Qr=a(L_,"A",{href:!0,rel:!0});var yR=r(Qr);ky=n(yR,"Deploy Serverless XLM RoBERTa on AWS Lambda"),yR.forEach(t),vy=n(L_,"."),L_.forEach(t),vR.forEach(t),Xg=h(i),ln=a(i,"H2",{class:!0});var x_=r(ln);is=a(x_,"A",{id:!0,class:!0,href:!0});var wR=r(is);Oh=a(wR,"SPAN",{});var TR=r(Oh);w(Kr.$$.fragment,TR),TR.forEach(t),wR.forEach(t),yy=h(x_),Ih=a(x_,"SPAN",{});var MR=r(Ih);wy=n(MR,"XLMRobertaConfig"),MR.forEach(t),x_.forEach(t),zg=h(i),Wt=a(i,"DIV",{class:!0});var Aa=r(Wt);w(Vr.$$.fragment,Aa),Ty=h(Aa),go=a(Aa,"P",{});var Pa=r(go);My=n(Pa,"This is the configuration class to store the configuration of a "),ap=a(Pa,"A",{href:!0});var $R=r(ap);$y=n($R,"XLMRobertaModel"),$R.forEach(t),Ly=n(Pa," or a "),rp=a(Pa,"A",{href:!0});var LR=r(rp);xy=n(LR,"TFXLMRobertaModel"),LR.forEach(t),Fy=n(Pa,`. It
is used to instantiate a XLM-RoBERTa model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the XLMRoBERTa
`),Jr=a(Pa,"A",{href:!0,rel:!0});var xR=r(Jr);Ey=n(xR,"xlm-roberta-base"),xR.forEach(t),Ry=n(Pa," architecture."),Pa.forEach(t),Xy=h(Aa),dn=a(Aa,"P",{});var ah=r(dn);zy=n(ah,"Configuration objects inherit from "),ip=a(ah,"A",{href:!0});var FR=r(ip);Cy=n(FR,"PretrainedConfig"),FR.forEach(t),qy=n(ah,` and can be used to control the model outputs. Read the
documentation from `),lp=a(ah,"A",{href:!0});var ER=r(lp);jy=n(ER,"PretrainedConfig"),ER.forEach(t),Ay=n(ah," for more information."),ah.forEach(t),Py=h(Aa),w(ls.$$.fragment,Aa),Aa.forEach(t),Cg=h(i),cn=a(i,"H2",{class:!0});var F_=r(cn);ds=a(F_,"A",{id:!0,class:!0,href:!0});var RR=r(ds);Dh=a(RR,"SPAN",{});var XR=r(Dh);w(Gr.$$.fragment,XR),XR.forEach(t),RR.forEach(t),Ny=h(F_),Sh=a(F_,"SPAN",{});var zR=r(Sh);Oy=n(zR,"XLMRobertaTokenizer"),zR.forEach(t),F_.forEach(t),qg=h(i),et=a(i,"DIV",{class:!0});var qt=r(et);w(Yr.$$.fragment,qt),Iy=h(qt),_o=a(qt,"P",{});var Na=r(_o);Dy=n(Na,"Adapted from "),dp=a(Na,"A",{href:!0});var CR=r(dp);Sy=n(CR,"RobertaTokenizer"),CR.forEach(t),Wy=n(Na," and "),cp=a(Na,"A",{href:!0});var qR=r(cp);By=n(qR,"XLNetTokenizer"),qR.forEach(t),Uy=n(Na,`. Based on
`),Zr=a(Na,"A",{href:!0,rel:!0});var jR=r(Zr);Hy=n(jR,"SentencePiece"),jR.forEach(t),Qy=n(Na,"."),Na.forEach(t),Ky=h(qt),ei=a(qt,"P",{});var E_=r(ei);Vy=n(E_,"This tokenizer inherits from "),pp=a(E_,"A",{href:!0});var AR=r(pp);Jy=n(AR,"PreTrainedTokenizer"),AR.forEach(t),Gy=n(E_,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),E_.forEach(t),Yy=h(qt),Io=a(qt,"DIV",{class:!0});var rh=r(Io);w(ti.$$.fragment,rh),Zy=h(rh),Wh=a(rh,"P",{});var PR=r(Wh);e1=n(PR,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),PR.forEach(t),t1=h(rh),oi=a(rh,"UL",{});var R_=r(oi);hp=a(R_,"LI",{});var w3=r(hp);o1=n(w3,"single sequence: "),Bh=a(w3,"CODE",{});var NR=r(Bh);n1=n(NR,"<s> X </s>"),NR.forEach(t),w3.forEach(t),s1=h(R_),up=a(R_,"LI",{});var T3=r(up);a1=n(T3,"pair of sequences: "),Uh=a(T3,"CODE",{});var OR=r(Uh);r1=n(OR,"<s> A </s></s> B </s>"),OR.forEach(t),T3.forEach(t),R_.forEach(t),rh.forEach(t),i1=h(qt),cs=a(qt,"DIV",{class:!0});var X_=r(cs);w(ni.$$.fragment,X_),l1=h(X_),si=a(X_,"P",{});var z_=r(si);d1=n(z_,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Hh=a(z_,"CODE",{});var IR=r(Hh);c1=n(IR,"prepare_for_model"),IR.forEach(t),p1=n(z_," method."),z_.forEach(t),X_.forEach(t),h1=h(qt),ps=a(qt,"DIV",{class:!0});var C_=r(ps);w(ai.$$.fragment,C_),u1=h(C_),Qh=a(C_,"P",{});var DR=r(Qh);m1=n(DR,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),DR.forEach(t),C_.forEach(t),f1=h(qt),mp=a(qt,"DIV",{class:!0});var SR=r(mp);w(ri.$$.fragment,SR),SR.forEach(t),qt.forEach(t),jg=h(i),pn=a(i,"H2",{class:!0});var q_=r(pn);hs=a(q_,"A",{id:!0,class:!0,href:!0});var WR=r(hs);Kh=a(WR,"SPAN",{});var BR=r(Kh);w(ii.$$.fragment,BR),BR.forEach(t),WR.forEach(t),g1=h(q_),Vh=a(q_,"SPAN",{});var UR=r(Vh);_1=n(UR,"XLMRobertaTokenizerFast"),UR.forEach(t),q_.forEach(t),Ag=h(i),bt=a(i,"DIV",{class:!0});var Ko=r(bt);w(li.$$.fragment,Ko),b1=h(Ko),Bt=a(Ko,"P",{});var Vo=r(Bt);k1=n(Vo,"Construct a \u201Cfast\u201D XLM-RoBERTa tokenizer (backed by HuggingFace\u2019s "),Jh=a(Vo,"EM",{});var HR=r(Jh);v1=n(HR,"tokenizers"),HR.forEach(t),y1=n(Vo,` library). Adapted from
`),fp=a(Vo,"A",{href:!0});var QR=r(fp);w1=n(QR,"RobertaTokenizer"),QR.forEach(t),T1=n(Vo," and "),gp=a(Vo,"A",{href:!0});var KR=r(gp);M1=n(KR,"XLNetTokenizer"),KR.forEach(t),$1=n(Vo,`. Based on
`),di=a(Vo,"A",{href:!0,rel:!0});var VR=r(di);L1=n(VR,"BPE"),VR.forEach(t),x1=n(Vo,"."),Vo.forEach(t),F1=h(Ko),ci=a(Ko,"P",{});var j_=r(ci);E1=n(j_,"This tokenizer inherits from "),_p=a(j_,"A",{href:!0});var JR=r(_p);R1=n(JR,"PreTrainedTokenizerFast"),JR.forEach(t),X1=n(j_,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),j_.forEach(t),z1=h(Ko),Do=a(Ko,"DIV",{class:!0});var ih=r(Do);w(pi.$$.fragment,ih),C1=h(ih),Gh=a(ih,"P",{});var GR=r(Gh);q1=n(GR,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),GR.forEach(t),j1=h(ih),hi=a(ih,"UL",{});var A_=r(hi);bp=a(A_,"LI",{});var M3=r(bp);A1=n(M3,"single sequence: "),Yh=a(M3,"CODE",{});var YR=r(Yh);P1=n(YR,"<s> X </s>"),YR.forEach(t),M3.forEach(t),N1=h(A_),kp=a(A_,"LI",{});var $3=r(kp);O1=n($3,"pair of sequences: "),Zh=a($3,"CODE",{});var ZR=r(Zh);I1=n(ZR,"<s> A </s></s> B </s>"),ZR.forEach(t),$3.forEach(t),A_.forEach(t),ih.forEach(t),D1=h(Ko),us=a(Ko,"DIV",{class:!0});var P_=r(us);w(ui.$$.fragment,P_),S1=h(P_),eu=a(P_,"P",{});var e4=r(eu);W1=n(e4,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),e4.forEach(t),P_.forEach(t),Ko.forEach(t),Pg=h(i),hn=a(i,"H2",{class:!0});var N_=r(hn);ms=a(N_,"A",{id:!0,class:!0,href:!0});var t4=r(ms);tu=a(t4,"SPAN",{});var o4=r(tu);w(mi.$$.fragment,o4),o4.forEach(t),t4.forEach(t),B1=h(N_),ou=a(N_,"SPAN",{});var n4=r(ou);U1=n(n4,"XLMRobertaModel"),n4.forEach(t),N_.forEach(t),Ng=h(i),Ze=a(i,"DIV",{class:!0});var _t=r(Ze);w(fi.$$.fragment,_t),H1=h(_t),nu=a(_t,"P",{});var s4=r(nu);Q1=n(s4,"The bare XLM-RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),s4.forEach(t),K1=h(_t),gi=a(_t,"P",{});var O_=r(gi);V1=n(O_,"This model inherits from "),vp=a(O_,"A",{href:!0});var a4=r(vp);J1=n(a4,"PreTrainedModel"),a4.forEach(t),G1=n(O_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),O_.forEach(t),Y1=h(_t),_i=a(_t,"P",{});var I_=r(_i);Z1=n(I_,"This model is also a PyTorch "),bi=a(I_,"A",{href:!0,rel:!0});var r4=r(bi);e2=n(r4,"torch.nn.Module"),r4.forEach(t),t2=n(I_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),I_.forEach(t),o2=h(_t),ki=a(_t,"P",{});var D_=r(ki);n2=n(D_,`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),su=a(D_,"EM",{});var i4=r(su);s2=n(i4,`Attention is
all you need`),i4.forEach(t),a2=n(D_,`_ by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit, Llion Jones, Aidan N. Gomez, Lukasz
Kaiser and Illia Polosukhin.`),D_.forEach(t),r2=h(_t),lt=a(_t,"P",{});var jt=r(lt);i2=n(jt,"To behave as an decoder the model needs to be initialized with the "),au=a(jt,"CODE",{});var l4=r(au);l2=n(l4,"is_decoder"),l4.forEach(t),d2=n(jt,` argument of the configuration set
to `),ru=a(jt,"CODE",{});var d4=r(ru);c2=n(d4,"True"),d4.forEach(t),p2=n(jt,". To be used in a Seq2Seq model, the model needs to initialized with both "),iu=a(jt,"CODE",{});var c4=r(iu);h2=n(c4,"is_decoder"),c4.forEach(t),u2=n(jt,` argument and
`),lu=a(jt,"CODE",{});var p4=r(lu);m2=n(p4,"add_cross_attention"),p4.forEach(t),f2=n(jt," set to "),du=a(jt,"CODE",{});var h4=r(du);g2=n(h4,"True"),h4.forEach(t),_2=n(jt,"; an "),cu=a(jt,"CODE",{});var u4=r(cu);b2=n(u4,"encoder_hidden_states"),u4.forEach(t),k2=n(jt," is then expected as an input to the forward pass."),jt.forEach(t),v2=h(_t),fs=a(_t,"P",{});var _g=r(fs);y2=n(_g,".. _"),pu=a(_g,"EM",{});var m4=r(pu);w2=n(m4,"Attention is all you need"),m4.forEach(t),T2=n(_g,": "),vi=a(_g,"A",{href:!0,rel:!0});var f4=r(vi);M2=n(f4,"https://arxiv.org/abs/1706.03762"),f4.forEach(t),_g.forEach(t),$2=h(_t),Ht=a(_t,"DIV",{class:!0});var Oa=r(Ht);w(yi.$$.fragment,Oa),L2=h(Oa),un=a(Oa,"P",{});var lh=r(un);x2=n(lh,"The "),yp=a(lh,"A",{href:!0});var g4=r(yp);F2=n(g4,"XLMRobertaModel"),g4.forEach(t),E2=n(lh," forward method, overrides the "),hu=a(lh,"CODE",{});var _4=r(hu);R2=n(_4,"__call__"),_4.forEach(t),X2=n(lh," special method."),lh.forEach(t),z2=h(Oa),w(gs.$$.fragment,Oa),C2=h(Oa),w(_s.$$.fragment,Oa),Oa.forEach(t),_t.forEach(t),Og=h(i),mn=a(i,"H2",{class:!0});var S_=r(mn);bs=a(S_,"A",{id:!0,class:!0,href:!0});var b4=r(bs);uu=a(b4,"SPAN",{});var k4=r(uu);w(wi.$$.fragment,k4),k4.forEach(t),b4.forEach(t),q2=h(S_),mu=a(S_,"SPAN",{});var v4=r(mu);j2=n(v4,"XLMRobertaForCausalLM"),v4.forEach(t),S_.forEach(t),Ig=h(i),kt=a(i,"DIV",{class:!0});var Jo=r(kt);w(Ti.$$.fragment,Jo),A2=h(Jo),Mi=a(Jo,"P",{});var W_=r(Mi);P2=n(W_,"XLM-RoBERTa Model with a "),fu=a(W_,"CODE",{});var y4=r(fu);N2=n(y4,"language modeling"),y4.forEach(t),O2=n(W_," head on top for CLM fine-tuning."),W_.forEach(t),I2=h(Jo),$i=a(Jo,"P",{});var B_=r($i);D2=n(B_,"This model inherits from "),wp=a(B_,"A",{href:!0});var w4=r(wp);S2=n(w4,"PreTrainedModel"),w4.forEach(t),W2=n(B_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),B_.forEach(t),B2=h(Jo),Li=a(Jo,"P",{});var U_=r(Li);U2=n(U_,"This model is also a PyTorch "),xi=a(U_,"A",{href:!0,rel:!0});var T4=r(xi);H2=n(T4,"torch.nn.Module"),T4.forEach(t),Q2=n(U_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),U_.forEach(t),K2=h(Jo),Qt=a(Jo,"DIV",{class:!0});var Ia=r(Qt);w(Fi.$$.fragment,Ia),V2=h(Ia),fn=a(Ia,"P",{});var dh=r(fn);J2=n(dh,"The "),Tp=a(dh,"A",{href:!0});var M4=r(Tp);G2=n(M4,"XLMRobertaForCausalLM"),M4.forEach(t),Y2=n(dh," forward method, overrides the "),gu=a(dh,"CODE",{});var $4=r(gu);Z2=n($4,"__call__"),$4.forEach(t),ew=n(dh," special method."),dh.forEach(t),tw=h(Ia),w(ks.$$.fragment,Ia),ow=h(Ia),w(vs.$$.fragment,Ia),Ia.forEach(t),Jo.forEach(t),Dg=h(i),gn=a(i,"H2",{class:!0});var H_=r(gn);ys=a(H_,"A",{id:!0,class:!0,href:!0});var L4=r(ys);_u=a(L4,"SPAN",{});var x4=r(_u);w(Ei.$$.fragment,x4),x4.forEach(t),L4.forEach(t),nw=h(H_),bu=a(H_,"SPAN",{});var F4=r(bu);sw=n(F4,"XLMRobertaForMaskedLM"),F4.forEach(t),H_.forEach(t),Sg=h(i),vt=a(i,"DIV",{class:!0});var Go=r(vt);w(Ri.$$.fragment,Go),aw=h(Go),Xi=a(Go,"P",{});var Q_=r(Xi);rw=n(Q_,"XLM-RoBERTa Model with a "),ku=a(Q_,"CODE",{});var E4=r(ku);iw=n(E4,"language modeling"),E4.forEach(t),lw=n(Q_," head on top."),Q_.forEach(t),dw=h(Go),zi=a(Go,"P",{});var K_=r(zi);cw=n(K_,"This model inherits from "),Mp=a(K_,"A",{href:!0});var R4=r(Mp);pw=n(R4,"PreTrainedModel"),R4.forEach(t),hw=n(K_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),K_.forEach(t),uw=h(Go),Ci=a(Go,"P",{});var V_=r(Ci);mw=n(V_,"This model is also a PyTorch "),qi=a(V_,"A",{href:!0,rel:!0});var X4=r(qi);fw=n(X4,"torch.nn.Module"),X4.forEach(t),gw=n(V_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),V_.forEach(t),_w=h(Go),Kt=a(Go,"DIV",{class:!0});var Da=r(Kt);w(ji.$$.fragment,Da),bw=h(Da),_n=a(Da,"P",{});var ch=r(_n);kw=n(ch,"The "),$p=a(ch,"A",{href:!0});var z4=r($p);vw=n(z4,"XLMRobertaForMaskedLM"),z4.forEach(t),yw=n(ch," forward method, overrides the "),vu=a(ch,"CODE",{});var C4=r(vu);ww=n(C4,"__call__"),C4.forEach(t),Tw=n(ch," special method."),ch.forEach(t),Mw=h(Da),w(ws.$$.fragment,Da),$w=h(Da),w(Ts.$$.fragment,Da),Da.forEach(t),Go.forEach(t),Wg=h(i),bn=a(i,"H2",{class:!0});var J_=r(bn);Ms=a(J_,"A",{id:!0,class:!0,href:!0});var q4=r(Ms);yu=a(q4,"SPAN",{});var j4=r(yu);w(Ai.$$.fragment,j4),j4.forEach(t),q4.forEach(t),Lw=h(J_),wu=a(J_,"SPAN",{});var A4=r(wu);xw=n(A4,"XLMRobertaForSequenceClassification"),A4.forEach(t),J_.forEach(t),Bg=h(i),yt=a(i,"DIV",{class:!0});var Yo=r(yt);w(Pi.$$.fragment,Yo),Fw=h(Yo),Tu=a(Yo,"P",{});var P4=r(Tu);Ew=n(P4,`XLM-RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),P4.forEach(t),Rw=h(Yo),Ni=a(Yo,"P",{});var G_=r(Ni);Xw=n(G_,"This model inherits from "),Lp=a(G_,"A",{href:!0});var N4=r(Lp);zw=n(N4,"PreTrainedModel"),N4.forEach(t),Cw=n(G_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),G_.forEach(t),qw=h(Yo),Oi=a(Yo,"P",{});var Y_=r(Oi);jw=n(Y_,"This model is also a PyTorch "),Ii=a(Y_,"A",{href:!0,rel:!0});var O4=r(Ii);Aw=n(O4,"torch.nn.Module"),O4.forEach(t),Pw=n(Y_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Y_.forEach(t),Nw=h(Yo),Et=a(Yo,"DIV",{class:!0});var Zo=r(Et);w(Di.$$.fragment,Zo),Ow=h(Zo),kn=a(Zo,"P",{});var ph=r(kn);Iw=n(ph,"The "),xp=a(ph,"A",{href:!0});var I4=r(xp);Dw=n(I4,"XLMRobertaForSequenceClassification"),I4.forEach(t),Sw=n(ph," forward method, overrides the "),Mu=a(ph,"CODE",{});var D4=r(Mu);Ww=n(D4,"__call__"),D4.forEach(t),Bw=n(ph," special method."),ph.forEach(t),Uw=h(Zo),w($s.$$.fragment,Zo),Hw=h(Zo),w(Ls.$$.fragment,Zo),Qw=h(Zo),w(xs.$$.fragment,Zo),Zo.forEach(t),Yo.forEach(t),Ug=h(i),vn=a(i,"H2",{class:!0});var Z_=r(vn);Fs=a(Z_,"A",{id:!0,class:!0,href:!0});var S4=r(Fs);$u=a(S4,"SPAN",{});var W4=r($u);w(Si.$$.fragment,W4),W4.forEach(t),S4.forEach(t),Kw=h(Z_),Lu=a(Z_,"SPAN",{});var B4=r(Lu);Vw=n(B4,"XLMRobertaForMultipleChoice"),B4.forEach(t),Z_.forEach(t),Hg=h(i),wt=a(i,"DIV",{class:!0});var en=r(wt);w(Wi.$$.fragment,en),Jw=h(en),xu=a(en,"P",{});var U4=r(xu);Gw=n(U4,`XLM-RoBERTa Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),U4.forEach(t),Yw=h(en),Bi=a(en,"P",{});var eb=r(Bi);Zw=n(eb,"This model inherits from "),Fp=a(eb,"A",{href:!0});var H4=r(Fp);eT=n(H4,"PreTrainedModel"),H4.forEach(t),tT=n(eb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),eb.forEach(t),oT=h(en),Ui=a(en,"P",{});var tb=r(Ui);nT=n(tb,"This model is also a PyTorch "),Hi=a(tb,"A",{href:!0,rel:!0});var Q4=r(Hi);sT=n(Q4,"torch.nn.Module"),Q4.forEach(t),aT=n(tb,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),tb.forEach(t),rT=h(en),Vt=a(en,"DIV",{class:!0});var Sa=r(Vt);w(Qi.$$.fragment,Sa),iT=h(Sa),yn=a(Sa,"P",{});var hh=r(yn);lT=n(hh,"The "),Ep=a(hh,"A",{href:!0});var K4=r(Ep);dT=n(K4,"XLMRobertaForMultipleChoice"),K4.forEach(t),cT=n(hh," forward method, overrides the "),Fu=a(hh,"CODE",{});var V4=r(Fu);pT=n(V4,"__call__"),V4.forEach(t),hT=n(hh," special method."),hh.forEach(t),uT=h(Sa),w(Es.$$.fragment,Sa),mT=h(Sa),w(Rs.$$.fragment,Sa),Sa.forEach(t),en.forEach(t),Qg=h(i),wn=a(i,"H2",{class:!0});var ob=r(wn);Xs=a(ob,"A",{id:!0,class:!0,href:!0});var J4=r(Xs);Eu=a(J4,"SPAN",{});var G4=r(Eu);w(Ki.$$.fragment,G4),G4.forEach(t),J4.forEach(t),fT=h(ob),Ru=a(ob,"SPAN",{});var Y4=r(Ru);gT=n(Y4,"XLMRobertaForTokenClassification"),Y4.forEach(t),ob.forEach(t),Kg=h(i),Tt=a(i,"DIV",{class:!0});var tn=r(Tt);w(Vi.$$.fragment,tn),_T=h(tn),Xu=a(tn,"P",{});var Z4=r(Xu);bT=n(Z4,`XLM-RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Z4.forEach(t),kT=h(tn),Ji=a(tn,"P",{});var nb=r(Ji);vT=n(nb,"This model inherits from "),Rp=a(nb,"A",{href:!0});var eX=r(Rp);yT=n(eX,"PreTrainedModel"),eX.forEach(t),wT=n(nb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),nb.forEach(t),TT=h(tn),Gi=a(tn,"P",{});var sb=r(Gi);MT=n(sb,"This model is also a PyTorch "),Yi=a(sb,"A",{href:!0,rel:!0});var tX=r(Yi);$T=n(tX,"torch.nn.Module"),tX.forEach(t),LT=n(sb,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),sb.forEach(t),xT=h(tn),Jt=a(tn,"DIV",{class:!0});var Wa=r(Jt);w(Zi.$$.fragment,Wa),FT=h(Wa),Tn=a(Wa,"P",{});var uh=r(Tn);ET=n(uh,"The "),Xp=a(uh,"A",{href:!0});var oX=r(Xp);RT=n(oX,"XLMRobertaForTokenClassification"),oX.forEach(t),XT=n(uh," forward method, overrides the "),zu=a(uh,"CODE",{});var nX=r(zu);zT=n(nX,"__call__"),nX.forEach(t),CT=n(uh," special method."),uh.forEach(t),qT=h(Wa),w(zs.$$.fragment,Wa),jT=h(Wa),w(Cs.$$.fragment,Wa),Wa.forEach(t),tn.forEach(t),Vg=h(i),Mn=a(i,"H2",{class:!0});var ab=r(Mn);qs=a(ab,"A",{id:!0,class:!0,href:!0});var sX=r(qs);Cu=a(sX,"SPAN",{});var aX=r(Cu);w(el.$$.fragment,aX),aX.forEach(t),sX.forEach(t),AT=h(ab),qu=a(ab,"SPAN",{});var rX=r(qu);PT=n(rX,"XLMRobertaForQuestionAnswering"),rX.forEach(t),ab.forEach(t),Jg=h(i),Mt=a(i,"DIV",{class:!0});var on=r(Mt);w(tl.$$.fragment,on),NT=h(on),$n=a(on,"P",{});var mh=r($n);OT=n(mh,`XLM-RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),ju=a(mh,"CODE",{});var iX=r(ju);IT=n(iX,"span start logits"),iX.forEach(t),DT=n(mh," and "),Au=a(mh,"CODE",{});var lX=r(Au);ST=n(lX,"span end logits"),lX.forEach(t),WT=n(mh,")."),mh.forEach(t),BT=h(on),ol=a(on,"P",{});var rb=r(ol);UT=n(rb,"This model inherits from "),zp=a(rb,"A",{href:!0});var dX=r(zp);HT=n(dX,"PreTrainedModel"),dX.forEach(t),QT=n(rb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),rb.forEach(t),KT=h(on),nl=a(on,"P",{});var ib=r(nl);VT=n(ib,"This model is also a PyTorch "),sl=a(ib,"A",{href:!0,rel:!0});var cX=r(sl);JT=n(cX,"torch.nn.Module"),cX.forEach(t),GT=n(ib,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ib.forEach(t),YT=h(on),Gt=a(on,"DIV",{class:!0});var Ba=r(Gt);w(al.$$.fragment,Ba),ZT=h(Ba),Ln=a(Ba,"P",{});var fh=r(Ln);eM=n(fh,"The "),Cp=a(fh,"A",{href:!0});var pX=r(Cp);tM=n(pX,"XLMRobertaForQuestionAnswering"),pX.forEach(t),oM=n(fh," forward method, overrides the "),Pu=a(fh,"CODE",{});var hX=r(Pu);nM=n(hX,"__call__"),hX.forEach(t),sM=n(fh," special method."),fh.forEach(t),aM=h(Ba),w(js.$$.fragment,Ba),rM=h(Ba),w(As.$$.fragment,Ba),Ba.forEach(t),on.forEach(t),Gg=h(i),xn=a(i,"H2",{class:!0});var lb=r(xn);Ps=a(lb,"A",{id:!0,class:!0,href:!0});var uX=r(Ps);Nu=a(uX,"SPAN",{});var mX=r(Nu);w(rl.$$.fragment,mX),mX.forEach(t),uX.forEach(t),iM=h(lb),Ou=a(lb,"SPAN",{});var fX=r(Ou);lM=n(fX,"TFXLMRobertaModel"),fX.forEach(t),lb.forEach(t),Yg=h(i),dt=a(i,"DIV",{class:!0});var lo=r(dt);w(il.$$.fragment,lo),dM=h(lo),Iu=a(lo,"P",{});var gX=r(Iu);cM=n(gX,"The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),gX.forEach(t),pM=h(lo),ll=a(lo,"P",{});var db=r(ll);hM=n(db,"This model inherits from "),qp=a(db,"A",{href:!0});var _X=r(qp);uM=n(_X,"TFPreTrainedModel"),_X.forEach(t),mM=n(db,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),db.forEach(t),fM=h(lo),dl=a(lo,"P",{});var cb=r(dl);gM=n(cb,"This model is also a "),cl=a(cb,"A",{href:!0,rel:!0});var bX=r(cl);_M=n(bX,"tf.keras.Model"),bX.forEach(t),bM=n(cb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),cb.forEach(t),kM=h(lo),w(Ns.$$.fragment,lo),vM=h(lo),Yt=a(lo,"DIV",{class:!0});var Ua=r(Yt);w(pl.$$.fragment,Ua),yM=h(Ua),Fn=a(Ua,"P",{});var gh=r(Fn);wM=n(gh,"The "),jp=a(gh,"A",{href:!0});var kX=r(jp);TM=n(kX,"TFXLMRobertaModel"),kX.forEach(t),MM=n(gh," forward method, overrides the "),Du=a(gh,"CODE",{});var vX=r(Du);$M=n(vX,"__call__"),vX.forEach(t),LM=n(gh," special method."),gh.forEach(t),xM=h(Ua),w(Os.$$.fragment,Ua),FM=h(Ua),w(Is.$$.fragment,Ua),Ua.forEach(t),lo.forEach(t),Zg=h(i),En=a(i,"H2",{class:!0});var pb=r(En);Ds=a(pb,"A",{id:!0,class:!0,href:!0});var yX=r(Ds);Su=a(yX,"SPAN",{});var wX=r(Su);w(hl.$$.fragment,wX),wX.forEach(t),yX.forEach(t),EM=h(pb),Wu=a(pb,"SPAN",{});var TX=r(Wu);RM=n(TX,"TFXLMRobertaForCausalLM"),TX.forEach(t),pb.forEach(t),e_=h(i),ct=a(i,"DIV",{class:!0});var co=r(ct);w(ul.$$.fragment,co),XM=h(co),ml=a(co,"P",{});var hb=r(ml);zM=n(hb,"XLM-RoBERTa Model with a "),Bu=a(hb,"CODE",{});var MX=r(Bu);CM=n(MX,"language modeling"),MX.forEach(t),qM=n(hb," head on top for CLM fine-tuning."),hb.forEach(t),jM=h(co),fl=a(co,"P",{});var ub=r(fl);AM=n(ub,"This model inherits from "),Ap=a(ub,"A",{href:!0});var $X=r(Ap);PM=n($X,"TFPreTrainedModel"),$X.forEach(t),NM=n(ub,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ub.forEach(t),OM=h(co),gl=a(co,"P",{});var mb=r(gl);IM=n(mb,"This model is also a "),_l=a(mb,"A",{href:!0,rel:!0});var LX=r(_l);DM=n(LX,"tf.keras.Model"),LX.forEach(t),SM=n(mb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),mb.forEach(t),WM=h(co),w(Ss.$$.fragment,co),BM=h(co),Zt=a(co,"DIV",{class:!0});var Ha=r(Zt);w(bl.$$.fragment,Ha),UM=h(Ha),Rn=a(Ha,"P",{});var _h=r(Rn);HM=n(_h,"The "),Pp=a(_h,"A",{href:!0});var xX=r(Pp);QM=n(xX,"TFXLMRobertaForCausalLM"),xX.forEach(t),KM=n(_h," forward method, overrides the "),Uu=a(_h,"CODE",{});var FX=r(Uu);VM=n(FX,"__call__"),FX.forEach(t),JM=n(_h," special method."),_h.forEach(t),GM=h(Ha),w(Ws.$$.fragment,Ha),YM=h(Ha),w(Bs.$$.fragment,Ha),Ha.forEach(t),co.forEach(t),t_=h(i),Xn=a(i,"H2",{class:!0});var fb=r(Xn);Us=a(fb,"A",{id:!0,class:!0,href:!0});var EX=r(Us);Hu=a(EX,"SPAN",{});var RX=r(Hu);w(kl.$$.fragment,RX),RX.forEach(t),EX.forEach(t),ZM=h(fb),Qu=a(fb,"SPAN",{});var XX=r(Qu);e$=n(XX,"TFXLMRobertaForMaskedLM"),XX.forEach(t),fb.forEach(t),o_=h(i),pt=a(i,"DIV",{class:!0});var po=r(pt);w(vl.$$.fragment,po),t$=h(po),yl=a(po,"P",{});var gb=r(yl);o$=n(gb,"XLM RoBERTa Model with a "),Ku=a(gb,"CODE",{});var zX=r(Ku);n$=n(zX,"language modeling"),zX.forEach(t),s$=n(gb," head on top."),gb.forEach(t),a$=h(po),wl=a(po,"P",{});var _b=r(wl);r$=n(_b,"This model inherits from "),Np=a(_b,"A",{href:!0});var CX=r(Np);i$=n(CX,"TFPreTrainedModel"),CX.forEach(t),l$=n(_b,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),_b.forEach(t),d$=h(po),Tl=a(po,"P",{});var bb=r(Tl);c$=n(bb,"This model is also a "),Ml=a(bb,"A",{href:!0,rel:!0});var qX=r(Ml);p$=n(qX,"tf.keras.Model"),qX.forEach(t),h$=n(bb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),bb.forEach(t),u$=h(po),w(Hs.$$.fragment,po),m$=h(po),Rt=a(po,"DIV",{class:!0});var nn=r(Rt);w($l.$$.fragment,nn),f$=h(nn),zn=a(nn,"P",{});var bh=r(zn);g$=n(bh,"The "),Op=a(bh,"A",{href:!0});var jX=r(Op);_$=n(jX,"TFXLMRobertaForMaskedLM"),jX.forEach(t),b$=n(bh," forward method, overrides the "),Vu=a(bh,"CODE",{});var AX=r(Vu);k$=n(AX,"__call__"),AX.forEach(t),v$=n(bh," special method."),bh.forEach(t),y$=h(nn),w(Qs.$$.fragment,nn),w$=h(nn),w(Ks.$$.fragment,nn),T$=h(nn),w(Vs.$$.fragment,nn),nn.forEach(t),po.forEach(t),n_=h(i),Cn=a(i,"H2",{class:!0});var kb=r(Cn);Js=a(kb,"A",{id:!0,class:!0,href:!0});var PX=r(Js);Ju=a(PX,"SPAN",{});var NX=r(Ju);w(Ll.$$.fragment,NX),NX.forEach(t),PX.forEach(t),M$=h(kb),Gu=a(kb,"SPAN",{});var OX=r(Gu);$$=n(OX,"TFXLMRobertaForSequenceClassification"),OX.forEach(t),kb.forEach(t),s_=h(i),ht=a(i,"DIV",{class:!0});var ho=r(ht);w(xl.$$.fragment,ho),L$=h(ho),Yu=a(ho,"P",{});var IX=r(Yu);x$=n(IX,`XLM RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),IX.forEach(t),F$=h(ho),Fl=a(ho,"P",{});var vb=r(Fl);E$=n(vb,"This model inherits from "),Ip=a(vb,"A",{href:!0});var DX=r(Ip);R$=n(DX,"TFPreTrainedModel"),DX.forEach(t),X$=n(vb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),vb.forEach(t),z$=h(ho),El=a(ho,"P",{});var yb=r(El);C$=n(yb,"This model is also a "),Rl=a(yb,"A",{href:!0,rel:!0});var SX=r(Rl);q$=n(SX,"tf.keras.Model"),SX.forEach(t),j$=n(yb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),yb.forEach(t),A$=h(ho),w(Gs.$$.fragment,ho),P$=h(ho),Xt=a(ho,"DIV",{class:!0});var sn=r(Xt);w(Xl.$$.fragment,sn),N$=h(sn),qn=a(sn,"P",{});var kh=r(qn);O$=n(kh,"The "),Dp=a(kh,"A",{href:!0});var WX=r(Dp);I$=n(WX,"TFXLMRobertaForSequenceClassification"),WX.forEach(t),D$=n(kh," forward method, overrides the "),Zu=a(kh,"CODE",{});var BX=r(Zu);S$=n(BX,"__call__"),BX.forEach(t),W$=n(kh," special method."),kh.forEach(t),B$=h(sn),w(Ys.$$.fragment,sn),U$=h(sn),w(Zs.$$.fragment,sn),H$=h(sn),w(ea.$$.fragment,sn),sn.forEach(t),ho.forEach(t),a_=h(i),jn=a(i,"H2",{class:!0});var wb=r(jn);ta=a(wb,"A",{id:!0,class:!0,href:!0});var UX=r(ta);em=a(UX,"SPAN",{});var HX=r(em);w(zl.$$.fragment,HX),HX.forEach(t),UX.forEach(t),Q$=h(wb),tm=a(wb,"SPAN",{});var QX=r(tm);K$=n(QX,"TFXLMRobertaForMultipleChoice"),QX.forEach(t),wb.forEach(t),r_=h(i),ut=a(i,"DIV",{class:!0});var uo=r(ut);w(Cl.$$.fragment,uo),V$=h(uo),om=a(uo,"P",{});var KX=r(om);J$=n(KX,`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),KX.forEach(t),G$=h(uo),ql=a(uo,"P",{});var Tb=r(ql);Y$=n(Tb,"This model inherits from "),Sp=a(Tb,"A",{href:!0});var VX=r(Sp);Z$=n(VX,"TFPreTrainedModel"),VX.forEach(t),eL=n(Tb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Tb.forEach(t),tL=h(uo),jl=a(uo,"P",{});var Mb=r(jl);oL=n(Mb,"This model is also a "),Al=a(Mb,"A",{href:!0,rel:!0});var JX=r(Al);nL=n(JX,"tf.keras.Model"),JX.forEach(t),sL=n(Mb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Mb.forEach(t),aL=h(uo),w(oa.$$.fragment,uo),rL=h(uo),eo=a(uo,"DIV",{class:!0});var Qa=r(eo);w(Pl.$$.fragment,Qa),iL=h(Qa),An=a(Qa,"P",{});var vh=r(An);lL=n(vh,"The "),Wp=a(vh,"A",{href:!0});var GX=r(Wp);dL=n(GX,"TFXLMRobertaForMultipleChoice"),GX.forEach(t),cL=n(vh," forward method, overrides the "),nm=a(vh,"CODE",{});var YX=r(nm);pL=n(YX,"__call__"),YX.forEach(t),hL=n(vh," special method."),vh.forEach(t),uL=h(Qa),w(na.$$.fragment,Qa),mL=h(Qa),w(sa.$$.fragment,Qa),Qa.forEach(t),uo.forEach(t),i_=h(i),Pn=a(i,"H2",{class:!0});var $b=r(Pn);aa=a($b,"A",{id:!0,class:!0,href:!0});var ZX=r(aa);sm=a(ZX,"SPAN",{});var ez=r(sm);w(Nl.$$.fragment,ez),ez.forEach(t),ZX.forEach(t),fL=h($b),am=a($b,"SPAN",{});var tz=r(am);gL=n(tz,"TFXLMRobertaForTokenClassification"),tz.forEach(t),$b.forEach(t),l_=h(i),mt=a(i,"DIV",{class:!0});var mo=r(mt);w(Ol.$$.fragment,mo),_L=h(mo),rm=a(mo,"P",{});var oz=r(rm);bL=n(oz,`XLM RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),oz.forEach(t),kL=h(mo),Il=a(mo,"P",{});var Lb=r(Il);vL=n(Lb,"This model inherits from "),Bp=a(Lb,"A",{href:!0});var nz=r(Bp);yL=n(nz,"TFPreTrainedModel"),nz.forEach(t),wL=n(Lb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Lb.forEach(t),TL=h(mo),Dl=a(mo,"P",{});var xb=r(Dl);ML=n(xb,"This model is also a "),Sl=a(xb,"A",{href:!0,rel:!0});var sz=r(Sl);$L=n(sz,"tf.keras.Model"),sz.forEach(t),LL=n(xb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),xb.forEach(t),xL=h(mo),w(ra.$$.fragment,mo),FL=h(mo),zt=a(mo,"DIV",{class:!0});var an=r(zt);w(Wl.$$.fragment,an),EL=h(an),Nn=a(an,"P",{});var yh=r(Nn);RL=n(yh,"The "),Up=a(yh,"A",{href:!0});var az=r(Up);XL=n(az,"TFXLMRobertaForTokenClassification"),az.forEach(t),zL=n(yh," forward method, overrides the "),im=a(yh,"CODE",{});var rz=r(im);CL=n(rz,"__call__"),rz.forEach(t),qL=n(yh," special method."),yh.forEach(t),jL=h(an),w(ia.$$.fragment,an),AL=h(an),w(la.$$.fragment,an),PL=h(an),w(da.$$.fragment,an),an.forEach(t),mo.forEach(t),d_=h(i),On=a(i,"H2",{class:!0});var Fb=r(On);ca=a(Fb,"A",{id:!0,class:!0,href:!0});var iz=r(ca);lm=a(iz,"SPAN",{});var lz=r(lm);w(Bl.$$.fragment,lz),lz.forEach(t),iz.forEach(t),NL=h(Fb),dm=a(Fb,"SPAN",{});var dz=r(dm);OL=n(dz,"TFXLMRobertaForQuestionAnswering"),dz.forEach(t),Fb.forEach(t),c_=h(i),ft=a(i,"DIV",{class:!0});var fo=r(ft);w(Ul.$$.fragment,fo),IL=h(fo),In=a(fo,"P",{});var wh=r(In);DL=n(wh,`XLM RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),cm=a(wh,"CODE",{});var cz=r(cm);SL=n(cz,"span start logits"),cz.forEach(t),WL=n(wh," and "),pm=a(wh,"CODE",{});var pz=r(pm);BL=n(pz,"span end logits"),pz.forEach(t),UL=n(wh,")."),wh.forEach(t),HL=h(fo),Hl=a(fo,"P",{});var Eb=r(Hl);QL=n(Eb,"This model inherits from "),Hp=a(Eb,"A",{href:!0});var hz=r(Hp);KL=n(hz,"TFPreTrainedModel"),hz.forEach(t),VL=n(Eb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Eb.forEach(t),JL=h(fo),Ql=a(fo,"P",{});var Rb=r(Ql);GL=n(Rb,"This model is also a "),Kl=a(Rb,"A",{href:!0,rel:!0});var uz=r(Kl);YL=n(uz,"tf.keras.Model"),uz.forEach(t),ZL=n(Rb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Rb.forEach(t),ex=h(fo),w(pa.$$.fragment,fo),tx=h(fo),Ct=a(fo,"DIV",{class:!0});var rn=r(Ct);w(Vl.$$.fragment,rn),ox=h(rn),Dn=a(rn,"P",{});var Th=r(Dn);nx=n(Th,"The "),Qp=a(Th,"A",{href:!0});var mz=r(Qp);sx=n(mz,"TFXLMRobertaForQuestionAnswering"),mz.forEach(t),ax=n(Th," forward method, overrides the "),hm=a(Th,"CODE",{});var fz=r(hm);rx=n(fz,"__call__"),fz.forEach(t),ix=n(Th," special method."),Th.forEach(t),lx=h(rn),w(ha.$$.fragment,rn),dx=h(rn),w(ua.$$.fragment,rn),cx=h(rn),w(ma.$$.fragment,rn),rn.forEach(t),fo.forEach(t),p_=h(i),Sn=a(i,"H2",{class:!0});var Xb=r(Sn);fa=a(Xb,"A",{id:!0,class:!0,href:!0});var gz=r(fa);um=a(gz,"SPAN",{});var _z=r(um);w(Jl.$$.fragment,_z),_z.forEach(t),gz.forEach(t),px=h(Xb),mm=a(Xb,"SPAN",{});var bz=r(mm);hx=n(bz,"FlaxXLMRobertaModel"),bz.forEach(t),Xb.forEach(t),h_=h(i),tt=a(i,"DIV",{class:!0});var At=r(tt);w(Gl.$$.fragment,At),ux=h(At),fm=a(At,"P",{});var kz=r(fm);mx=n(kz,"The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),kz.forEach(t),fx=h(At),Yl=a(At,"P",{});var zb=r(Yl);gx=n(zb,"This model inherits from "),Kp=a(zb,"A",{href:!0});var vz=r(Kp);_x=n(vz,"FlaxPreTrainedModel"),vz.forEach(t),bx=n(zb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),zb.forEach(t),kx=h(At),Zl=a(At,"P",{});var Cb=r(Zl);vx=n(Cb,"This model is also a Flax Linen "),ed=a(Cb,"A",{href:!0,rel:!0});var yz=r(ed);yx=n(yz,"flax.linen.Module"),yz.forEach(t),wx=n(Cb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Cb.forEach(t),Tx=h(At),gm=a(At,"P",{});var wz=r(gm);Mx=n(wz,"Finally, this model supports inherent JAX features such as:"),wz.forEach(t),$x=h(At),bo=a(At,"UL",{});var Ka=r(bo);_m=a(Ka,"LI",{});var Tz=r(_m);td=a(Tz,"A",{href:!0,rel:!0});var Mz=r(td);Lx=n(Mz,"Just-In-Time (JIT) compilation"),Mz.forEach(t),Tz.forEach(t),xx=h(Ka),bm=a(Ka,"LI",{});var $z=r(bm);od=a($z,"A",{href:!0,rel:!0});var Lz=r(od);Fx=n(Lz,"Automatic Differentiation"),Lz.forEach(t),$z.forEach(t),Ex=h(Ka),km=a(Ka,"LI",{});var xz=r(km);nd=a(xz,"A",{href:!0,rel:!0});var Fz=r(nd);Rx=n(Fz,"Vectorization"),Fz.forEach(t),xz.forEach(t),Xx=h(Ka),vm=a(Ka,"LI",{});var Ez=r(vm);sd=a(Ez,"A",{href:!0,rel:!0});var Rz=r(sd);zx=n(Rz,"Parallelization"),Rz.forEach(t),Ez.forEach(t),Ka.forEach(t),Cx=h(At),to=a(At,"DIV",{class:!0});var Va=r(to);w(ad.$$.fragment,Va),qx=h(Va),Wn=a(Va,"P",{});var Mh=r(Wn);jx=n(Mh,"The "),ym=a(Mh,"CODE",{});var Xz=r(ym);Ax=n(Xz,"FlaxXLMRobertaPreTrainedModel"),Xz.forEach(t),Px=n(Mh," forward method, overrides the "),wm=a(Mh,"CODE",{});var zz=r(wm);Nx=n(zz,"__call__"),zz.forEach(t),Ox=n(Mh," special method."),Mh.forEach(t),Ix=h(Va),w(ga.$$.fragment,Va),Dx=h(Va),w(_a.$$.fragment,Va),Va.forEach(t),At.forEach(t),u_=h(i),Bn=a(i,"H2",{class:!0});var qb=r(Bn);ba=a(qb,"A",{id:!0,class:!0,href:!0});var Cz=r(ba);Tm=a(Cz,"SPAN",{});var qz=r(Tm);w(rd.$$.fragment,qz),qz.forEach(t),Cz.forEach(t),Sx=h(qb),Mm=a(qb,"SPAN",{});var jz=r(Mm);Wx=n(jz,"FlaxXLMRobertaForCausalLM"),jz.forEach(t),qb.forEach(t),m_=h(i),ot=a(i,"DIV",{class:!0});var Pt=r(ot);w(id.$$.fragment,Pt),Bx=h(Pt),$m=a(Pt,"P",{});var Az=r($m);Ux=n(Az,`XLM Roberta Model with a language modeling head on top (a linear layer on top of the hidden-states output) e.g for
autoregressive tasks.`),Az.forEach(t),Hx=h(Pt),ld=a(Pt,"P",{});var jb=r(ld);Qx=n(jb,"This model inherits from "),Vp=a(jb,"A",{href:!0});var Pz=r(Vp);Kx=n(Pz,"FlaxPreTrainedModel"),Pz.forEach(t),Vx=n(jb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),jb.forEach(t),Jx=h(Pt),dd=a(Pt,"P",{});var Ab=r(dd);Gx=n(Ab,"This model is also a Flax Linen "),cd=a(Ab,"A",{href:!0,rel:!0});var Nz=r(cd);Yx=n(Nz,"flax.linen.Module"),Nz.forEach(t),Zx=n(Ab,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Ab.forEach(t),eF=h(Pt),Lm=a(Pt,"P",{});var Oz=r(Lm);tF=n(Oz,"Finally, this model supports inherent JAX features such as:"),Oz.forEach(t),oF=h(Pt),ko=a(Pt,"UL",{});var Ja=r(ko);xm=a(Ja,"LI",{});var Iz=r(xm);pd=a(Iz,"A",{href:!0,rel:!0});var Dz=r(pd);nF=n(Dz,"Just-In-Time (JIT) compilation"),Dz.forEach(t),Iz.forEach(t),sF=h(Ja),Fm=a(Ja,"LI",{});var Sz=r(Fm);hd=a(Sz,"A",{href:!0,rel:!0});var Wz=r(hd);aF=n(Wz,"Automatic Differentiation"),Wz.forEach(t),Sz.forEach(t),rF=h(Ja),Em=a(Ja,"LI",{});var Bz=r(Em);ud=a(Bz,"A",{href:!0,rel:!0});var Uz=r(ud);iF=n(Uz,"Vectorization"),Uz.forEach(t),Bz.forEach(t),lF=h(Ja),Rm=a(Ja,"LI",{});var Hz=r(Rm);md=a(Hz,"A",{href:!0,rel:!0});var Qz=r(md);dF=n(Qz,"Parallelization"),Qz.forEach(t),Hz.forEach(t),Ja.forEach(t),cF=h(Pt),oo=a(Pt,"DIV",{class:!0});var Ga=r(oo);w(fd.$$.fragment,Ga),pF=h(Ga),Un=a(Ga,"P",{});var $h=r(Un);hF=n($h,"The "),Xm=a($h,"CODE",{});var Kz=r(Xm);uF=n(Kz,"FlaxXLMRobertaPreTrainedModel"),Kz.forEach(t),mF=n($h," forward method, overrides the "),zm=a($h,"CODE",{});var Vz=r(zm);fF=n(Vz,"__call__"),Vz.forEach(t),gF=n($h," special method."),$h.forEach(t),_F=h(Ga),w(ka.$$.fragment,Ga),bF=h(Ga),w(va.$$.fragment,Ga),Ga.forEach(t),Pt.forEach(t),f_=h(i),Hn=a(i,"H2",{class:!0});var Pb=r(Hn);ya=a(Pb,"A",{id:!0,class:!0,href:!0});var Jz=r(ya);Cm=a(Jz,"SPAN",{});var Gz=r(Cm);w(gd.$$.fragment,Gz),Gz.forEach(t),Jz.forEach(t),kF=h(Pb),qm=a(Pb,"SPAN",{});var Yz=r(qm);vF=n(Yz,"FlaxXLMRobertaForMaskedLM"),Yz.forEach(t),Pb.forEach(t),g_=h(i),nt=a(i,"DIV",{class:!0});var Nt=r(nt);w(_d.$$.fragment,Nt),yF=h(Nt),bd=a(Nt,"P",{});var Nb=r(bd);wF=n(Nb,"XLM RoBERTa Model with a "),jm=a(Nb,"CODE",{});var Zz=r(jm);TF=n(Zz,"language modeling"),Zz.forEach(t),MF=n(Nb," head on top."),Nb.forEach(t),$F=h(Nt),kd=a(Nt,"P",{});var Ob=r(kd);LF=n(Ob,"This model inherits from "),Jp=a(Ob,"A",{href:!0});var e7=r(Jp);xF=n(e7,"FlaxPreTrainedModel"),e7.forEach(t),FF=n(Ob,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Ob.forEach(t),EF=h(Nt),vd=a(Nt,"P",{});var Ib=r(vd);RF=n(Ib,"This model is also a Flax Linen "),yd=a(Ib,"A",{href:!0,rel:!0});var t7=r(yd);XF=n(t7,"flax.linen.Module"),t7.forEach(t),zF=n(Ib,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Ib.forEach(t),CF=h(Nt),Am=a(Nt,"P",{});var o7=r(Am);qF=n(o7,"Finally, this model supports inherent JAX features such as:"),o7.forEach(t),jF=h(Nt),vo=a(Nt,"UL",{});var Ya=r(vo);Pm=a(Ya,"LI",{});var n7=r(Pm);wd=a(n7,"A",{href:!0,rel:!0});var s7=r(wd);AF=n(s7,"Just-In-Time (JIT) compilation"),s7.forEach(t),n7.forEach(t),PF=h(Ya),Nm=a(Ya,"LI",{});var a7=r(Nm);Td=a(a7,"A",{href:!0,rel:!0});var r7=r(Td);NF=n(r7,"Automatic Differentiation"),r7.forEach(t),a7.forEach(t),OF=h(Ya),Om=a(Ya,"LI",{});var i7=r(Om);Md=a(i7,"A",{href:!0,rel:!0});var l7=r(Md);IF=n(l7,"Vectorization"),l7.forEach(t),i7.forEach(t),DF=h(Ya),Im=a(Ya,"LI",{});var d7=r(Im);$d=a(d7,"A",{href:!0,rel:!0});var c7=r($d);SF=n(c7,"Parallelization"),c7.forEach(t),d7.forEach(t),Ya.forEach(t),WF=h(Nt),no=a(Nt,"DIV",{class:!0});var Za=r(no);w(Ld.$$.fragment,Za),BF=h(Za),Qn=a(Za,"P",{});var Lh=r(Qn);UF=n(Lh,"The "),Dm=a(Lh,"CODE",{});var p7=r(Dm);HF=n(p7,"FlaxXLMRobertaPreTrainedModel"),p7.forEach(t),QF=n(Lh," forward method, overrides the "),Sm=a(Lh,"CODE",{});var h7=r(Sm);KF=n(h7,"__call__"),h7.forEach(t),VF=n(Lh," special method."),Lh.forEach(t),JF=h(Za),w(wa.$$.fragment,Za),GF=h(Za),w(Ta.$$.fragment,Za),Za.forEach(t),Nt.forEach(t),__=h(i),Kn=a(i,"H2",{class:!0});var Db=r(Kn);Ma=a(Db,"A",{id:!0,class:!0,href:!0});var u7=r(Ma);Wm=a(u7,"SPAN",{});var m7=r(Wm);w(xd.$$.fragment,m7),m7.forEach(t),u7.forEach(t),YF=h(Db),Bm=a(Db,"SPAN",{});var f7=r(Bm);ZF=n(f7,"FlaxXLMRobertaForSequenceClassification"),f7.forEach(t),Db.forEach(t),b_=h(i),st=a(i,"DIV",{class:!0});var Ot=r(st);w(Fd.$$.fragment,Ot),e0=h(Ot),Um=a(Ot,"P",{});var g7=r(Um);t0=n(g7,`XLM Roberta Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),g7.forEach(t),o0=h(Ot),Ed=a(Ot,"P",{});var Sb=r(Ed);n0=n(Sb,"This model inherits from "),Gp=a(Sb,"A",{href:!0});var _7=r(Gp);s0=n(_7,"FlaxPreTrainedModel"),_7.forEach(t),a0=n(Sb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Sb.forEach(t),r0=h(Ot),Rd=a(Ot,"P",{});var Wb=r(Rd);i0=n(Wb,"This model is also a Flax Linen "),Xd=a(Wb,"A",{href:!0,rel:!0});var b7=r(Xd);l0=n(b7,"flax.linen.Module"),b7.forEach(t),d0=n(Wb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Wb.forEach(t),c0=h(Ot),Hm=a(Ot,"P",{});var k7=r(Hm);p0=n(k7,"Finally, this model supports inherent JAX features such as:"),k7.forEach(t),h0=h(Ot),yo=a(Ot,"UL",{});var er=r(yo);Qm=a(er,"LI",{});var v7=r(Qm);zd=a(v7,"A",{href:!0,rel:!0});var y7=r(zd);u0=n(y7,"Just-In-Time (JIT) compilation"),y7.forEach(t),v7.forEach(t),m0=h(er),Km=a(er,"LI",{});var w7=r(Km);Cd=a(w7,"A",{href:!0,rel:!0});var T7=r(Cd);f0=n(T7,"Automatic Differentiation"),T7.forEach(t),w7.forEach(t),g0=h(er),Vm=a(er,"LI",{});var M7=r(Vm);qd=a(M7,"A",{href:!0,rel:!0});var $7=r(qd);_0=n($7,"Vectorization"),$7.forEach(t),M7.forEach(t),b0=h(er),Jm=a(er,"LI",{});var L7=r(Jm);jd=a(L7,"A",{href:!0,rel:!0});var x7=r(jd);k0=n(x7,"Parallelization"),x7.forEach(t),L7.forEach(t),er.forEach(t),v0=h(Ot),so=a(Ot,"DIV",{class:!0});var tr=r(so);w(Ad.$$.fragment,tr),y0=h(tr),Vn=a(tr,"P",{});var xh=r(Vn);w0=n(xh,"The "),Gm=a(xh,"CODE",{});var F7=r(Gm);T0=n(F7,"FlaxXLMRobertaPreTrainedModel"),F7.forEach(t),M0=n(xh," forward method, overrides the "),Ym=a(xh,"CODE",{});var E7=r(Ym);$0=n(E7,"__call__"),E7.forEach(t),L0=n(xh," special method."),xh.forEach(t),x0=h(tr),w($a.$$.fragment,tr),F0=h(tr),w(La.$$.fragment,tr),tr.forEach(t),Ot.forEach(t),k_=h(i),Jn=a(i,"H2",{class:!0});var Bb=r(Jn);xa=a(Bb,"A",{id:!0,class:!0,href:!0});var R7=r(xa);Zm=a(R7,"SPAN",{});var X7=r(Zm);w(Pd.$$.fragment,X7),X7.forEach(t),R7.forEach(t),E0=h(Bb),ef=a(Bb,"SPAN",{});var z7=r(ef);R0=n(z7,"FlaxXLMRobertaForMultipleChoice"),z7.forEach(t),Bb.forEach(t),v_=h(i),at=a(i,"DIV",{class:!0});var It=r(at);w(Nd.$$.fragment,It),X0=h(It),tf=a(It,"P",{});var C7=r(tf);z0=n(C7,`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),C7.forEach(t),C0=h(It),Od=a(It,"P",{});var Ub=r(Od);q0=n(Ub,"This model inherits from "),Yp=a(Ub,"A",{href:!0});var q7=r(Yp);j0=n(q7,"FlaxPreTrainedModel"),q7.forEach(t),A0=n(Ub,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Ub.forEach(t),P0=h(It),Id=a(It,"P",{});var Hb=r(Id);N0=n(Hb,"This model is also a Flax Linen "),Dd=a(Hb,"A",{href:!0,rel:!0});var j7=r(Dd);O0=n(j7,"flax.linen.Module"),j7.forEach(t),I0=n(Hb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Hb.forEach(t),D0=h(It),of=a(It,"P",{});var A7=r(of);S0=n(A7,"Finally, this model supports inherent JAX features such as:"),A7.forEach(t),W0=h(It),wo=a(It,"UL",{});var or=r(wo);nf=a(or,"LI",{});var P7=r(nf);Sd=a(P7,"A",{href:!0,rel:!0});var N7=r(Sd);B0=n(N7,"Just-In-Time (JIT) compilation"),N7.forEach(t),P7.forEach(t),U0=h(or),sf=a(or,"LI",{});var O7=r(sf);Wd=a(O7,"A",{href:!0,rel:!0});var I7=r(Wd);H0=n(I7,"Automatic Differentiation"),I7.forEach(t),O7.forEach(t),Q0=h(or),af=a(or,"LI",{});var D7=r(af);Bd=a(D7,"A",{href:!0,rel:!0});var S7=r(Bd);K0=n(S7,"Vectorization"),S7.forEach(t),D7.forEach(t),V0=h(or),rf=a(or,"LI",{});var W7=r(rf);Ud=a(W7,"A",{href:!0,rel:!0});var B7=r(Ud);J0=n(B7,"Parallelization"),B7.forEach(t),W7.forEach(t),or.forEach(t),G0=h(It),ao=a(It,"DIV",{class:!0});var nr=r(ao);w(Hd.$$.fragment,nr),Y0=h(nr),Gn=a(nr,"P",{});var Fh=r(Gn);Z0=n(Fh,"The "),lf=a(Fh,"CODE",{});var U7=r(lf);eE=n(U7,"FlaxXLMRobertaPreTrainedModel"),U7.forEach(t),tE=n(Fh," forward method, overrides the "),df=a(Fh,"CODE",{});var H7=r(df);oE=n(H7,"__call__"),H7.forEach(t),nE=n(Fh," special method."),Fh.forEach(t),sE=h(nr),w(Fa.$$.fragment,nr),aE=h(nr),w(Ea.$$.fragment,nr),nr.forEach(t),It.forEach(t),y_=h(i),Yn=a(i,"H2",{class:!0});var Qb=r(Yn);Ra=a(Qb,"A",{id:!0,class:!0,href:!0});var Q7=r(Ra);cf=a(Q7,"SPAN",{});var K7=r(cf);w(Qd.$$.fragment,K7),K7.forEach(t),Q7.forEach(t),rE=h(Qb),pf=a(Qb,"SPAN",{});var V7=r(pf);iE=n(V7,"FlaxXLMRobertaForTokenClassification"),V7.forEach(t),Qb.forEach(t),w_=h(i),rt=a(i,"DIV",{class:!0});var Dt=r(rt);w(Kd.$$.fragment,Dt),lE=h(Dt),hf=a(Dt,"P",{});var J7=r(hf);dE=n(J7,`XLM Roberta Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),J7.forEach(t),cE=h(Dt),Vd=a(Dt,"P",{});var Kb=r(Vd);pE=n(Kb,"This model inherits from "),Zp=a(Kb,"A",{href:!0});var G7=r(Zp);hE=n(G7,"FlaxPreTrainedModel"),G7.forEach(t),uE=n(Kb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Kb.forEach(t),mE=h(Dt),Jd=a(Dt,"P",{});var Vb=r(Jd);fE=n(Vb,"This model is also a Flax Linen "),Gd=a(Vb,"A",{href:!0,rel:!0});var Y7=r(Gd);gE=n(Y7,"flax.linen.Module"),Y7.forEach(t),_E=n(Vb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Vb.forEach(t),bE=h(Dt),uf=a(Dt,"P",{});var Z7=r(uf);kE=n(Z7,"Finally, this model supports inherent JAX features such as:"),Z7.forEach(t),vE=h(Dt),To=a(Dt,"UL",{});var sr=r(To);mf=a(sr,"LI",{});var eC=r(mf);Yd=a(eC,"A",{href:!0,rel:!0});var tC=r(Yd);yE=n(tC,"Just-In-Time (JIT) compilation"),tC.forEach(t),eC.forEach(t),wE=h(sr),ff=a(sr,"LI",{});var oC=r(ff);Zd=a(oC,"A",{href:!0,rel:!0});var nC=r(Zd);TE=n(nC,"Automatic Differentiation"),nC.forEach(t),oC.forEach(t),ME=h(sr),gf=a(sr,"LI",{});var sC=r(gf);ec=a(sC,"A",{href:!0,rel:!0});var aC=r(ec);$E=n(aC,"Vectorization"),aC.forEach(t),sC.forEach(t),LE=h(sr),_f=a(sr,"LI",{});var rC=r(_f);tc=a(rC,"A",{href:!0,rel:!0});var iC=r(tc);xE=n(iC,"Parallelization"),iC.forEach(t),rC.forEach(t),sr.forEach(t),FE=h(Dt),ro=a(Dt,"DIV",{class:!0});var ar=r(ro);w(oc.$$.fragment,ar),EE=h(ar),Zn=a(ar,"P",{});var Eh=r(Zn);RE=n(Eh,"The "),bf=a(Eh,"CODE",{});var lC=r(bf);XE=n(lC,"FlaxXLMRobertaPreTrainedModel"),lC.forEach(t),zE=n(Eh," forward method, overrides the "),kf=a(Eh,"CODE",{});var dC=r(kf);CE=n(dC,"__call__"),dC.forEach(t),qE=n(Eh," special method."),Eh.forEach(t),jE=h(ar),w(Xa.$$.fragment,ar),AE=h(ar),w(za.$$.fragment,ar),ar.forEach(t),Dt.forEach(t),T_=h(i),es=a(i,"H2",{class:!0});var Jb=r(es);Ca=a(Jb,"A",{id:!0,class:!0,href:!0});var cC=r(Ca);vf=a(cC,"SPAN",{});var pC=r(vf);w(nc.$$.fragment,pC),pC.forEach(t),cC.forEach(t),PE=h(Jb),yf=a(Jb,"SPAN",{});var hC=r(yf);NE=n(hC,"FlaxXLMRobertaForQuestionAnswering"),hC.forEach(t),Jb.forEach(t),M_=h(i),it=a(i,"DIV",{class:!0});var St=r(it);w(sc.$$.fragment,St),OE=h(St),ts=a(St,"P",{});var Rh=r(ts);IE=n(Rh,`XLM Roberta Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),wf=a(Rh,"CODE",{});var uC=r(wf);DE=n(uC,"span start logits"),uC.forEach(t),SE=n(Rh," and "),Tf=a(Rh,"CODE",{});var mC=r(Tf);WE=n(mC,"span end logits"),mC.forEach(t),BE=n(Rh,")."),Rh.forEach(t),UE=h(St),ac=a(St,"P",{});var Gb=r(ac);HE=n(Gb,"This model inherits from "),eh=a(Gb,"A",{href:!0});var fC=r(eh);QE=n(fC,"FlaxPreTrainedModel"),fC.forEach(t),KE=n(Gb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Gb.forEach(t),VE=h(St),rc=a(St,"P",{});var Yb=r(rc);JE=n(Yb,"This model is also a Flax Linen "),ic=a(Yb,"A",{href:!0,rel:!0});var gC=r(ic);GE=n(gC,"flax.linen.Module"),gC.forEach(t),YE=n(Yb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Yb.forEach(t),ZE=h(St),Mf=a(St,"P",{});var _C=r(Mf);e3=n(_C,"Finally, this model supports inherent JAX features such as:"),_C.forEach(t),t3=h(St),Mo=a(St,"UL",{});var rr=r(Mo);$f=a(rr,"LI",{});var bC=r($f);lc=a(bC,"A",{href:!0,rel:!0});var kC=r(lc);o3=n(kC,"Just-In-Time (JIT) compilation"),kC.forEach(t),bC.forEach(t),n3=h(rr),Lf=a(rr,"LI",{});var vC=r(Lf);dc=a(vC,"A",{href:!0,rel:!0});var yC=r(dc);s3=n(yC,"Automatic Differentiation"),yC.forEach(t),vC.forEach(t),a3=h(rr),xf=a(rr,"LI",{});var wC=r(xf);cc=a(wC,"A",{href:!0,rel:!0});var TC=r(cc);r3=n(TC,"Vectorization"),TC.forEach(t),wC.forEach(t),i3=h(rr),Ff=a(rr,"LI",{});var MC=r(Ff);pc=a(MC,"A",{href:!0,rel:!0});var $C=r(pc);l3=n($C,"Parallelization"),$C.forEach(t),MC.forEach(t),rr.forEach(t),d3=h(St),io=a(St,"DIV",{class:!0});var ir=r(io);w(hc.$$.fragment,ir),c3=h(ir),os=a(ir,"P",{});var Xh=r(os);p3=n(Xh,"The "),Ef=a(Xh,"CODE",{});var LC=r(Ef);h3=n(LC,"FlaxXLMRobertaPreTrainedModel"),LC.forEach(t),u3=n(Xh," forward method, overrides the "),Rf=a(Xh,"CODE",{});var xC=r(Rf);m3=n(xC,"__call__"),xC.forEach(t),f3=n(Xh," special method."),Xh.forEach(t),g3=h(ir),w(qa.$$.fragment,ir),_3=h(ir),w(ja.$$.fragment,ir),ir.forEach(t),St.forEach(t),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(Aq)),c(f,"id","xlmroberta"),c(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(f,"href","#xlmroberta"),c(m,"class","relative group"),c(te,"alt","Models"),FC(te.src,x="https://img.shields.io/badge/All_model_pages-xlm--roberta-blueviolet")||c(te,"src",x),c(ce,"href","https://huggingface.co/models?filter=xlm-roberta"),c(pe,"alt","Spaces"),FC(pe.src,Ce="https://img.shields.io/badge/%F0%9F%A4%97%20Hugging%20Face-Spaces-blue")||c(pe,"src",Ce),c(W,"href","https://huggingface.co/spaces/docs-demos/xlm-roberta-base"),c(O,"class","flex flex-wrap space-x-1"),c(re,"id","overview"),c(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(re,"href","#overview"),c(ae,"class","relative group"),c(le,"href","https://arxiv.org/abs/1911.02116"),c(le,"rel","nofollow"),c(A,"href","roberta"),c(Z,"href","https://huggingface.co/stefan-it"),c(Z,"rel","nofollow"),c(X,"href","https://github.com/pytorch/fairseq/tree/master/examples/xlmr"),c(X,"rel","nofollow"),c(je,"id","resources"),c(je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(je,"href","#resources"),c(qe,"class","relative group"),c(lr,"href","https://www.philschmid.de/habana-distributed-training"),c(lr,"rel","nofollow"),c(Rc,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaForSequenceClassification"),c(dr,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/text-classification"),c(dr,"rel","nofollow"),c(cr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/text_classification.ipynb"),c(cr,"rel","nofollow"),c(Xc,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForSequenceClassification"),c(pr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/text-classification"),c(pr,"rel","nofollow"),c(hr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/text_classification-tf.ipynb"),c(hr,"rel","nofollow"),c(zc,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForSequenceClassification"),c(ur,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/text-classification"),c(ur,"rel","nofollow"),c(mr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/text_classification_flax.ipynb"),c(mr,"rel","nofollow"),c(fr,"href","https://huggingface.co/docs/transformers/tasks/sequence_classification"),c(fr,"rel","nofollow"),c(qc,"href","../tasks/sequence_classification"),c(jc,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaForTokenClassification"),c(_r,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/token-classification"),c(_r,"rel","nofollow"),c(br,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/token_classification.ipynb"),c(br,"rel","nofollow"),c(Ac,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForTokenClassification"),c(kr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/token-classification"),c(kr,"rel","nofollow"),c(vr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/token_classification-tf.ipynb"),c(vr,"rel","nofollow"),c(Pc,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForTokenClassification"),c(yr,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/token-classification"),c(yr,"rel","nofollow"),c(wr,"href","https://huggingface.co/course/chapter7/2?fw=pt"),c(wr,"rel","nofollow"),c(Oc,"href","../tasks/token_classification"),c(Ic,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaForCausalLM"),c(Mr,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/language-modeling"),c(Mr,"rel","nofollow"),c($r,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/language_modeling.ipynb"),c($r,"rel","nofollow"),c(Lr,"href","https://huggingface.co/docs/transformers/tasks/language_modeling"),c(Lr,"rel","nofollow"),c(Sc,"href","../tasks/language_modeling"),c(Wc,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaForMaskedLM"),c(Fr,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/language-modeling#robertabertdistilbert-and-masked-language-modeling"),c(Fr,"rel","nofollow"),c(Er,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/language_modeling.ipynb"),c(Er,"rel","nofollow"),c(Bc,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMaskedLM"),c(Rr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/language-modeling#run_mlmpy"),c(Rr,"rel","nofollow"),c(Xr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/language_modeling-tf.ipynb"),c(Xr,"rel","nofollow"),c(Uc,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForMaskedLM"),c(zr,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/language-modeling#masked-language-modeling"),c(zr,"rel","nofollow"),c(Cr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/masked_language_modeling_flax.ipynb"),c(Cr,"rel","nofollow"),c(qr,"href","https://huggingface.co/course/chapter7/3?fw=pt"),c(qr,"rel","nofollow"),c(Qc,"href","../tasks/masked_language_modeling"),c(Kc,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaForQuestionAnswering"),c(Ar,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/question-answering"),c(Ar,"rel","nofollow"),c(Pr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/question_answering.ipynb"),c(Pr,"rel","nofollow"),c(Vc,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForQuestionAnswering"),c(Nr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/question-answering"),c(Nr,"rel","nofollow"),c(Or,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/question_answering-tf.ipynb"),c(Or,"rel","nofollow"),c(Jc,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForQuestionAnswering"),c(Ir,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/question-answering"),c(Ir,"rel","nofollow"),c(Dr,"href","https://huggingface.co/course/chapter7/7?fw=pt"),c(Dr,"rel","nofollow"),c(Yc,"href","../tasks/question_answering"),c(ep,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaForMultipleChoice"),c(Sr,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/multiple-choice"),c(Sr,"rel","nofollow"),c(Wr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/multiple_choice.ipynb"),c(Wr,"rel","nofollow"),c(tp,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMultipleChoice"),c(Br,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/multiple-choice"),c(Br,"rel","nofollow"),c(Ur,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/multiple_choice-tf.ipynb"),c(Ur,"rel","nofollow"),c(op,"href","../tasks/multiple_choice"),c(Qr,"href","https://www.philschmid.de/multilingual-serverless-xlm-roberta-with-huggingface"),c(Qr,"rel","nofollow"),c(is,"id","transformers.XLMRobertaConfig"),c(is,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(is,"href","#transformers.XLMRobertaConfig"),c(ln,"class","relative group"),c(ap,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaModel"),c(rp,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel"),c(Jr,"href","https://huggingface.co/xlm-roberta-base"),c(Jr,"rel","nofollow"),c(ip,"href","/docs/transformers/pr_22317/en/main_classes/configuration#transformers.PretrainedConfig"),c(lp,"href","/docs/transformers/pr_22317/en/main_classes/configuration#transformers.PretrainedConfig"),c(Wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ds,"id","transformers.XLMRobertaTokenizer"),c(ds,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ds,"href","#transformers.XLMRobertaTokenizer"),c(cn,"class","relative group"),c(dp,"href","/docs/transformers/pr_22317/en/model_doc/roberta#transformers.RobertaTokenizer"),c(cp,"href","/docs/transformers/pr_22317/en/model_doc/xlnet#transformers.XLNetTokenizer"),c(Zr,"href","https://github.com/google/sentencepiece"),c(Zr,"rel","nofollow"),c(pp,"href","/docs/transformers/pr_22317/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),c(Io,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(cs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ps,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(mp,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(hs,"id","transformers.XLMRobertaTokenizerFast"),c(hs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(hs,"href","#transformers.XLMRobertaTokenizerFast"),c(pn,"class","relative group"),c(fp,"href","/docs/transformers/pr_22317/en/model_doc/roberta#transformers.RobertaTokenizer"),c(gp,"href","/docs/transformers/pr_22317/en/model_doc/xlnet#transformers.XLNetTokenizer"),c(di,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=BPE#models"),c(di,"rel","nofollow"),c(_p,"href","/docs/transformers/pr_22317/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),c(Do,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(us,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ms,"id","transformers.XLMRobertaModel"),c(ms,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ms,"href","#transformers.XLMRobertaModel"),c(hn,"class","relative group"),c(vp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel"),c(bi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(bi,"rel","nofollow"),c(vi,"href","https://arxiv.org/abs/1706.03762"),c(vi,"rel","nofollow"),c(yp,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaModel"),c(Ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(bs,"id","transformers.XLMRobertaForCausalLM"),c(bs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(bs,"href","#transformers.XLMRobertaForCausalLM"),c(mn,"class","relative group"),c(wp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel"),c(xi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(xi,"rel","nofollow"),c(Tp,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaForCausalLM"),c(Qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ys,"id","transformers.XLMRobertaForMaskedLM"),c(ys,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ys,"href","#transformers.XLMRobertaForMaskedLM"),c(gn,"class","relative group"),c(Mp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel"),c(qi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(qi,"rel","nofollow"),c($p,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaForMaskedLM"),c(Kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ms,"id","transformers.XLMRobertaForSequenceClassification"),c(Ms,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ms,"href","#transformers.XLMRobertaForSequenceClassification"),c(bn,"class","relative group"),c(Lp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel"),c(Ii,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Ii,"rel","nofollow"),c(xp,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaForSequenceClassification"),c(Et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Fs,"id","transformers.XLMRobertaForMultipleChoice"),c(Fs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Fs,"href","#transformers.XLMRobertaForMultipleChoice"),c(vn,"class","relative group"),c(Fp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel"),c(Hi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Hi,"rel","nofollow"),c(Ep,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaForMultipleChoice"),c(Vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Xs,"id","transformers.XLMRobertaForTokenClassification"),c(Xs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Xs,"href","#transformers.XLMRobertaForTokenClassification"),c(wn,"class","relative group"),c(Rp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel"),c(Yi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Yi,"rel","nofollow"),c(Xp,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaForTokenClassification"),c(Jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(qs,"id","transformers.XLMRobertaForQuestionAnswering"),c(qs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(qs,"href","#transformers.XLMRobertaForQuestionAnswering"),c(Mn,"class","relative group"),c(zp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.PreTrainedModel"),c(sl,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(sl,"rel","nofollow"),c(Cp,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.XLMRobertaForQuestionAnswering"),c(Gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ps,"id","transformers.TFXLMRobertaModel"),c(Ps,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ps,"href","#transformers.TFXLMRobertaModel"),c(xn,"class","relative group"),c(qp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.TFPreTrainedModel"),c(cl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(cl,"rel","nofollow"),c(jp,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel"),c(Yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ds,"id","transformers.TFXLMRobertaForCausalLM"),c(Ds,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ds,"href","#transformers.TFXLMRobertaForCausalLM"),c(En,"class","relative group"),c(Ap,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.TFPreTrainedModel"),c(_l,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(_l,"rel","nofollow"),c(Pp,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForCausalLM"),c(Zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Us,"id","transformers.TFXLMRobertaForMaskedLM"),c(Us,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Us,"href","#transformers.TFXLMRobertaForMaskedLM"),c(Xn,"class","relative group"),c(Np,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.TFPreTrainedModel"),c(Ml,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Ml,"rel","nofollow"),c(Op,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMaskedLM"),c(Rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Js,"id","transformers.TFXLMRobertaForSequenceClassification"),c(Js,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Js,"href","#transformers.TFXLMRobertaForSequenceClassification"),c(Cn,"class","relative group"),c(Ip,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.TFPreTrainedModel"),c(Rl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Rl,"rel","nofollow"),c(Dp,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForSequenceClassification"),c(Xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ta,"id","transformers.TFXLMRobertaForMultipleChoice"),c(ta,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ta,"href","#transformers.TFXLMRobertaForMultipleChoice"),c(jn,"class","relative group"),c(Sp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.TFPreTrainedModel"),c(Al,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Al,"rel","nofollow"),c(Wp,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMultipleChoice"),c(eo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(aa,"id","transformers.TFXLMRobertaForTokenClassification"),c(aa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(aa,"href","#transformers.TFXLMRobertaForTokenClassification"),c(Pn,"class","relative group"),c(Bp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.TFPreTrainedModel"),c(Sl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Sl,"rel","nofollow"),c(Up,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForTokenClassification"),c(zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ca,"id","transformers.TFXLMRobertaForQuestionAnswering"),c(ca,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ca,"href","#transformers.TFXLMRobertaForQuestionAnswering"),c(On,"class","relative group"),c(Hp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.TFPreTrainedModel"),c(Kl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Kl,"rel","nofollow"),c(Qp,"href","/docs/transformers/pr_22317/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForQuestionAnswering"),c(Ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(fa,"id","transformers.FlaxXLMRobertaModel"),c(fa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(fa,"href","#transformers.FlaxXLMRobertaModel"),c(Sn,"class","relative group"),c(Kp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(ed,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(ed,"rel","nofollow"),c(td,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(td,"rel","nofollow"),c(od,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(od,"rel","nofollow"),c(nd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(nd,"rel","nofollow"),c(sd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(sd,"rel","nofollow"),c(to,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ba,"id","transformers.FlaxXLMRobertaForCausalLM"),c(ba,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ba,"href","#transformers.FlaxXLMRobertaForCausalLM"),c(Bn,"class","relative group"),c(Vp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(cd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(cd,"rel","nofollow"),c(pd,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(pd,"rel","nofollow"),c(hd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(hd,"rel","nofollow"),c(ud,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(ud,"rel","nofollow"),c(md,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(md,"rel","nofollow"),c(oo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ya,"id","transformers.FlaxXLMRobertaForMaskedLM"),c(ya,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ya,"href","#transformers.FlaxXLMRobertaForMaskedLM"),c(Hn,"class","relative group"),c(Jp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(yd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(yd,"rel","nofollow"),c(wd,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(wd,"rel","nofollow"),c(Td,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Td,"rel","nofollow"),c(Md,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(Md,"rel","nofollow"),c($d,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c($d,"rel","nofollow"),c(no,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ma,"id","transformers.FlaxXLMRobertaForSequenceClassification"),c(Ma,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ma,"href","#transformers.FlaxXLMRobertaForSequenceClassification"),c(Kn,"class","relative group"),c(Gp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(Xd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(Xd,"rel","nofollow"),c(zd,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(zd,"rel","nofollow"),c(Cd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Cd,"rel","nofollow"),c(qd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(qd,"rel","nofollow"),c(jd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(jd,"rel","nofollow"),c(so,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(xa,"id","transformers.FlaxXLMRobertaForMultipleChoice"),c(xa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(xa,"href","#transformers.FlaxXLMRobertaForMultipleChoice"),c(Jn,"class","relative group"),c(Yp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(Dd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(Dd,"rel","nofollow"),c(Sd,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Sd,"rel","nofollow"),c(Wd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Wd,"rel","nofollow"),c(Bd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(Bd,"rel","nofollow"),c(Ud,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(Ud,"rel","nofollow"),c(ao,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ra,"id","transformers.FlaxXLMRobertaForTokenClassification"),c(Ra,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ra,"href","#transformers.FlaxXLMRobertaForTokenClassification"),c(Yn,"class","relative group"),c(Zp,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(Gd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(Gd,"rel","nofollow"),c(Yd,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Yd,"rel","nofollow"),c(Zd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Zd,"rel","nofollow"),c(ec,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(ec,"rel","nofollow"),c(tc,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(tc,"rel","nofollow"),c(ro,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ca,"id","transformers.FlaxXLMRobertaForQuestionAnswering"),c(Ca,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ca,"href","#transformers.FlaxXLMRobertaForQuestionAnswering"),c(es,"class","relative group"),c(eh,"href","/docs/transformers/pr_22317/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(ic,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(ic,"rel","nofollow"),c(lc,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(lc,"rel","nofollow"),c(dc,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(dc,"rel","nofollow"),c(cc,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(cc,"rel","nofollow"),c(pc,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(pc,"rel","nofollow"),c(io,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(i,_){e(document.head,d),g(i,k,_),g(i,m,_),e(m,f),e(f,b),T(l,b,null),e(m,u),e(m,R),e(R,ke),g(i,fe,_),g(i,O,_),e(O,ce),e(ce,te),e(O,ve),e(O,W),e(W,pe),g(i,K,_),g(i,ae,_),e(ae,re),e(re,B),T(ie,B,null),e(ae,ye),e(ae,U),e(U,we),g(i,ge,_),g(i,D,_),e(D,Te),e(D,le),e(le,oe),e(D,z),g(i,j,_),g(i,he,_),e(he,J),g(i,_e,_),g(i,ue,_),e(ue,H),e(H,Me),g(i,be,_),g(i,q,_),e(q,$e),g(i,V,_),g(i,ne,_),e(ne,de),e(de,G),e(de,me),e(me,Le),e(de,N),e(ne,xe),e(ne,Q),e(Q,Fe),e(ne,se),e(ne,C),e(C,Ee),e(C,A),e(A,Re),e(C,Xe),g(i,v,_),g(i,F,_),e(F,Qe),e(F,Z),e(Z,Ke),e(F,Ve),e(F,X),e(X,Je),e(F,Ge),g(i,We,_),g(i,qe,_),e(qe,je),e(je,P),T(S,P,null),e(qe,Ye),e(qe,Se),e(Se,Y),g(i,Be,_),g(i,Pe,_),e(Pe,ze),g(i,Ue,_),T(ee,i,_),g(i,He,_),g(i,gt,_),e(gt,Ec),e(Ec,Zb),e(Ec,lr),e(lr,ek),e(gt,tk),e(gt,$o),e($o,Rc),e(Rc,ok),e($o,nk),e($o,dr),e(dr,sk),e($o,ak),e($o,cr),e(cr,rk),e($o,ik),e(gt,lk),e(gt,Lo),e(Lo,Xc),e(Xc,dk),e(Lo,ck),e(Lo,pr),e(pr,pk),e(Lo,hk),e(Lo,hr),e(hr,uk),e(Lo,mk),e(gt,fk),e(gt,xo),e(xo,zc),e(zc,gk),e(xo,_k),e(xo,ur),e(ur,bk),e(xo,kk),e(xo,mr),e(mr,vk),e(xo,yk),e(gt,wk),e(gt,Cc),e(Cc,fr),e(fr,Tk),e(Cc,Mk),e(gt,$k),e(gt,zh),e(zh,qc),e(qc,Lk),g(i,kg,_),T(gr,i,_),g(i,vg,_),g(i,Lt,_),e(Lt,Fo),e(Fo,jc),e(jc,xk),e(Fo,Fk),e(Fo,_r),e(_r,Ek),e(Fo,Rk),e(Fo,br),e(br,Xk),e(Fo,zk),e(Lt,Ck),e(Lt,Eo),e(Eo,Ac),e(Ac,qk),e(Eo,jk),e(Eo,kr),e(kr,Ak),e(Eo,Pk),e(Eo,vr),e(vr,Nk),e(Eo,Ok),e(Lt,Ik),e(Lt,as),e(as,Pc),e(Pc,Dk),e(as,Sk),e(as,yr),e(yr,Wk),e(as,Bk),e(Lt,Uk),e(Lt,Nc),e(Nc,wr),e(wr,Hk),e(Nc,Qk),e(Lt,Kk),e(Lt,Ch),e(Ch,Oc),e(Oc,Vk),g(i,yg,_),T(Tr,i,_),g(i,wg,_),g(i,Ro,_),e(Ro,Xo),e(Xo,Ic),e(Ic,Jk),e(Xo,Gk),e(Xo,Mr),e(Mr,Yk),e(Xo,Zk),e(Xo,$r),e($r,ev),e(Xo,tv),e(Ro,ov),e(Ro,Dc),e(Dc,Lr),e(Lr,nv),e(Dc,sv),e(Ro,av),e(Ro,qh),e(qh,Sc),e(Sc,rv),g(i,Tg,_),T(xr,i,_),g(i,Mg,_),g(i,xt,_),e(xt,zo),e(zo,Wc),e(Wc,iv),e(zo,lv),e(zo,Fr),e(Fr,dv),e(zo,cv),e(zo,Er),e(Er,pv),e(zo,hv),e(xt,uv),e(xt,Co),e(Co,Bc),e(Bc,mv),e(Co,fv),e(Co,Rr),e(Rr,gv),e(Co,_v),e(Co,Xr),e(Xr,bv),e(Co,kv),e(xt,vv),e(xt,qo),e(qo,Uc),e(Uc,yv),e(qo,wv),e(qo,zr),e(zr,Tv),e(qo,Mv),e(qo,Cr),e(Cr,$v),e(qo,Lv),e(xt,xv),e(xt,Hc),e(Hc,qr),e(qr,Fv),e(Hc,Ev),e(xt,Rv),e(xt,jh),e(jh,Qc),e(Qc,Xv),g(i,$g,_),T(jr,i,_),g(i,Lg,_),g(i,Ft,_),e(Ft,jo),e(jo,Kc),e(Kc,zv),e(jo,Cv),e(jo,Ar),e(Ar,qv),e(jo,jv),e(jo,Pr),e(Pr,Av),e(jo,Pv),e(Ft,Nv),e(Ft,Ao),e(Ao,Vc),e(Vc,Ov),e(Ao,Iv),e(Ao,Nr),e(Nr,Dv),e(Ao,Sv),e(Ao,Or),e(Or,Wv),e(Ao,Bv),e(Ft,Uv),e(Ft,rs),e(rs,Jc),e(Jc,Hv),e(rs,Qv),e(rs,Ir),e(Ir,Kv),e(rs,Vv),e(Ft,Jv),e(Ft,Gc),e(Gc,Dr),e(Dr,Gv),e(Gc,Yv),e(Ft,Zv),e(Ft,Ah),e(Ah,Yc),e(Yc,ey),g(i,xg,_),g(i,Zc,_),e(Zc,Ph),e(Ph,ty),g(i,Fg,_),g(i,Po,_),e(Po,No),e(No,ep),e(ep,oy),e(No,ny),e(No,Sr),e(Sr,sy),e(No,ay),e(No,Wr),e(Wr,ry),e(No,iy),e(Po,ly),e(Po,Oo),e(Oo,tp),e(tp,dy),e(Oo,cy),e(Oo,Br),e(Br,py),e(Oo,hy),e(Oo,Ur),e(Ur,uy),e(Oo,my),e(Po,fy),e(Po,Nh),e(Nh,op),e(op,gy),g(i,Eg,_),g(i,np,_),e(np,_y),g(i,Rg,_),g(i,sp,_),e(sp,Hr),e(Hr,by),e(Hr,Qr),e(Qr,ky),e(Hr,vy),g(i,Xg,_),g(i,ln,_),e(ln,is),e(is,Oh),T(Kr,Oh,null),e(ln,yy),e(ln,Ih),e(Ih,wy),g(i,zg,_),g(i,Wt,_),T(Vr,Wt,null),e(Wt,Ty),e(Wt,go),e(go,My),e(go,ap),e(ap,$y),e(go,Ly),e(go,rp),e(rp,xy),e(go,Fy),e(go,Jr),e(Jr,Ey),e(go,Ry),e(Wt,Xy),e(Wt,dn),e(dn,zy),e(dn,ip),e(ip,Cy),e(dn,qy),e(dn,lp),e(lp,jy),e(dn,Ay),e(Wt,Py),T(ls,Wt,null),g(i,Cg,_),g(i,cn,_),e(cn,ds),e(ds,Dh),T(Gr,Dh,null),e(cn,Ny),e(cn,Sh),e(Sh,Oy),g(i,qg,_),g(i,et,_),T(Yr,et,null),e(et,Iy),e(et,_o),e(_o,Dy),e(_o,dp),e(dp,Sy),e(_o,Wy),e(_o,cp),e(cp,By),e(_o,Uy),e(_o,Zr),e(Zr,Hy),e(_o,Qy),e(et,Ky),e(et,ei),e(ei,Vy),e(ei,pp),e(pp,Jy),e(ei,Gy),e(et,Yy),e(et,Io),T(ti,Io,null),e(Io,Zy),e(Io,Wh),e(Wh,e1),e(Io,t1),e(Io,oi),e(oi,hp),e(hp,o1),e(hp,Bh),e(Bh,n1),e(oi,s1),e(oi,up),e(up,a1),e(up,Uh),e(Uh,r1),e(et,i1),e(et,cs),T(ni,cs,null),e(cs,l1),e(cs,si),e(si,d1),e(si,Hh),e(Hh,c1),e(si,p1),e(et,h1),e(et,ps),T(ai,ps,null),e(ps,u1),e(ps,Qh),e(Qh,m1),e(et,f1),e(et,mp),T(ri,mp,null),g(i,jg,_),g(i,pn,_),e(pn,hs),e(hs,Kh),T(ii,Kh,null),e(pn,g1),e(pn,Vh),e(Vh,_1),g(i,Ag,_),g(i,bt,_),T(li,bt,null),e(bt,b1),e(bt,Bt),e(Bt,k1),e(Bt,Jh),e(Jh,v1),e(Bt,y1),e(Bt,fp),e(fp,w1),e(Bt,T1),e(Bt,gp),e(gp,M1),e(Bt,$1),e(Bt,di),e(di,L1),e(Bt,x1),e(bt,F1),e(bt,ci),e(ci,E1),e(ci,_p),e(_p,R1),e(ci,X1),e(bt,z1),e(bt,Do),T(pi,Do,null),e(Do,C1),e(Do,Gh),e(Gh,q1),e(Do,j1),e(Do,hi),e(hi,bp),e(bp,A1),e(bp,Yh),e(Yh,P1),e(hi,N1),e(hi,kp),e(kp,O1),e(kp,Zh),e(Zh,I1),e(bt,D1),e(bt,us),T(ui,us,null),e(us,S1),e(us,eu),e(eu,W1),g(i,Pg,_),g(i,hn,_),e(hn,ms),e(ms,tu),T(mi,tu,null),e(hn,B1),e(hn,ou),e(ou,U1),g(i,Ng,_),g(i,Ze,_),T(fi,Ze,null),e(Ze,H1),e(Ze,nu),e(nu,Q1),e(Ze,K1),e(Ze,gi),e(gi,V1),e(gi,vp),e(vp,J1),e(gi,G1),e(Ze,Y1),e(Ze,_i),e(_i,Z1),e(_i,bi),e(bi,e2),e(_i,t2),e(Ze,o2),e(Ze,ki),e(ki,n2),e(ki,su),e(su,s2),e(ki,a2),e(Ze,r2),e(Ze,lt),e(lt,i2),e(lt,au),e(au,l2),e(lt,d2),e(lt,ru),e(ru,c2),e(lt,p2),e(lt,iu),e(iu,h2),e(lt,u2),e(lt,lu),e(lu,m2),e(lt,f2),e(lt,du),e(du,g2),e(lt,_2),e(lt,cu),e(cu,b2),e(lt,k2),e(Ze,v2),e(Ze,fs),e(fs,y2),e(fs,pu),e(pu,w2),e(fs,T2),e(fs,vi),e(vi,M2),e(Ze,$2),e(Ze,Ht),T(yi,Ht,null),e(Ht,L2),e(Ht,un),e(un,x2),e(un,yp),e(yp,F2),e(un,E2),e(un,hu),e(hu,R2),e(un,X2),e(Ht,z2),T(gs,Ht,null),e(Ht,C2),T(_s,Ht,null),g(i,Og,_),g(i,mn,_),e(mn,bs),e(bs,uu),T(wi,uu,null),e(mn,q2),e(mn,mu),e(mu,j2),g(i,Ig,_),g(i,kt,_),T(Ti,kt,null),e(kt,A2),e(kt,Mi),e(Mi,P2),e(Mi,fu),e(fu,N2),e(Mi,O2),e(kt,I2),e(kt,$i),e($i,D2),e($i,wp),e(wp,S2),e($i,W2),e(kt,B2),e(kt,Li),e(Li,U2),e(Li,xi),e(xi,H2),e(Li,Q2),e(kt,K2),e(kt,Qt),T(Fi,Qt,null),e(Qt,V2),e(Qt,fn),e(fn,J2),e(fn,Tp),e(Tp,G2),e(fn,Y2),e(fn,gu),e(gu,Z2),e(fn,ew),e(Qt,tw),T(ks,Qt,null),e(Qt,ow),T(vs,Qt,null),g(i,Dg,_),g(i,gn,_),e(gn,ys),e(ys,_u),T(Ei,_u,null),e(gn,nw),e(gn,bu),e(bu,sw),g(i,Sg,_),g(i,vt,_),T(Ri,vt,null),e(vt,aw),e(vt,Xi),e(Xi,rw),e(Xi,ku),e(ku,iw),e(Xi,lw),e(vt,dw),e(vt,zi),e(zi,cw),e(zi,Mp),e(Mp,pw),e(zi,hw),e(vt,uw),e(vt,Ci),e(Ci,mw),e(Ci,qi),e(qi,fw),e(Ci,gw),e(vt,_w),e(vt,Kt),T(ji,Kt,null),e(Kt,bw),e(Kt,_n),e(_n,kw),e(_n,$p),e($p,vw),e(_n,yw),e(_n,vu),e(vu,ww),e(_n,Tw),e(Kt,Mw),T(ws,Kt,null),e(Kt,$w),T(Ts,Kt,null),g(i,Wg,_),g(i,bn,_),e(bn,Ms),e(Ms,yu),T(Ai,yu,null),e(bn,Lw),e(bn,wu),e(wu,xw),g(i,Bg,_),g(i,yt,_),T(Pi,yt,null),e(yt,Fw),e(yt,Tu),e(Tu,Ew),e(yt,Rw),e(yt,Ni),e(Ni,Xw),e(Ni,Lp),e(Lp,zw),e(Ni,Cw),e(yt,qw),e(yt,Oi),e(Oi,jw),e(Oi,Ii),e(Ii,Aw),e(Oi,Pw),e(yt,Nw),e(yt,Et),T(Di,Et,null),e(Et,Ow),e(Et,kn),e(kn,Iw),e(kn,xp),e(xp,Dw),e(kn,Sw),e(kn,Mu),e(Mu,Ww),e(kn,Bw),e(Et,Uw),T($s,Et,null),e(Et,Hw),T(Ls,Et,null),e(Et,Qw),T(xs,Et,null),g(i,Ug,_),g(i,vn,_),e(vn,Fs),e(Fs,$u),T(Si,$u,null),e(vn,Kw),e(vn,Lu),e(Lu,Vw),g(i,Hg,_),g(i,wt,_),T(Wi,wt,null),e(wt,Jw),e(wt,xu),e(xu,Gw),e(wt,Yw),e(wt,Bi),e(Bi,Zw),e(Bi,Fp),e(Fp,eT),e(Bi,tT),e(wt,oT),e(wt,Ui),e(Ui,nT),e(Ui,Hi),e(Hi,sT),e(Ui,aT),e(wt,rT),e(wt,Vt),T(Qi,Vt,null),e(Vt,iT),e(Vt,yn),e(yn,lT),e(yn,Ep),e(Ep,dT),e(yn,cT),e(yn,Fu),e(Fu,pT),e(yn,hT),e(Vt,uT),T(Es,Vt,null),e(Vt,mT),T(Rs,Vt,null),g(i,Qg,_),g(i,wn,_),e(wn,Xs),e(Xs,Eu),T(Ki,Eu,null),e(wn,fT),e(wn,Ru),e(Ru,gT),g(i,Kg,_),g(i,Tt,_),T(Vi,Tt,null),e(Tt,_T),e(Tt,Xu),e(Xu,bT),e(Tt,kT),e(Tt,Ji),e(Ji,vT),e(Ji,Rp),e(Rp,yT),e(Ji,wT),e(Tt,TT),e(Tt,Gi),e(Gi,MT),e(Gi,Yi),e(Yi,$T),e(Gi,LT),e(Tt,xT),e(Tt,Jt),T(Zi,Jt,null),e(Jt,FT),e(Jt,Tn),e(Tn,ET),e(Tn,Xp),e(Xp,RT),e(Tn,XT),e(Tn,zu),e(zu,zT),e(Tn,CT),e(Jt,qT),T(zs,Jt,null),e(Jt,jT),T(Cs,Jt,null),g(i,Vg,_),g(i,Mn,_),e(Mn,qs),e(qs,Cu),T(el,Cu,null),e(Mn,AT),e(Mn,qu),e(qu,PT),g(i,Jg,_),g(i,Mt,_),T(tl,Mt,null),e(Mt,NT),e(Mt,$n),e($n,OT),e($n,ju),e(ju,IT),e($n,DT),e($n,Au),e(Au,ST),e($n,WT),e(Mt,BT),e(Mt,ol),e(ol,UT),e(ol,zp),e(zp,HT),e(ol,QT),e(Mt,KT),e(Mt,nl),e(nl,VT),e(nl,sl),e(sl,JT),e(nl,GT),e(Mt,YT),e(Mt,Gt),T(al,Gt,null),e(Gt,ZT),e(Gt,Ln),e(Ln,eM),e(Ln,Cp),e(Cp,tM),e(Ln,oM),e(Ln,Pu),e(Pu,nM),e(Ln,sM),e(Gt,aM),T(js,Gt,null),e(Gt,rM),T(As,Gt,null),g(i,Gg,_),g(i,xn,_),e(xn,Ps),e(Ps,Nu),T(rl,Nu,null),e(xn,iM),e(xn,Ou),e(Ou,lM),g(i,Yg,_),g(i,dt,_),T(il,dt,null),e(dt,dM),e(dt,Iu),e(Iu,cM),e(dt,pM),e(dt,ll),e(ll,hM),e(ll,qp),e(qp,uM),e(ll,mM),e(dt,fM),e(dt,dl),e(dl,gM),e(dl,cl),e(cl,_M),e(dl,bM),e(dt,kM),T(Ns,dt,null),e(dt,vM),e(dt,Yt),T(pl,Yt,null),e(Yt,yM),e(Yt,Fn),e(Fn,wM),e(Fn,jp),e(jp,TM),e(Fn,MM),e(Fn,Du),e(Du,$M),e(Fn,LM),e(Yt,xM),T(Os,Yt,null),e(Yt,FM),T(Is,Yt,null),g(i,Zg,_),g(i,En,_),e(En,Ds),e(Ds,Su),T(hl,Su,null),e(En,EM),e(En,Wu),e(Wu,RM),g(i,e_,_),g(i,ct,_),T(ul,ct,null),e(ct,XM),e(ct,ml),e(ml,zM),e(ml,Bu),e(Bu,CM),e(ml,qM),e(ct,jM),e(ct,fl),e(fl,AM),e(fl,Ap),e(Ap,PM),e(fl,NM),e(ct,OM),e(ct,gl),e(gl,IM),e(gl,_l),e(_l,DM),e(gl,SM),e(ct,WM),T(Ss,ct,null),e(ct,BM),e(ct,Zt),T(bl,Zt,null),e(Zt,UM),e(Zt,Rn),e(Rn,HM),e(Rn,Pp),e(Pp,QM),e(Rn,KM),e(Rn,Uu),e(Uu,VM),e(Rn,JM),e(Zt,GM),T(Ws,Zt,null),e(Zt,YM),T(Bs,Zt,null),g(i,t_,_),g(i,Xn,_),e(Xn,Us),e(Us,Hu),T(kl,Hu,null),e(Xn,ZM),e(Xn,Qu),e(Qu,e$),g(i,o_,_),g(i,pt,_),T(vl,pt,null),e(pt,t$),e(pt,yl),e(yl,o$),e(yl,Ku),e(Ku,n$),e(yl,s$),e(pt,a$),e(pt,wl),e(wl,r$),e(wl,Np),e(Np,i$),e(wl,l$),e(pt,d$),e(pt,Tl),e(Tl,c$),e(Tl,Ml),e(Ml,p$),e(Tl,h$),e(pt,u$),T(Hs,pt,null),e(pt,m$),e(pt,Rt),T($l,Rt,null),e(Rt,f$),e(Rt,zn),e(zn,g$),e(zn,Op),e(Op,_$),e(zn,b$),e(zn,Vu),e(Vu,k$),e(zn,v$),e(Rt,y$),T(Qs,Rt,null),e(Rt,w$),T(Ks,Rt,null),e(Rt,T$),T(Vs,Rt,null),g(i,n_,_),g(i,Cn,_),e(Cn,Js),e(Js,Ju),T(Ll,Ju,null),e(Cn,M$),e(Cn,Gu),e(Gu,$$),g(i,s_,_),g(i,ht,_),T(xl,ht,null),e(ht,L$),e(ht,Yu),e(Yu,x$),e(ht,F$),e(ht,Fl),e(Fl,E$),e(Fl,Ip),e(Ip,R$),e(Fl,X$),e(ht,z$),e(ht,El),e(El,C$),e(El,Rl),e(Rl,q$),e(El,j$),e(ht,A$),T(Gs,ht,null),e(ht,P$),e(ht,Xt),T(Xl,Xt,null),e(Xt,N$),e(Xt,qn),e(qn,O$),e(qn,Dp),e(Dp,I$),e(qn,D$),e(qn,Zu),e(Zu,S$),e(qn,W$),e(Xt,B$),T(Ys,Xt,null),e(Xt,U$),T(Zs,Xt,null),e(Xt,H$),T(ea,Xt,null),g(i,a_,_),g(i,jn,_),e(jn,ta),e(ta,em),T(zl,em,null),e(jn,Q$),e(jn,tm),e(tm,K$),g(i,r_,_),g(i,ut,_),T(Cl,ut,null),e(ut,V$),e(ut,om),e(om,J$),e(ut,G$),e(ut,ql),e(ql,Y$),e(ql,Sp),e(Sp,Z$),e(ql,eL),e(ut,tL),e(ut,jl),e(jl,oL),e(jl,Al),e(Al,nL),e(jl,sL),e(ut,aL),T(oa,ut,null),e(ut,rL),e(ut,eo),T(Pl,eo,null),e(eo,iL),e(eo,An),e(An,lL),e(An,Wp),e(Wp,dL),e(An,cL),e(An,nm),e(nm,pL),e(An,hL),e(eo,uL),T(na,eo,null),e(eo,mL),T(sa,eo,null),g(i,i_,_),g(i,Pn,_),e(Pn,aa),e(aa,sm),T(Nl,sm,null),e(Pn,fL),e(Pn,am),e(am,gL),g(i,l_,_),g(i,mt,_),T(Ol,mt,null),e(mt,_L),e(mt,rm),e(rm,bL),e(mt,kL),e(mt,Il),e(Il,vL),e(Il,Bp),e(Bp,yL),e(Il,wL),e(mt,TL),e(mt,Dl),e(Dl,ML),e(Dl,Sl),e(Sl,$L),e(Dl,LL),e(mt,xL),T(ra,mt,null),e(mt,FL),e(mt,zt),T(Wl,zt,null),e(zt,EL),e(zt,Nn),e(Nn,RL),e(Nn,Up),e(Up,XL),e(Nn,zL),e(Nn,im),e(im,CL),e(Nn,qL),e(zt,jL),T(ia,zt,null),e(zt,AL),T(la,zt,null),e(zt,PL),T(da,zt,null),g(i,d_,_),g(i,On,_),e(On,ca),e(ca,lm),T(Bl,lm,null),e(On,NL),e(On,dm),e(dm,OL),g(i,c_,_),g(i,ft,_),T(Ul,ft,null),e(ft,IL),e(ft,In),e(In,DL),e(In,cm),e(cm,SL),e(In,WL),e(In,pm),e(pm,BL),e(In,UL),e(ft,HL),e(ft,Hl),e(Hl,QL),e(Hl,Hp),e(Hp,KL),e(Hl,VL),e(ft,JL),e(ft,Ql),e(Ql,GL),e(Ql,Kl),e(Kl,YL),e(Ql,ZL),e(ft,ex),T(pa,ft,null),e(ft,tx),e(ft,Ct),T(Vl,Ct,null),e(Ct,ox),e(Ct,Dn),e(Dn,nx),e(Dn,Qp),e(Qp,sx),e(Dn,ax),e(Dn,hm),e(hm,rx),e(Dn,ix),e(Ct,lx),T(ha,Ct,null),e(Ct,dx),T(ua,Ct,null),e(Ct,cx),T(ma,Ct,null),g(i,p_,_),g(i,Sn,_),e(Sn,fa),e(fa,um),T(Jl,um,null),e(Sn,px),e(Sn,mm),e(mm,hx),g(i,h_,_),g(i,tt,_),T(Gl,tt,null),e(tt,ux),e(tt,fm),e(fm,mx),e(tt,fx),e(tt,Yl),e(Yl,gx),e(Yl,Kp),e(Kp,_x),e(Yl,bx),e(tt,kx),e(tt,Zl),e(Zl,vx),e(Zl,ed),e(ed,yx),e(Zl,wx),e(tt,Tx),e(tt,gm),e(gm,Mx),e(tt,$x),e(tt,bo),e(bo,_m),e(_m,td),e(td,Lx),e(bo,xx),e(bo,bm),e(bm,od),e(od,Fx),e(bo,Ex),e(bo,km),e(km,nd),e(nd,Rx),e(bo,Xx),e(bo,vm),e(vm,sd),e(sd,zx),e(tt,Cx),e(tt,to),T(ad,to,null),e(to,qx),e(to,Wn),e(Wn,jx),e(Wn,ym),e(ym,Ax),e(Wn,Px),e(Wn,wm),e(wm,Nx),e(Wn,Ox),e(to,Ix),T(ga,to,null),e(to,Dx),T(_a,to,null),g(i,u_,_),g(i,Bn,_),e(Bn,ba),e(ba,Tm),T(rd,Tm,null),e(Bn,Sx),e(Bn,Mm),e(Mm,Wx),g(i,m_,_),g(i,ot,_),T(id,ot,null),e(ot,Bx),e(ot,$m),e($m,Ux),e(ot,Hx),e(ot,ld),e(ld,Qx),e(ld,Vp),e(Vp,Kx),e(ld,Vx),e(ot,Jx),e(ot,dd),e(dd,Gx),e(dd,cd),e(cd,Yx),e(dd,Zx),e(ot,eF),e(ot,Lm),e(Lm,tF),e(ot,oF),e(ot,ko),e(ko,xm),e(xm,pd),e(pd,nF),e(ko,sF),e(ko,Fm),e(Fm,hd),e(hd,aF),e(ko,rF),e(ko,Em),e(Em,ud),e(ud,iF),e(ko,lF),e(ko,Rm),e(Rm,md),e(md,dF),e(ot,cF),e(ot,oo),T(fd,oo,null),e(oo,pF),e(oo,Un),e(Un,hF),e(Un,Xm),e(Xm,uF),e(Un,mF),e(Un,zm),e(zm,fF),e(Un,gF),e(oo,_F),T(ka,oo,null),e(oo,bF),T(va,oo,null),g(i,f_,_),g(i,Hn,_),e(Hn,ya),e(ya,Cm),T(gd,Cm,null),e(Hn,kF),e(Hn,qm),e(qm,vF),g(i,g_,_),g(i,nt,_),T(_d,nt,null),e(nt,yF),e(nt,bd),e(bd,wF),e(bd,jm),e(jm,TF),e(bd,MF),e(nt,$F),e(nt,kd),e(kd,LF),e(kd,Jp),e(Jp,xF),e(kd,FF),e(nt,EF),e(nt,vd),e(vd,RF),e(vd,yd),e(yd,XF),e(vd,zF),e(nt,CF),e(nt,Am),e(Am,qF),e(nt,jF),e(nt,vo),e(vo,Pm),e(Pm,wd),e(wd,AF),e(vo,PF),e(vo,Nm),e(Nm,Td),e(Td,NF),e(vo,OF),e(vo,Om),e(Om,Md),e(Md,IF),e(vo,DF),e(vo,Im),e(Im,$d),e($d,SF),e(nt,WF),e(nt,no),T(Ld,no,null),e(no,BF),e(no,Qn),e(Qn,UF),e(Qn,Dm),e(Dm,HF),e(Qn,QF),e(Qn,Sm),e(Sm,KF),e(Qn,VF),e(no,JF),T(wa,no,null),e(no,GF),T(Ta,no,null),g(i,__,_),g(i,Kn,_),e(Kn,Ma),e(Ma,Wm),T(xd,Wm,null),e(Kn,YF),e(Kn,Bm),e(Bm,ZF),g(i,b_,_),g(i,st,_),T(Fd,st,null),e(st,e0),e(st,Um),e(Um,t0),e(st,o0),e(st,Ed),e(Ed,n0),e(Ed,Gp),e(Gp,s0),e(Ed,a0),e(st,r0),e(st,Rd),e(Rd,i0),e(Rd,Xd),e(Xd,l0),e(Rd,d0),e(st,c0),e(st,Hm),e(Hm,p0),e(st,h0),e(st,yo),e(yo,Qm),e(Qm,zd),e(zd,u0),e(yo,m0),e(yo,Km),e(Km,Cd),e(Cd,f0),e(yo,g0),e(yo,Vm),e(Vm,qd),e(qd,_0),e(yo,b0),e(yo,Jm),e(Jm,jd),e(jd,k0),e(st,v0),e(st,so),T(Ad,so,null),e(so,y0),e(so,Vn),e(Vn,w0),e(Vn,Gm),e(Gm,T0),e(Vn,M0),e(Vn,Ym),e(Ym,$0),e(Vn,L0),e(so,x0),T($a,so,null),e(so,F0),T(La,so,null),g(i,k_,_),g(i,Jn,_),e(Jn,xa),e(xa,Zm),T(Pd,Zm,null),e(Jn,E0),e(Jn,ef),e(ef,R0),g(i,v_,_),g(i,at,_),T(Nd,at,null),e(at,X0),e(at,tf),e(tf,z0),e(at,C0),e(at,Od),e(Od,q0),e(Od,Yp),e(Yp,j0),e(Od,A0),e(at,P0),e(at,Id),e(Id,N0),e(Id,Dd),e(Dd,O0),e(Id,I0),e(at,D0),e(at,of),e(of,S0),e(at,W0),e(at,wo),e(wo,nf),e(nf,Sd),e(Sd,B0),e(wo,U0),e(wo,sf),e(sf,Wd),e(Wd,H0),e(wo,Q0),e(wo,af),e(af,Bd),e(Bd,K0),e(wo,V0),e(wo,rf),e(rf,Ud),e(Ud,J0),e(at,G0),e(at,ao),T(Hd,ao,null),e(ao,Y0),e(ao,Gn),e(Gn,Z0),e(Gn,lf),e(lf,eE),e(Gn,tE),e(Gn,df),e(df,oE),e(Gn,nE),e(ao,sE),T(Fa,ao,null),e(ao,aE),T(Ea,ao,null),g(i,y_,_),g(i,Yn,_),e(Yn,Ra),e(Ra,cf),T(Qd,cf,null),e(Yn,rE),e(Yn,pf),e(pf,iE),g(i,w_,_),g(i,rt,_),T(Kd,rt,null),e(rt,lE),e(rt,hf),e(hf,dE),e(rt,cE),e(rt,Vd),e(Vd,pE),e(Vd,Zp),e(Zp,hE),e(Vd,uE),e(rt,mE),e(rt,Jd),e(Jd,fE),e(Jd,Gd),e(Gd,gE),e(Jd,_E),e(rt,bE),e(rt,uf),e(uf,kE),e(rt,vE),e(rt,To),e(To,mf),e(mf,Yd),e(Yd,yE),e(To,wE),e(To,ff),e(ff,Zd),e(Zd,TE),e(To,ME),e(To,gf),e(gf,ec),e(ec,$E),e(To,LE),e(To,_f),e(_f,tc),e(tc,xE),e(rt,FE),e(rt,ro),T(oc,ro,null),e(ro,EE),e(ro,Zn),e(Zn,RE),e(Zn,bf),e(bf,XE),e(Zn,zE),e(Zn,kf),e(kf,CE),e(Zn,qE),e(ro,jE),T(Xa,ro,null),e(ro,AE),T(za,ro,null),g(i,T_,_),g(i,es,_),e(es,Ca),e(Ca,vf),T(nc,vf,null),e(es,PE),e(es,yf),e(yf,NE),g(i,M_,_),g(i,it,_),T(sc,it,null),e(it,OE),e(it,ts),e(ts,IE),e(ts,wf),e(wf,DE),e(ts,SE),e(ts,Tf),e(Tf,WE),e(ts,BE),e(it,UE),e(it,ac),e(ac,HE),e(ac,eh),e(eh,QE),e(ac,KE),e(it,VE),e(it,rc),e(rc,JE),e(rc,ic),e(ic,GE),e(rc,YE),e(it,ZE),e(it,Mf),e(Mf,e3),e(it,t3),e(it,Mo),e(Mo,$f),e($f,lc),e(lc,o3),e(Mo,n3),e(Mo,Lf),e(Lf,dc),e(dc,s3),e(Mo,a3),e(Mo,xf),e(xf,cc),e(cc,r3),e(Mo,i3),e(Mo,Ff),e(Ff,pc),e(pc,l3),e(it,d3),e(it,io),T(hc,io,null),e(io,c3),e(io,os),e(os,p3),e(os,Ef),e(Ef,h3),e(os,u3),e(os,Rf),e(Rf,m3),e(os,f3),e(io,g3),T(qa,io,null),e(io,_3),T(ja,io,null),$_=!0},p(i,[_]){const uc={};_&2&&(uc.$$scope={dirty:_,ctx:i}),ls.$set(uc);const Xf={};_&2&&(Xf.$$scope={dirty:_,ctx:i}),gs.$set(Xf);const zf={};_&2&&(zf.$$scope={dirty:_,ctx:i}),_s.$set(zf);const Cf={};_&2&&(Cf.$$scope={dirty:_,ctx:i}),ks.$set(Cf);const mc={};_&2&&(mc.$$scope={dirty:_,ctx:i}),vs.$set(mc);const qf={};_&2&&(qf.$$scope={dirty:_,ctx:i}),ws.$set(qf);const jf={};_&2&&(jf.$$scope={dirty:_,ctx:i}),Ts.$set(jf);const fc={};_&2&&(fc.$$scope={dirty:_,ctx:i}),$s.$set(fc);const Af={};_&2&&(Af.$$scope={dirty:_,ctx:i}),Ls.$set(Af);const Pf={};_&2&&(Pf.$$scope={dirty:_,ctx:i}),xs.$set(Pf);const Nf={};_&2&&(Nf.$$scope={dirty:_,ctx:i}),Es.$set(Nf);const gc={};_&2&&(gc.$$scope={dirty:_,ctx:i}),Rs.$set(gc);const Of={};_&2&&(Of.$$scope={dirty:_,ctx:i}),zs.$set(Of);const If={};_&2&&(If.$$scope={dirty:_,ctx:i}),Cs.$set(If);const Df={};_&2&&(Df.$$scope={dirty:_,ctx:i}),js.$set(Df);const Sf={};_&2&&(Sf.$$scope={dirty:_,ctx:i}),As.$set(Sf);const Wf={};_&2&&(Wf.$$scope={dirty:_,ctx:i}),Ns.$set(Wf);const ns={};_&2&&(ns.$$scope={dirty:_,ctx:i}),Os.$set(ns);const _c={};_&2&&(_c.$$scope={dirty:_,ctx:i}),Is.$set(_c);const Bf={};_&2&&(Bf.$$scope={dirty:_,ctx:i}),Ss.$set(Bf);const Uf={};_&2&&(Uf.$$scope={dirty:_,ctx:i}),Ws.$set(Uf);const bc={};_&2&&(bc.$$scope={dirty:_,ctx:i}),Bs.$set(bc);const Hf={};_&2&&(Hf.$$scope={dirty:_,ctx:i}),Hs.$set(Hf);const ss={};_&2&&(ss.$$scope={dirty:_,ctx:i}),Qs.$set(ss);const Qf={};_&2&&(Qf.$$scope={dirty:_,ctx:i}),Ks.$set(Qf);const Kf={};_&2&&(Kf.$$scope={dirty:_,ctx:i}),Vs.$set(Kf);const kc={};_&2&&(kc.$$scope={dirty:_,ctx:i}),Gs.$set(kc);const Vf={};_&2&&(Vf.$$scope={dirty:_,ctx:i}),Ys.$set(Vf);const Jf={};_&2&&(Jf.$$scope={dirty:_,ctx:i}),Zs.$set(Jf);const Gf={};_&2&&(Gf.$$scope={dirty:_,ctx:i}),ea.$set(Gf);const Yf={};_&2&&(Yf.$$scope={dirty:_,ctx:i}),oa.$set(Yf);const $t={};_&2&&($t.$$scope={dirty:_,ctx:i}),na.$set($t);const th={};_&2&&(th.$$scope={dirty:_,ctx:i}),sa.$set(th);const Zf={};_&2&&(Zf.$$scope={dirty:_,ctx:i}),ra.$set(Zf);const So={};_&2&&(So.$$scope={dirty:_,ctx:i}),ia.$set(So);const eg={};_&2&&(eg.$$scope={dirty:_,ctx:i}),la.$set(eg);const tg={};_&2&&(tg.$$scope={dirty:_,ctx:i}),da.$set(tg);const og={};_&2&&(og.$$scope={dirty:_,ctx:i}),pa.$set(og);const Wo={};_&2&&(Wo.$$scope={dirty:_,ctx:i}),ha.$set(Wo);const ng={};_&2&&(ng.$$scope={dirty:_,ctx:i}),ua.$set(ng);const sg={};_&2&&(sg.$$scope={dirty:_,ctx:i}),ma.$set(sg);const ag={};_&2&&(ag.$$scope={dirty:_,ctx:i}),ga.$set(ag);const Bo={};_&2&&(Bo.$$scope={dirty:_,ctx:i}),_a.$set(Bo);const rg={};_&2&&(rg.$$scope={dirty:_,ctx:i}),ka.$set(rg);const ig={};_&2&&(ig.$$scope={dirty:_,ctx:i}),va.$set(ig);const lg={};_&2&&(lg.$$scope={dirty:_,ctx:i}),wa.$set(lg);const oh={};_&2&&(oh.$$scope={dirty:_,ctx:i}),Ta.$set(oh);const dg={};_&2&&(dg.$$scope={dirty:_,ctx:i}),$a.$set(dg);const cg={};_&2&&(cg.$$scope={dirty:_,ctx:i}),La.$set(cg);const pg={};_&2&&(pg.$$scope={dirty:_,ctx:i}),Fa.$set(pg);const Ut={};_&2&&(Ut.$$scope={dirty:_,ctx:i}),Ea.$set(Ut);const Uo={};_&2&&(Uo.$$scope={dirty:_,ctx:i}),Xa.$set(Uo);const hg={};_&2&&(hg.$$scope={dirty:_,ctx:i}),za.$set(hg);const ug={};_&2&&(ug.$$scope={dirty:_,ctx:i}),qa.$set(ug);const mg={};_&2&&(mg.$$scope={dirty:_,ctx:i}),ja.$set(mg)},i(i){$_||(M(l.$$.fragment,i),M(ie.$$.fragment,i),M(S.$$.fragment,i),M(ee.$$.fragment,i),M(gr.$$.fragment,i),M(Tr.$$.fragment,i),M(xr.$$.fragment,i),M(jr.$$.fragment,i),M(Kr.$$.fragment,i),M(Vr.$$.fragment,i),M(ls.$$.fragment,i),M(Gr.$$.fragment,i),M(Yr.$$.fragment,i),M(ti.$$.fragment,i),M(ni.$$.fragment,i),M(ai.$$.fragment,i),M(ri.$$.fragment,i),M(ii.$$.fragment,i),M(li.$$.fragment,i),M(pi.$$.fragment,i),M(ui.$$.fragment,i),M(mi.$$.fragment,i),M(fi.$$.fragment,i),M(yi.$$.fragment,i),M(gs.$$.fragment,i),M(_s.$$.fragment,i),M(wi.$$.fragment,i),M(Ti.$$.fragment,i),M(Fi.$$.fragment,i),M(ks.$$.fragment,i),M(vs.$$.fragment,i),M(Ei.$$.fragment,i),M(Ri.$$.fragment,i),M(ji.$$.fragment,i),M(ws.$$.fragment,i),M(Ts.$$.fragment,i),M(Ai.$$.fragment,i),M(Pi.$$.fragment,i),M(Di.$$.fragment,i),M($s.$$.fragment,i),M(Ls.$$.fragment,i),M(xs.$$.fragment,i),M(Si.$$.fragment,i),M(Wi.$$.fragment,i),M(Qi.$$.fragment,i),M(Es.$$.fragment,i),M(Rs.$$.fragment,i),M(Ki.$$.fragment,i),M(Vi.$$.fragment,i),M(Zi.$$.fragment,i),M(zs.$$.fragment,i),M(Cs.$$.fragment,i),M(el.$$.fragment,i),M(tl.$$.fragment,i),M(al.$$.fragment,i),M(js.$$.fragment,i),M(As.$$.fragment,i),M(rl.$$.fragment,i),M(il.$$.fragment,i),M(Ns.$$.fragment,i),M(pl.$$.fragment,i),M(Os.$$.fragment,i),M(Is.$$.fragment,i),M(hl.$$.fragment,i),M(ul.$$.fragment,i),M(Ss.$$.fragment,i),M(bl.$$.fragment,i),M(Ws.$$.fragment,i),M(Bs.$$.fragment,i),M(kl.$$.fragment,i),M(vl.$$.fragment,i),M(Hs.$$.fragment,i),M($l.$$.fragment,i),M(Qs.$$.fragment,i),M(Ks.$$.fragment,i),M(Vs.$$.fragment,i),M(Ll.$$.fragment,i),M(xl.$$.fragment,i),M(Gs.$$.fragment,i),M(Xl.$$.fragment,i),M(Ys.$$.fragment,i),M(Zs.$$.fragment,i),M(ea.$$.fragment,i),M(zl.$$.fragment,i),M(Cl.$$.fragment,i),M(oa.$$.fragment,i),M(Pl.$$.fragment,i),M(na.$$.fragment,i),M(sa.$$.fragment,i),M(Nl.$$.fragment,i),M(Ol.$$.fragment,i),M(ra.$$.fragment,i),M(Wl.$$.fragment,i),M(ia.$$.fragment,i),M(la.$$.fragment,i),M(da.$$.fragment,i),M(Bl.$$.fragment,i),M(Ul.$$.fragment,i),M(pa.$$.fragment,i),M(Vl.$$.fragment,i),M(ha.$$.fragment,i),M(ua.$$.fragment,i),M(ma.$$.fragment,i),M(Jl.$$.fragment,i),M(Gl.$$.fragment,i),M(ad.$$.fragment,i),M(ga.$$.fragment,i),M(_a.$$.fragment,i),M(rd.$$.fragment,i),M(id.$$.fragment,i),M(fd.$$.fragment,i),M(ka.$$.fragment,i),M(va.$$.fragment,i),M(gd.$$.fragment,i),M(_d.$$.fragment,i),M(Ld.$$.fragment,i),M(wa.$$.fragment,i),M(Ta.$$.fragment,i),M(xd.$$.fragment,i),M(Fd.$$.fragment,i),M(Ad.$$.fragment,i),M($a.$$.fragment,i),M(La.$$.fragment,i),M(Pd.$$.fragment,i),M(Nd.$$.fragment,i),M(Hd.$$.fragment,i),M(Fa.$$.fragment,i),M(Ea.$$.fragment,i),M(Qd.$$.fragment,i),M(Kd.$$.fragment,i),M(oc.$$.fragment,i),M(Xa.$$.fragment,i),M(za.$$.fragment,i),M(nc.$$.fragment,i),M(sc.$$.fragment,i),M(hc.$$.fragment,i),M(qa.$$.fragment,i),M(ja.$$.fragment,i),$_=!0)},o(i){$(l.$$.fragment,i),$(ie.$$.fragment,i),$(S.$$.fragment,i),$(ee.$$.fragment,i),$(gr.$$.fragment,i),$(Tr.$$.fragment,i),$(xr.$$.fragment,i),$(jr.$$.fragment,i),$(Kr.$$.fragment,i),$(Vr.$$.fragment,i),$(ls.$$.fragment,i),$(Gr.$$.fragment,i),$(Yr.$$.fragment,i),$(ti.$$.fragment,i),$(ni.$$.fragment,i),$(ai.$$.fragment,i),$(ri.$$.fragment,i),$(ii.$$.fragment,i),$(li.$$.fragment,i),$(pi.$$.fragment,i),$(ui.$$.fragment,i),$(mi.$$.fragment,i),$(fi.$$.fragment,i),$(yi.$$.fragment,i),$(gs.$$.fragment,i),$(_s.$$.fragment,i),$(wi.$$.fragment,i),$(Ti.$$.fragment,i),$(Fi.$$.fragment,i),$(ks.$$.fragment,i),$(vs.$$.fragment,i),$(Ei.$$.fragment,i),$(Ri.$$.fragment,i),$(ji.$$.fragment,i),$(ws.$$.fragment,i),$(Ts.$$.fragment,i),$(Ai.$$.fragment,i),$(Pi.$$.fragment,i),$(Di.$$.fragment,i),$($s.$$.fragment,i),$(Ls.$$.fragment,i),$(xs.$$.fragment,i),$(Si.$$.fragment,i),$(Wi.$$.fragment,i),$(Qi.$$.fragment,i),$(Es.$$.fragment,i),$(Rs.$$.fragment,i),$(Ki.$$.fragment,i),$(Vi.$$.fragment,i),$(Zi.$$.fragment,i),$(zs.$$.fragment,i),$(Cs.$$.fragment,i),$(el.$$.fragment,i),$(tl.$$.fragment,i),$(al.$$.fragment,i),$(js.$$.fragment,i),$(As.$$.fragment,i),$(rl.$$.fragment,i),$(il.$$.fragment,i),$(Ns.$$.fragment,i),$(pl.$$.fragment,i),$(Os.$$.fragment,i),$(Is.$$.fragment,i),$(hl.$$.fragment,i),$(ul.$$.fragment,i),$(Ss.$$.fragment,i),$(bl.$$.fragment,i),$(Ws.$$.fragment,i),$(Bs.$$.fragment,i),$(kl.$$.fragment,i),$(vl.$$.fragment,i),$(Hs.$$.fragment,i),$($l.$$.fragment,i),$(Qs.$$.fragment,i),$(Ks.$$.fragment,i),$(Vs.$$.fragment,i),$(Ll.$$.fragment,i),$(xl.$$.fragment,i),$(Gs.$$.fragment,i),$(Xl.$$.fragment,i),$(Ys.$$.fragment,i),$(Zs.$$.fragment,i),$(ea.$$.fragment,i),$(zl.$$.fragment,i),$(Cl.$$.fragment,i),$(oa.$$.fragment,i),$(Pl.$$.fragment,i),$(na.$$.fragment,i),$(sa.$$.fragment,i),$(Nl.$$.fragment,i),$(Ol.$$.fragment,i),$(ra.$$.fragment,i),$(Wl.$$.fragment,i),$(ia.$$.fragment,i),$(la.$$.fragment,i),$(da.$$.fragment,i),$(Bl.$$.fragment,i),$(Ul.$$.fragment,i),$(pa.$$.fragment,i),$(Vl.$$.fragment,i),$(ha.$$.fragment,i),$(ua.$$.fragment,i),$(ma.$$.fragment,i),$(Jl.$$.fragment,i),$(Gl.$$.fragment,i),$(ad.$$.fragment,i),$(ga.$$.fragment,i),$(_a.$$.fragment,i),$(rd.$$.fragment,i),$(id.$$.fragment,i),$(fd.$$.fragment,i),$(ka.$$.fragment,i),$(va.$$.fragment,i),$(gd.$$.fragment,i),$(_d.$$.fragment,i),$(Ld.$$.fragment,i),$(wa.$$.fragment,i),$(Ta.$$.fragment,i),$(xd.$$.fragment,i),$(Fd.$$.fragment,i),$(Ad.$$.fragment,i),$($a.$$.fragment,i),$(La.$$.fragment,i),$(Pd.$$.fragment,i),$(Nd.$$.fragment,i),$(Hd.$$.fragment,i),$(Fa.$$.fragment,i),$(Ea.$$.fragment,i),$(Qd.$$.fragment,i),$(Kd.$$.fragment,i),$(oc.$$.fragment,i),$(Xa.$$.fragment,i),$(za.$$.fragment,i),$(nc.$$.fragment,i),$(sc.$$.fragment,i),$(hc.$$.fragment,i),$(qa.$$.fragment,i),$(ja.$$.fragment,i),$_=!1},d(i){t(d),i&&t(k),i&&t(m),L(l),i&&t(fe),i&&t(O),i&&t(K),i&&t(ae),L(ie),i&&t(ge),i&&t(D),i&&t(j),i&&t(he),i&&t(_e),i&&t(ue),i&&t(be),i&&t(q),i&&t(V),i&&t(ne),i&&t(v),i&&t(F),i&&t(We),i&&t(qe),L(S),i&&t(Be),i&&t(Pe),i&&t(Ue),L(ee,i),i&&t(He),i&&t(gt),i&&t(kg),L(gr,i),i&&t(vg),i&&t(Lt),i&&t(yg),L(Tr,i),i&&t(wg),i&&t(Ro),i&&t(Tg),L(xr,i),i&&t(Mg),i&&t(xt),i&&t($g),L(jr,i),i&&t(Lg),i&&t(Ft),i&&t(xg),i&&t(Zc),i&&t(Fg),i&&t(Po),i&&t(Eg),i&&t(np),i&&t(Rg),i&&t(sp),i&&t(Xg),i&&t(ln),L(Kr),i&&t(zg),i&&t(Wt),L(Vr),L(ls),i&&t(Cg),i&&t(cn),L(Gr),i&&t(qg),i&&t(et),L(Yr),L(ti),L(ni),L(ai),L(ri),i&&t(jg),i&&t(pn),L(ii),i&&t(Ag),i&&t(bt),L(li),L(pi),L(ui),i&&t(Pg),i&&t(hn),L(mi),i&&t(Ng),i&&t(Ze),L(fi),L(yi),L(gs),L(_s),i&&t(Og),i&&t(mn),L(wi),i&&t(Ig),i&&t(kt),L(Ti),L(Fi),L(ks),L(vs),i&&t(Dg),i&&t(gn),L(Ei),i&&t(Sg),i&&t(vt),L(Ri),L(ji),L(ws),L(Ts),i&&t(Wg),i&&t(bn),L(Ai),i&&t(Bg),i&&t(yt),L(Pi),L(Di),L($s),L(Ls),L(xs),i&&t(Ug),i&&t(vn),L(Si),i&&t(Hg),i&&t(wt),L(Wi),L(Qi),L(Es),L(Rs),i&&t(Qg),i&&t(wn),L(Ki),i&&t(Kg),i&&t(Tt),L(Vi),L(Zi),L(zs),L(Cs),i&&t(Vg),i&&t(Mn),L(el),i&&t(Jg),i&&t(Mt),L(tl),L(al),L(js),L(As),i&&t(Gg),i&&t(xn),L(rl),i&&t(Yg),i&&t(dt),L(il),L(Ns),L(pl),L(Os),L(Is),i&&t(Zg),i&&t(En),L(hl),i&&t(e_),i&&t(ct),L(ul),L(Ss),L(bl),L(Ws),L(Bs),i&&t(t_),i&&t(Xn),L(kl),i&&t(o_),i&&t(pt),L(vl),L(Hs),L($l),L(Qs),L(Ks),L(Vs),i&&t(n_),i&&t(Cn),L(Ll),i&&t(s_),i&&t(ht),L(xl),L(Gs),L(Xl),L(Ys),L(Zs),L(ea),i&&t(a_),i&&t(jn),L(zl),i&&t(r_),i&&t(ut),L(Cl),L(oa),L(Pl),L(na),L(sa),i&&t(i_),i&&t(Pn),L(Nl),i&&t(l_),i&&t(mt),L(Ol),L(ra),L(Wl),L(ia),L(la),L(da),i&&t(d_),i&&t(On),L(Bl),i&&t(c_),i&&t(ft),L(Ul),L(pa),L(Vl),L(ha),L(ua),L(ma),i&&t(p_),i&&t(Sn),L(Jl),i&&t(h_),i&&t(tt),L(Gl),L(ad),L(ga),L(_a),i&&t(u_),i&&t(Bn),L(rd),i&&t(m_),i&&t(ot),L(id),L(fd),L(ka),L(va),i&&t(f_),i&&t(Hn),L(gd),i&&t(g_),i&&t(nt),L(_d),L(Ld),L(wa),L(Ta),i&&t(__),i&&t(Kn),L(xd),i&&t(b_),i&&t(st),L(Fd),L(Ad),L($a),L(La),i&&t(k_),i&&t(Jn),L(Pd),i&&t(v_),i&&t(at),L(Nd),L(Hd),L(Fa),L(Ea),i&&t(y_),i&&t(Yn),L(Qd),i&&t(w_),i&&t(rt),L(Kd),L(oc),L(Xa),L(za),i&&t(T_),i&&t(es),L(nc),i&&t(M_),i&&t(it),L(sc),L(hc),L(qa),L(ja)}}}const Aq={local:"xlmroberta",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.XLMRobertaConfig",title:"XLMRobertaConfig"},{local:"transformers.XLMRobertaTokenizer",title:"XLMRobertaTokenizer"},{local:"transformers.XLMRobertaTokenizerFast",title:"XLMRobertaTokenizerFast"},{local:"transformers.XLMRobertaModel",title:"XLMRobertaModel"},{local:"transformers.XLMRobertaForCausalLM",title:"XLMRobertaForCausalLM"},{local:"transformers.XLMRobertaForMaskedLM",title:"XLMRobertaForMaskedLM"},{local:"transformers.XLMRobertaForSequenceClassification",title:"XLMRobertaForSequenceClassification"},{local:"transformers.XLMRobertaForMultipleChoice",title:"XLMRobertaForMultipleChoice"},{local:"transformers.XLMRobertaForTokenClassification",title:"XLMRobertaForTokenClassification"},{local:"transformers.XLMRobertaForQuestionAnswering",title:"XLMRobertaForQuestionAnswering"},{local:"transformers.TFXLMRobertaModel",title:"TFXLMRobertaModel"},{local:"transformers.TFXLMRobertaForCausalLM",title:"TFXLMRobertaForCausalLM"},{local:"transformers.TFXLMRobertaForMaskedLM",title:"TFXLMRobertaForMaskedLM"},{local:"transformers.TFXLMRobertaForSequenceClassification",title:"TFXLMRobertaForSequenceClassification"},{local:"transformers.TFXLMRobertaForMultipleChoice",title:"TFXLMRobertaForMultipleChoice"},{local:"transformers.TFXLMRobertaForTokenClassification",title:"TFXLMRobertaForTokenClassification"},{local:"transformers.TFXLMRobertaForQuestionAnswering",title:"TFXLMRobertaForQuestionAnswering"},{local:"transformers.FlaxXLMRobertaModel",title:"FlaxXLMRobertaModel"},{local:"transformers.FlaxXLMRobertaForCausalLM",title:"FlaxXLMRobertaForCausalLM"},{local:"transformers.FlaxXLMRobertaForMaskedLM",title:"FlaxXLMRobertaForMaskedLM"},{local:"transformers.FlaxXLMRobertaForSequenceClassification",title:"FlaxXLMRobertaForSequenceClassification"},{local:"transformers.FlaxXLMRobertaForMultipleChoice",title:"FlaxXLMRobertaForMultipleChoice"},{local:"transformers.FlaxXLMRobertaForTokenClassification",title:"FlaxXLMRobertaForTokenClassification"},{local:"transformers.FlaxXLMRobertaForQuestionAnswering",title:"FlaxXLMRobertaForQuestionAnswering"}],title:"XLM-RoBERTa"};function Pq(E){return CC(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Uq extends EC{constructor(d){super();RC(this,d,Pq,jq,XC,{})}}export{Uq as default,Aq as metadata};
